w


**    Name of survey :  Iraq Household Socio - economic Survey ( IHSES) 2006-2007
**    subject:                  Demographic characteristics 
**    Prepared by:         Basma
**    Date:                  JAN 2008  

                                                                                          

**********************************************************************Table 1-1: Number of households in the sample by governorate*************************

*******************************************************************************************************************************************************************************

Variables needed:
**
**		(1) Governorate.
**		(2) Households in the sample ( no).
**		(3)Households included in MICS3 Survey (no).	
**		(4)XSTRAT





GET
  FILE='C:\IHSES_TABLES\Originals\ihses01-household.sav'.
SAVE OUTFILE='C:\IHSES_TABLES\T1\ihese demography household wave1-18.sav'
 /COMPRESSED.

SORT CASES BY
  xhhkey (A) .

COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  xstrat  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  .
EXECUTE .

value lables xstrat 1' rural' 2 'sub urban' 3 'centerurban/sader ' 4 ' alrusafa  urban center ' 5 ' alkarkh urban center' .


RECODE
  XSTRAT
  (1=3)  (2=2)  (3 thru 5=1)  INTO  strat3 .
 EXECUTE .
value labels   strat3   1 'Gov. centers ' 2 ' Other urban ' 3 'Rural' .

*Define Variable Properties.
*strat3.
VARIABLE LEVEL strat3  (NOMINAL).
EXECUTE.

*Define Variable Properties.
*XGOV.
VARIABLE LEVEL XGOV  (NOMINAL).
EXECUTE.

IF (Q0040 = 1) HHMICS = 1 .
EXECUTE .

RECODE
  HHMICS  (1=1)  (SYSMIS=0)  .
EXECUTE .

value labels   HHMICS   1 'yes ' 0 ' no ' .

*Define Variable Properties.
*HHMICS.
VARIABLE LEVEL HHMICS  (NOMINAL).
EXECUTE.

RECODE
  xgov
  (11=1)  (13=1)  (15=1)  (23=2)  (ELSE=3)  INTO  newcov .
EXECUTE .

value lables newcov   1'kurdistan' 2' baghdad' 3 'other covernorats'.

*Define Variable Properties.
*newcov .
VARIABLE LEVEL newcov  (NOMINAL).
EXECUTE.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=xhhkey strat3 HHMICS xgov newcov DISPLAY=DEFAULT
  /TABLE xgov + newcov BY xhhkey [COUNT F40.0] > strat3 + HHMICS > strat3 [COUNT F40.0]
  /CATEGORIES VARIABLES=strat3 xgov newcov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=HHMICS ORDER=A KEY=VALUE EMPTY=INCLUDE.



**************************************************************Table 1-2: Households by governorate**********************************************************************************

*************************************************************************************************************************************************************************************************

Variables needed:

**		(1) Governorate.
**		(2) XSTRAT
**                     (3)  Number of HHs
**


***weight by weight HH

WEIGHT
  BY weight .

*Define Variable Properties.
*xhhno.
VARIABLE LEVEL xhhno  (SCALE).
EXECUTE.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=xhhno strat3 xgov newcov DISPLAY=DEFAULT
  /TABLE xgov + newcov BY xhhno [COUNT F40.0] + xhhno [ROWPCT.COUNT F40.1] > strat3 + xhhno [COLPCT.COUNT F40.1] > strat3
  /CATEGORIES VARIABLES=strat3 xgov newcov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

SAVE OUTFILE='C:\IHSES_TABLES\T1\ihese demography household wave1-18.sav'
 /COMPRESSED.


************************************************************************Table 1- 3: Persons by governorate**********************************************************************

******************************************************************************************************************************************************************************************

Variables needed:

**		(1) Governorate.
**		(2) XSTRAT
**                     (3)  XHHSIZE
**

GET
  FILE='C:\IHSES_TABLES\Originals\ihses02-individuals.sav'.
SAVE OUTFILE='C:\IHSES_TABLES\T1\ihese demography individuals wave1-18.sav'
 /COMPRESSED.


**********weight by persone*************

WEIGHT
  BY weight .

COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .


RECODE
  xstrat  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  .
EXECUTE .


value lables xstrat 1' rural' 2 'sub urban' 3 'centerurban/sader ' 4 ' alrusafa  urban center ' 5 ' alkarkh urban center' .



RECODE
  XSTRAT
  (1=3)  (2=2)  (3 thru 5=1)  INTO  strat3 .
 EXECUTE .
value labels   strat3   1 'Gov. centers ' 2 ' Other urban ' 3 'Rural' .

*Define Variable Properties.
*strat3.
VARIABLE LEVEL strat3  (NOMINAL).
EXECUTE.

*Define Variable Properties.
*XGOV.
VARIABLE LEVEL XGOV  (NOMINAL).
EXECUTE.

RECODE
  xgov
  (11=1)  (13=1)  (15=1)  (23=2)  (ELSE=3)  INTO  newcov .
EXECUTE .

value lables newcov   1'kurdistan' 2' baghdad' 3 'other covernorats'.

*Define Variable Properties.
*newcov .
VARIABLE LEVEL newcov  (NOMINAL).
EXECUTE.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=xhhkey strat3 xgov newcov DISPLAY=DEFAULT
  /TABLE xgov + newcov BY xhhkey [COUNT F40.0] + xhhkey [ROWPCT.COUNT F40.1] > strat3 + xhhkey [COLPCT.COUNT F40.1] > strat3
  /CATEGORIES VARIABLES=strat3 xgov newcov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


**********************************************************************Table 1- 4: Persons by demographic & educational characteristics and sex (%) ************************************************


*******************************************************************************************************************************************************************************************************************


Variables needed:

**		(1) Q102 SIX( MALE _ FEMALE)
**		(2) XSTRAT
**                     (3)  XHHSIZE
**                     (4) AGE GROUP ( 0- 4  TO 70 & more)
**                     (5) Relation to head of HH ( Head_Spouse _ son/ daughter _ son/ daughter in Law _Grandson/granddaughter_ Father/ Mother _ Brother/Sister
                                                                                 Other Relatives _ Unrelated to household) 
**                     (6) Marital status ( Married_ Never Married_ Divorced_ Separated_ Widowed_ Less than 12 years old )
**                     (7) Education ( Do not read &write _ Read only_   Read&write _ Primary_ Intermediate_ Secondary or equivalent_ Technical diploma
                                                     Bachelors degree - Higher than bachelors degree _Other_ Less than 15 years old)   
                    
**                     (8)  Economic activity status ( Working _Unemployed_ Housewife_ Student _Too young_ Retired_ Disabled_ Not working due to security situation
                                                                                   Other_ Less than 6 years old) 
                       
*************WEIGHT PERSONE*************

GET
  FILE='C:\IHSES_TABLES\Originals\ihses02-individuals.sav'.
SAVE OUTFILE='C:\IHSES_TABLES\T1\ihese demography individuals wave1-18.sav'
 /COMPRESSED.

WEIGHT
  BY weight .



COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  xstrat  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  .
EXECUTE .

value lables xstrat 1' rural' 2 'sub urban' 3 'centerurban/sader ' 4 ' alrusafa  urban center ' 5 ' alkarkh urban center' .


RECODE
  XSTRAT
  (1=3)  (2=2)  (3 thru 5=1)  INTO  strat3 .
 EXECUTE .
value labels   strat3   1 'Gov. centers ' 2 ' Other urban ' 3 'Rural' .

*Define Variable Properties.
*strat3.
VARIABLE LEVEL strat3  (NOMINAL).
EXECUTE.

*Define Variable Properties.
*XGOV.
VARIABLE LEVEL XGOV  (NOMINAL).
EXECUTE.


RECODE
  xgov
  (11=1)  (13=1)  (15=1)  (23=2)  (ELSE=3)  INTO  newcov .
EXECUTE .

value lables newcov   1'kurdistan' 2' baghdad' 3 'other covernorats'.

*Define Variable Properties.
*newcov .
VARIABLE LEVEL newcov  (NOMINAL).
EXECUTE.

RECODE
  XSTRAT
  (1=2)  (2 thru 5=1)  INTO  Strat2 .
EXECUTE .
VALUE LABLES Strat2 1 'Urban' 2 'Rural' .

*Define Variable Properties.
*Strat2.
VARIABLE LEVEL Strat2  (NOMINAL).
EXECUTE.

*Define Variable Properties.
*XGOV.
VARIABLE LEVEL XGOV  (NOMINAL).
EXECUTE.

RECODE
  Q0103
  (0 thru 4=1)  (5 thru 9=2)  (10 thru 14=3)  (15 thru 19=4)  (20 thru 24=5)  (25 thru 29=6)  (30 thru 34=7)  (35 thru 39=8)
  (40 thru 44=9)  (45 thru 49=10)  (50 thru 54=11) (55thru 59=12)   (60 thru 64=13)  (65 thru Highest=14)  INTO  AgeGrps .
EXECUTE .

value labels AgeGrps 1'0-4'  2'5-9' 3'10-14' 4'15-19' 5'20-24' 6'25-29 '7'30-34' 8'35-39' 9 '40-44' 10'45-49' 11'50-54' 12' 55-59' 13' 60-64' 14'65&more'.

*Define Variable Properties.
*AgeGrps.
VARIABLE LEVEL AgeGrps  (NOMINAL).
EXECUTE.
*Define Variable Properties.
*Q0405.
VARIABLE LEVEL Q0405  (NOMINAL).
EXECUTE.

*Define Variable Properties.
*Q0102.
VARIABLE LEVEL Q0102  (NOMINAL).
EXECUTE.

******* Marital status **********
***********************************

IF(Q0103 < 12) MrtlStat5 = 5.
IF(Q0103 >= 12) MrtlStat5 = Q0108.
IF(Q0108=3 | Q0108=4 ) MrtlStat5 = 3.
IF(Q0108=5 ) MrtlStat5 = 4.
VARIABLE LABLES MrtlStat5 'New marital status of 12 years old'.
VALUE LABELS MrtlStat5 
1 'Married'    
2 'Never married'     
3 'Divorced / Separated'     
4 'Widowed'
5 'Less than 12 Yaers old'.

VARIABLE LEVEL MrtlStat5 (NOMINAL).
EXECUTE.

RECODE
  MrtlStat5  (0=SYSMIS)  .
EXECUTE .


******* Education Status ******

***********************************

RECODE
  q0406
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (8=7) (6 thru 7=6) (9 thru 12=8) (13=9)   INTO  new_406 .
EXECUTE .

VALUE LABELS new_406 1'illetrate' 2'Read only'3'Read and Write'  4'Primary' 5'Intermediate'  6'Secondary or equivalent'  7'Technical diploma' 
 8'Higher than bachelors degree' 9'Other'  .

EXECUTE .

  FREQUENCIES VARIABLES=new_406  / ORDER= ANALYSIS.

******************************************************************************************************************************************
**   STEP 2 : Create variable "Education Status" if:
**                  a) Q0402=1 ,We calculate the education from the variable (new_406) , and if
**                  b) Q0402=2 ,We calculate the education from the variable (Q0410) , and if
**                  c) Q0402=3 ,We calculate the education from the variable (Q0404)

********************************************************************************************************************************************

IF  (Q0402=1 )EducGrp= new_406 .

IF  (Q0402=2 & Q0410L=1&Q0410C=1) EducGrp=1.
IF  (Q0402=2 & Q0410L=1&Q0410C=2 | Q0410C=3 ) EducGrp=2.
IF  (Q0402=2 & Q0410L=1&Q0410C=4 | Q0410C=5 | Q0410C=6) EducGrp=3.

IF  (Q0402=2 & Q0410L=2) EducGrp=4.
IF  (Q0402=2 & Q0410L=3) EducGrp=5.
IF  (Q0402=2 & Q0410L=4) EducGrp=6.
IF  (Q0402=2 & Q0410L=5) EducGrp=6.
IF  (Q0402=2 & Q0410L=6) EducGrp=8.
IF  (Q0402=2 & Q0410L=7) EducGrp=9.

IF (Q0402=3 & Q0404=1) EducGrp=1.
IF (Q0402=3 & Q0404=2) EducGrp=2.
IF (Q0402=3 & Q0404=3) EducGrp=3.
IF ( (  MISSING (Q0402  ) & q0103 < 15 ) ) EducGrp = 11 .
IF MISSING (EducGrp)  EducGrp =10.

EXECUTE .


RECODE
  EducGrp
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7) (8=8) (9=9) (10=10) INTO  EducGrp .
VARIABLE LABLES EducGrp 'Education status'.
VALUE LABELS EducGrp
 1'illetrate' 
 2'Read only'
 3'Read and Write' 
 4'Primary' 
 5'Intermediate' 
 6'Secondary or equivalent' 
 7'Technical diploma' 
 8'Higher than bachelors degree'
 9'Other'  
11'Less than 15 Yrs old'
10'Unknown'.
EXECUTE .

DO IF (q0103 <= 15).
RECODE
  EducGrp ( 6 thru 8=10).
END IF .
EXECUTE .

VARIABLE LEVEL EducGrp (NOMINAL).
  FREQUENCIES VARIABLES=EducGrp  / ORDER= ANALYSIS.
EXECUTE .

VARIABLE LEVEL EducGrp (NOMINAL).
EXECUTE.

IF(Q0701 > 0 | Q0702 = 9 ) EcoStat = 1.
IF(Q0702 = 7 ) EcoStat = 3.
IF(Q0702 = 2 ) EcoStat = 4.
IF(Q0702 = 1 ) EcoStat = 5.
IF(Q0702 = 6 ) EcoStat = 6.
IF(Q0702 = 5 ) EcoStat = 7.
IF(Q0702 = 13 ) EcoStat = 8.
IF(Q0702 = 3 | Q0702 = 4 | Q0702 = 8 | Q0702 = 10 | Q0702 = 11 | Q0702 = 12 | Q0702 = 14) EcoStat = 9.
IF(Q0103 < 6 ) EcoStat = 10.
IF ( Q0701 = 0 & Q0702 ~= 9& Q0703 = 1 & Q0705 ~= 4 & Q0707 = 1)  EcoStat  = 2.

VARIABLE LABLES EcoStat 'New economic activity status'.
VALUE LABELS EcoStat
1 'Working'     
2 'Unemployed'     
3 'Housewife'     
4 'Student'     
5 'Too young'     
6 'Retired'			   
7 'Disable'     
8 'Not working due to security situation'     
9 'Other'     
10 'Less than 6 Yrs old' .
EXECUTE .

VARIABLE LEVEL EcoStat  (NOMINAL).
EXECUTE.


  DO IF (q0102 = 1) .
   RECODE
  EcoStat  (3=9)  .
  END IF .
  EXECUTE .


RECODE
  q0105
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7)  (8=8)  (9=9)  (SYSMIS=10)  INTO  newq105 .
EXECUTE .

VARIABLE LABLES newq105 'new related'.

VALUE LABELS newq105 1 'head'   2 'spouse'    3 'sonduather'  4 'son duather in law'   5 'grandfather&grandmother '    6 'mother &father'7 'sister&broher'  8 'other relative'   9 'unrelated to houshold'  10 'unknown' 
  
EXECUTE .


*Define Variable Properties.
*newq105.
VARIABLE LEVEL newq105  (NOMINAL).
EXECUTE.

WEIGHT
  BY weight .

** Custom Tables.
CTABLES
  /VLABELS VARIABLES=Strat2 q0102 AgeGrps newq105 MrtlStat5 EducGrp EcoStat
    DISPLAY=DEFAULT
  /TABLE AgeGrps [COLPCT.COUNT F40.1] + newq105 [COLPCT.COUNT F40.1] + MrtlStat5 [COLPCT.COUNT F40.1] + EducGrp [COLPCT.COUNT
  F40.1] + EcoStat [COLPCT.COUNT F40.1] BY Strat2 > q0102
  /CATEGORIES VARIABLES=Strat2 q0102 AgeGrps newq105 MrtlStat5 EducGrp EcoStat ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER.

SAVE OUTFILE='C:\IHSES_TABLES\T1\ihese demography individuals wave1-18.sav'
 /COMPRESSED.



***********************************************************************Table 1-5: Households and their members by size of household and number of children*****************************

***********************************************************************************************************************************************************************************************************************
	            (1) XHHNO
**		(2) XSTRAT
**                     (3)  XHHSIZE
**                     (4) Number of children
**                     


SORT CASES BY
  xhhkey (A) .

RECODE
  XSTRAT
  (1=2)  (2 thru 5=1)  INTO  Strat2 .
EXECUTE .
VALUE LABLES Strat2 1 'Urban' 2 'Rural' .

*Define Variable Properties.
*Strat2.
VARIABLE LEVEL Strat2  (NOMINAL).
EXECUTE.

RECODE
  XHHSIZE
  (1 thru 2=1) (3=3) (4=4) (5=5) (6=6) (7=7) (8=8) (9=9) (10=10) (11 thru 12=12)  (13 thru Highest=13)  INTO  SIZEGRP .

VALUE LABLES SIZEGRP 1' 1-2 ' 3 '3' 4 '4'  5 '5' 6 '6' 7 '7' 8 '8' 9 '9' 10 '10'  12 '11-12'  13  '13 or more'.


*Define Variable Properties.
*SIZEGRP.
VARIABLE LEVEL SIZEGRP (NOMINAL).
EXECUTE.

IF (Q0103  <= 14) child = 1 .
IF (Q0103  > 14) child = 0 .
EXECUTE .


SAVE OUTFILE='C:\IHSES_TABLES\T1\ihese demography individuals wave1-18.sav'
 /COMPRESSED.

WEIGHT
  OFF.

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T1\agg- child-individual.sav'
  /BREAK=xhhkey
  /SIZEGRP = FIRST(SIZEGRP) /child = SUM(child).

Format child SIZEGRP xhhkey (F1).

GET
  FILE='C:\IHSES_TABLES\T1\ihese demography household wave1-18.sav'.

SAVE OUTFILE='C:\IHSES_TABLES\T1\ihese demography household wave1-18.sav'
 /COMPRESSED.


SORT CASES BY
  xhhkey (A) .

MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T1\agg- child-individual.sav'
 /BY xhhkey.
EXECUTE.
Format child SIZEGRP  (F1).

RECODE
  child
  (0=0)  (1=1)(2=2) (3=3)  (4=4)  (5=5)  (6=6)  (7=7)  (8 thru 9=8)  (10 thru Highest =10)
  INTO numberchild.
EXECUTE .

VALUE LABLES numberchild  0 '0' 1' 1' 2 '2' 3 '3' 4 '4'  5 '5' 6 '6' 7 '7' 8 '8-9' 10  '10 & more'.
*Define Variable Properties.
*numberchild.
VARIABLE LEVEL numberchild (NOMINAL).
EXECUTE.

SAVE OUTFILE='C:\IHSES_TABLES\T1\merg houshold withaggr child_individual.sav'
 /COMPRESSED.


************WEIGHT HH**************

WEIGHT
  BY weight .

*Define Variable Properties.
*xhhno.
VARIABLE LEVEL xhhno  (SCALE).
EXECUTE.



COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  xstrat  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  .
EXECUTE .

value lables xstrat 1' rural' 2 'sub urban' 3 'centerurban/sader ' 4 ' alrusafa  urban center ' 5 ' alkarkh urban center' .


RECODE
  XSTRAT
  (1=3)  (2=2)  (3 thru 5=1)  INTO  strat3 .
 EXECUTE .
value labels   strat3   1 'Gov. centers ' 2 ' Other urban ' 3 'Rural' .

*Define Variable Properties.
*strat3.
VARIABLE LEVEL strat3  (NOMINAL).
EXECUTE.

RECODE
  XSTRAT
  (1=2)  (2 thru 5=1)  INTO  Strat2 .
EXECUTE .
VALUE LABLES Strat2 1 'Urban' 2 'Rural' .

*Define Variable Properties.
*Strat2.
VARIABLE LEVEL Strat2  (NOMINAL).
EXECUTE.

****************Compute NO.CHILD AND SIZEGRP FROM HOUSHOLD *************************
**************************************************************************************************************


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=xhhno Strat2 SIZEGRP numberchild DISPLAY=DEFAULT
  /TABLE SIZEGRP + numberchild BY xhhno [COLPCT.COUNT F40.1] > Strat2
  /CATEGORIES VARIABLES=Strat2 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=SIZEGRP numberchild ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


**********************************   To comput   NO.CHILD AND SIZEGRP FROM HOUSHOLD Distribution of persone********************
********************************************************************************************************************

COMPUTE weightpersone = weight * xhhsize .
EXECUTE .

WEIGHT
  BY weightpersone .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=xhhno Strat2 SIZEGRP numberchild DISPLAY=DEFAULT
  /TABLE SIZEGRP + numberchild BY xhhno [COLPCT.COUNT F40.1] > Strat2
  /CATEGORIES VARIABLES=Strat2 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=SIZEGRP numberchild ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


SAVE OUTFILE='C:\IHSES_TABLES\T1\merg houshold withaggr child_individual.sav'
 /COMPRESSED.



*******************************************************Table 1-6: Average households size and proportion of adults by governorate*********************************************

******************************************************************************************************************************************************************************************************


**	            (1) Governorate
**		(2) XSTRAT
**                     (3)  XHHSIZE
**                     (4) Proportion of adults age 15+
**                     (5) HHSIZE


GET
  FILE='C:\IHSES_TABLES\T1\ihese demography individuals wave1-18.sav'.


IF (Q0103 >= 15) adultmore15 = 1 .
EXECUTE .
IF (Q0103 < 15) adultmore15 = 0 .
EXECUTE .
*Define Variable Properties.
*adultmore15.
VARIABLE LEVEL adultmore15  (NOMINAL).
EXECUTE.
VALUE LABLES adultmore15 1 '15 &mor' 0 'lessthan15' .



COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  xstrat  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  .
EXECUTE .

value lables xstrat 1' rural' 2 'sub urban' 3 'centerurban/sader ' 4 ' alrusafa  urban center ' 5 ' alkarkh urban center' .

RECODE
  XSTRAT
  (1=3)  (2=2)  (3 thru 5=1)  INTO  strat3 .
 EXECUTE .
value labels   strat3   1 'Gov. centers ' 2 ' Other urban ' 3 'Rural' .

*Define Variable Properties.
*strat3.
VARIABLE LEVEL strat3  (NOMINAL).
EXECUTE.

*Define Variable Properties.
*XGOV.

VARIABLE LEVEL XGOV  (NOMINAL).
EXECUTE.

RECODE
  xgov
  (11=1)  (13=1)  (15=1)  (23=2)  (ELSE=3)  INTO  newcov .
EXECUTE .

value lables newcov   1'kurdistan' 2' baghdad' 3 'other covernorats'.

*Define Variable Properties.
*newcov .
VARIABLE LEVEL newcov  (NOMINAL).
EXECUTE.

***********Weight household *********

COMPUTE wighthouseholds = weight / xhhsize .
EXECUTE .

WEIGHT
  BY wighthouseholds .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=adultmore15 xgov strat3 newcov DISPLAY=DEFAULT
  /TABLE xgov > strat3 [COUNT F40.0, ROWPCT.COUNT F40.1] + newcov > strat3 [COUNT F40.0, ROWPCT.COUNT F40.1] BY adultmore15
  /CATEGORIES VARIABLES=adultmore15 xgov strat3 newcov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


**************** To compute mean houshold size*************
***********************************************************************

COMPUTE wighthouseholds = weight / xhhsize .
EXECUTE .

************Chang wight persone to  wighthouseholds*** *********
*******************************************************************************


WEIGHT
  BY wighthouseholds .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=xhhsize strat3 xgov newcov DISPLAY=DEFAULT
  /TABLE xgov + newcov BY xhhsize [MEAN] > strat3
  /CATEGORIES VARIABLES=strat3 xgov newcov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.




**********************************************Table 1- 7: Persons by number of months of absence from their households during last 12 months (%) **************************

*********************************************************************************************************************************************************************************************************


**                     (1)  Governorat
**	            (2)  Q113 Person by number of month of absence from their households during last 12 months
**                     (3) AGE GROUP ( 0- 4  TO 70 & more)
**                     (4) Relation to head of HH ( Head_Spouse _ son/ daughter _ son/ daughter in Law _Grandson/granddaughter_ Father/ Mother _ Brother/Sister
                                                                                 Other Relatives _ Unrelated to household) 
**                     (5) Marital status ( Married_ Never Married_ Divorced_ Separated_ Widowed_ Less than 12 years old )
**                     (6) Education ( Do not read &write _ Read only_   Read&write _ Primary_ Intermediate_ Secondary or equivalent_ Technical diploma
                                                     Bachelors degree - Higher than bachelors degree _Other_ Less than 15 years old)   
                    
**                     (7)  Economic activity status ( Working _Unemployed_ Housewife_ Student _Too young_ Retired_ Disabled_ Not working due to security situation
                                                                                   Other_ Less than 6 years old) 


WEIGHT
  BY weight .


RECODE
  Q0113
  (1=1)  (2=2)  (3=3)  (4=4)  (5=4)  (6 thru 8=5)  (9 thru 12=6) (SYSMIS = 0)  INTO  monthsabsenc .
EXECUTE .

VALUE LABLES monthsabsenc  0 ' no absenc' 1'one month' 2 'tow month' 3 'threemonth' 4 'four month or five'  5' sex to eghit' 6'nine to twelve' .
 
*Define Variable Properties.
*monthsabsenc.
VARIABLE LEVEL monthsabsenc  (NOMINAL).
EXECUTE.


*Define Variable Properties.
*XGOV.
VARIABLE LEVEL XGOV  (NOMINAL).
EXECUTE.


RECODE
  Q0103
  (0 thru 4=1)  (5 thru 9=2)  (10 thru 14=3)  (15 thru 19=4)  (20 thru 24=5)  (25 thru 29=6)  (30 thru 34=7)  (35 thru 39=8)
  (40 thru 44=9)  (45 thru 49=10)  (50 thru 54=11) (55thru 59=12)   (60 thru 64=13)  (65 thru Highest=14)  INTO  AgeGrps .
EXECUTE .

value labels AgeGrps 1'0-4'  2'5-9' 3'10-14' 4'15-19' 5'20-24' 6'25-29 '7'30-34' 8'35-39' 9 '40-44' 10'45-49' 11'50-54' 12' 55-59' 13' 60-64' 14'65&more'.
 
*Define Variable Properties.
*AgeGrps.
VARIABLE LEVEL AgeGrps  (NOMINAL).
EXECUTE.


******* Marital status **********
***********************************

IF(Q0103 < 12) MrtlStat5 = 5.
IF(Q0103 >= 12) MrtlStat5 = Q0108.
IF(Q0108=3 | Q0108=4 ) MrtlStat5 = 3.
IF(Q0108=5 ) MrtlStat5 = 4.

VARIABLE LABLES MrtlStat5 'New marital status of 12 years old'.
VALUE LABELS MrtlStat5 
1 'Married'    
2 'Never married'     
3 'Divorced / Separated'     
4 'Widowed'
5 'Less than 12 Yaers old'.

VARIABLE LEVEL MrtlStat5 (NOMINAL).
EXECUTE.

RECODE
  MrtlStat5  (0=SYSMIS)  .
EXECUTE .


******* Education Status ******

***********************************

RECODE
  q0406
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (8=7) (6 thru 7=6) (9 thru 12=8) (13=9)   INTO  new_406 .
EXECUTE .

VALUE LABELS new_406 1'illetrate' 2'Read only'3'Read and Write'  4'Primary' 5'Intermediate'  6'Secondary or equivalent'  7'Technical diploma' 
 8'Higher than bachelors degree' 9'Other'  .

EXECUTE .

  FREQUENCIES VARIABLES=new_406  / ORDER= ANALYSIS.

******************************************************************************************************************************************
**   STEP 2 : Create variable "Education Status" if:
**                  a) Q0402=1 ,We calculate the education from the variable (new_406) , and if
**                  b) Q0402=2 ,We calculate the education from the variable (Q0410) , and if
**                  c) Q0402=3 ,We calculate the education from the variable (Q0404)

********************************************************************************************************************************************

IF  (Q0402=1 )EducGrp= new_406 .

IF  (Q0402=2 & Q0410L=1&Q0410C=1) EducGrp=1.
IF  (Q0402=2 & Q0410L=1&Q0410C=2 | Q0410C=3 ) EducGrp=2.
IF  (Q0402=2 & Q0410L=1&Q0410C=4 | Q0410C=5 | Q0410C=6) EducGrp=3.

IF  (Q0402=2 & Q0410L=2) EducGrp=4.
IF  (Q0402=2 & Q0410L=3) EducGrp=5.
IF  (Q0402=2 & Q0410L=4) EducGrp=6.
IF  (Q0402=2 & Q0410L=5) EducGrp=6.
IF  (Q0402=2 & Q0410L=6) EducGrp=8.
IF  (Q0402=2 & Q0410L=7) EducGrp=9.

IF (Q0402=3 & Q0404=1) EducGrp=1.
IF (Q0402=3 & Q0404=2) EducGrp=2.
IF (Q0402=3 & Q0404=3) EducGrp=3.
IF ( (  MISSING (Q0402  ) & q0103 < 15 ) ) EducGrp = 11 .
IF MISSING (EducGrp)  EducGrp =10.

EXECUTE .


RECODE
  EducGrp
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7) (8=8) (9=9) (10=10) INTO  EducGrp .
VARIABLE LABLES EducGrp 'Education status'.
VALUE LABELS EducGrp
 1'illetrate' 
 2'Read only'
 3'Read and Write' 
 4'Primary' 
 5'Intermediate' 
 6'Secondary or equivalent' 
 7'Technical diploma' 
 8'Higher than bachelors degree'
 9'Other'  
11'Less than 15 Yrs old'
10'Unknown'.
EXECUTE .

DO IF (q0103 <= 15).
RECODE
  EducGrp ( 6 thru 8=10).
END IF .
EXECUTE .

VARIABLE LEVEL EducGrp (NOMINAL).
  FREQUENCIES VARIABLES=EducGrp  / ORDER= ANALYSIS.
EXECUTE .

VARIABLE LEVEL EducGrp (NOMINAL).
EXECUTE.
IF(Q0701 > 0 | Q0702 = 9 ) EcoStat = 1.
IF(Q0702 = 7 ) EcoStat = 3.
IF(Q0702 = 2 ) EcoStat = 4.
IF(Q0702 = 1 ) EcoStat = 5.
IF(Q0702 = 6 ) EcoStat = 6.
IF(Q0702 = 5 ) EcoStat = 7.
IF(Q0702 = 13 ) EcoStat = 8.
IF(Q0702 = 3 | Q0702 = 4 | Q0702 = 8 | Q0702 = 10 | Q0702 = 11 | Q0702 = 12 | Q0702 = 14) EcoStat = 9.
IF(Q0103 < 6 ) EcoStat = 10.
IF ( Q0701 = 0 & Q0702 ~= 9& Q0703 = 1 & Q0705 ~= 4 & Q0707 = 1)  EcoStat  = 2.

VARIABLE LABLES EcoStat 'New economic activity status'.
VALUE LABELS EcoStat 
1 'Working'     
2 'Unemployed'     
3 'Housewife'     
4 'Student'     
5 'Too young'     
6 'Retired'			   
7 'Disable'     
8 'Not working due to security situation'     
9 'Other'     
10 'Less than 6 Yrs old' .
EXECUTE .

VARIABLE LEVEL EcoStat  (NOMINAL).
EXECUTE.
RECODE
  q0105
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7)  (8=8)  (9=9)  (SYSMIS=10)  INTO  newq105 .
EXECUTE .

VARIABLE LABLES newq105 'new related'.

VALUE LABELS newq105 1 'head'   2 'spouse'    3 'sonduather'  4 'son duather in law'   5 'grandfather&grandmother '    6 'mother &father'7 'sister&broher'  8 'other relative'   9 'unrelated to houshold'  10 'unknown' 
  
EXECUTE .

  DO IF (q0102 = 1) .
   RECODE
  EcoStat  (3=9)  .
  END IF .
  EXECUTE .

*Define Variable Properties.
*newq105.
VARIABLE LEVEL newq105  (NOMINAL).
EXECUTE.


RECODE
  xgov
  (11=1)  (13=1)  (15=1)  (23=2)  (ELSE=3)  INTO  newcov .
EXECUTE .

value lables newcov   1'kurdistan' 2' baghdad' 3 'other covernorats'.

*Define Variable Properties.
*newcov .
VARIABLE LEVEL newcov  (NOMINAL).
EXECUTE.


***********WEIGHT PERSONE*******************
******************************************************

WEIGHT
  BY weight .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=monthsabsenc xgov newcov AgeGrps newq105  MrtlStat5  EducGrp EcoStat
    DISPLAY=DEFAULT
  /TABLE xgov [ROWPCT.COUNT F40.1] + newcov [ROWPCT.COUNT F40.1] + AgeGrps [ROWPCT.COUNT F40.1] + newq105 [ROWPCT.COUNT F40.1]
 +  MrtlStat5  [ROWPCT.COUNT F40.1] + EducGrp [ROWPCT.COUNT F40.1] + EcoStat [ROWPCT.COUNT F40.1] BY monthsabsenc
  /CATEGORIES VARIABLES=monthsabsenc xgov newcov AgeGrps newq105  MrtlStat5  EducGrp EcoStat ORDER=A KEY=VALUE EMPTY=INCLUDE
  TOTAL=YES POSITION=AFTER.



*************************************************Table 1-8: Absence of persons from their households during last 12 months (months)**********************************************

**********************************************************************************************************************************************************************************************************

**                     (1)  Governorat
**	            (2) XSTRAT
**                     (3) Q113
**                     (4) AGE GROUP ( 0- 4  TO 70 & more)
**                     (5) Relation to head of HH ( Head_Spouse _ son/ daughter _ son/ daughter in Law _Grandson/granddaughter_ Father/ Mother _ Brother/Sister
                                                                                 Other Relatives _ Unrelated to household) 
**                     (6) Marital status ( Married_ Never Married_ Divorced_ Separated_ Widowed_ Less than 12 years old )
**                     (7) Education ( Do not read &write _ Read only_   Read&write _ Primary_ Intermediate_ Secondary or equivalent_ Technical diploma
                                                     Bachelors degree - Higher than bachelors degree _Other_ Less than 15 years old)   
                    
**                     (8)  Economic activity status ( Working _Unemployed_ Housewife_ Student _Too young_ Retired_ Disabled_ Not working due to security situation
                                                                                   Other_ Less than 6 years old) 



***********WEIGHT PERSONE**************


WEIGHT
  BY weight .



RECODE
  XSTRAT
  (1=3)  (2=2)  (3 thru 5=1)  INTO  strat3 .
 EXECUTE .
value labels   strat3   1 'Gov. centers ' 2 ' Other urban ' 3 'Rural' .

*Define Variable Properties.
*strat3.
VARIABLE LEVEL strat3  (NOMINAL).
EXECUTE.

*Define Variable Properties.
*XGOV.

VARIABLE LEVEL XGOV  (NOMINAL).
EXECUTE.

RECODE
  xgov
  (11=1)  (13=1)  (15=1)  (23=2)  (ELSE=3)  INTO  newcov .
EXECUTE .

value lables newcov   1'kurdistan' 2' baghdad' 3 'other covernorats'.

*Define Variable Properties.
*newcov .
VARIABLE LEVEL newcov  (NOMINAL).
EXECUTE.

*Define Variable Properties.
*Q0102.
VARIABLE LEVEL Q0102  (NOMINAL).
EXECUTE.

*Define Variable Properties.
*Q0113.
VARIABLE LEVEL Q0113  (SCALE).
EXECUTE.

DO IF (MISSING(EcoStat)) .
RECODE
  EcoStat  (SYSMIS=0)  .
END IF .
EXECUTE .

RECODE
  q0113  (SYSMIS=0)  .
EXECUTE .


************************ we take all idividual ( absence &no absence) 

**************absence =q0113

************no absence=30 day /15day  =0.5

**************************************** explainig  the number contian  from table  for example  0.90 it means 90 % from month =0.90*30day =27day it meanse 27 day the individual abcence 

IF (q0112 =1) pried =q0113*30.
EXECUTE .
IF (q0112 =2) pried = 0.5 *30.
EXECUTE .

RECODE
  XSTRAT
  (1=2)  (2 thru 5=1)  INTO  Strat2 .
EXECUTE .
VALUE LABLES Strat2 1 'Urban' 2 'Rural' .

*Define Variable Properties.
*Strat2.
VARIABLE LEVEL Strat2  (NOMINAL).
EXECUTE.

RECODE
  q0105
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7)  (8=8)  (9=9)  (SYSMIS=10)  INTO  newq105 .
EXECUTE .

VARIABLE LABLES newq105 'new related'.

VALUE LABELS newq105 1 'head'   2 'spouse'    3 'sonduather'  4 'son duather in law'   5 'grandfather&grandmother '    6 'mother &father'7 'sister&broher'  8 'other relative'   9 'unrelated to houshold'  10 'unknown' 
  
EXECUTE .


*Define Variable Properties.
*newq105.
VARIABLE LEVEL newq105  (NOMINAL).
EXECUTE.



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=pried Strat2 q0102 xgov newcov AgeGrps newq105 MrtlStat5 EducGrp EcoStat
    DISPLAY=DEFAULT
  /TABLE xgov + newcov + AgeGrps + newq105 + MrtlStat5 + EducGrp + EcoStat BY pried [MEAN] > Strat2 > q0102
  /CATEGORIES VARIABLES=Strat2 q0102 xgov newcov AgeGrps newq105 MrtlStat5 EducGrp EcoStat ORDER=A KEY=VALUE EMPTY=INCLUDE
  TOTAL=YES POSITION=AFTER.



********************************************Table 1-9: Main reason for absence of persons from their households for *********************************************************
                                                                                           one ore more moths   during last 12 months (%)                
*****************************************************************************************************************************************************************************************************

**                     (1)  Governorat
**	            (2)  XSTRAT
**                     (3)  Q114 ( education _ work_ Medical reasons_Visiting family _ Marital conflict _ Delivery_ jail_ Tourism_  Accompanning patient _ Other) 
**                     (4) AGE GROUP ( 0- 4  TO 70 & more)
**                     (5) Relation to head of HH ( Head_Spouse _ son/ daughter _ son/ daughter in Law _Grandson/granddaughter_ Father/ Mother _ Brother/Sister
                                                                                 Other Relatives _ Unrelated to household) 
**                     (6) Marital status ( Married_ Never Married_ Divorced_ Separated_ Widowed_ Less than 12 years old )
**                     (7) Education ( Do not read &write _ Read only_   Read&write _ Primary_ Intermediate_ Secondary or equivalent_ Technical diploma
                                                     Bachelors degree - Higher than bachelors degree _Other_ Less than 15 years old)   
                    
**                     (8)  Economic activity status ( Working _Unemployed_ Housewife_ Student _Too young_ Retired_ Disabled_ Not working due to security situation
                                                                                   Other_ Less than 6 years old) 

***********WEIGHT PERSONE***********

WEIGHT
  BY weight .


RECODE
  Q0114
  (1=1) (2=2)  (3=3) (6=3)  (4=4)  (8=5) (9=6)    (5=7) (7=7) (10=7)   into   absents.
EXECUTE .

value lables absents 1'education' 2'work' 3' medical reasons &devliery' 4' visiting family ' 7 'other ' 5 ' toursim'  6 'accompanning pationt'   .


VARIABLE LEVEL absents (NOMINAL).
EXECUTE.

DO IF (q0103 <=  4) .
RECODE
  absents  (1=SYSMIS)  .
END IF .
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES= absents XGOV  newcov AgeGrps newq105 MrtlStat5 EducGrp EcoStat
    DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] +  newcov [ROWPCT.COUNT F40.1]   + AgeGrps [ROWPCT.COUNT F40.1] + newq105 [ROWPCT.COUNT F40.1] + MrtlStat5 [ROWPCT.COUNT
  F40.1] + EducGrp [ROWPCT.COUNT F40.1] + EcoStat [ROWPCT.COUNT F40.1] BY absents
  /CATEGORIES VARIABLES=absents XGOV newcov AgeGrps newq105 MrtlStat5 EducGrp EcoStat ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER.

SAVE OUTFILE='C:\IHSES_TABLES\T1\ihese demography individuals wave1-18.sav'
 /COMPRESSED.



                                                                  **********************************************************************************************************************************

RECODE
  Q0114
  (1=1) (2=2)  (3=3) (6=3)  (4=4)  (8=5) (9=6)    (5=7) (7=7) (10=7)   into   absents.
EXECUTE .

value lables absents 1'education' 2'work' 3' medical reasons &devliery' 4' visiting family ' 7 'other ' 5 ' toursim'  6 'accompanning pationt'   .

USE ALL.
COMPUTE filter_$=(q0103 >= 15).
VARIABLE LABEL filter_$ 'q0103 >= 15 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
FILTER OFF.
USE ALL.
EXECUTE .
