********************************************************************************************************************************************* strat strat strat strat strat strat strat
**	Tables for Section 2
**	Prepared by 	Nada Amin
**	Date:		january 2008
**	Status:		
**
*********************************************************************************************************************************************

GET FILE='C:\IHSES_TABLES\Originals\IHSES01-Household.sav'.

FILTER OFF. 
USE ALL.
SELECT IF(XHHSIZE > 0).
EXECUTE .


RECODE
  xgov
  (11=1)  (13=1)  (15=1)  (23=2)  (ELSE=3)  INTO  Region .
EXECUTE .



value lables Region  1'Kurdistan'  2 'Baghdad' 3 'Other Governorates' .

format  Region (F1).

variable levels Region (NOMINAL). 


COMPUTE XSTRAT_new = xstrat - xgov * 10 .
EXECUTE .

Format XSTRAT_new (F1).



RECODE
 XSTRAT_new 
  (1=3)  (2=2)  (3 thru 5=1)  INTO   strat  .
EXECUTE .

formats strat (N1).

value labels strat  1 'Center Urban' 2 'Sub Urban' 3 'Rural'.

variable levels strat (NOMINAL).

RECODE
  XHHSIZE
  (1 thru 2=1) (3=2) (4=3)(5=4)(6=5)(7=6)(8=7)(9=8)(10=9) (11 thru 12=10)  (13 thru Highest=11)  INTO  SIZEGRG .
VARIABLE LABELS SIZEGRG ' Household size Categories'.
formats SIZEGRG  (F2).

VALUE LABLES SIZEGRG 1 '1-2' 2 '3' 3 '4' 4 '5' 5 '6' 6 '7' 7 '8' 8 '9' 9 '10' 10 '11-12' 11 '13 & more' .

*** Define Variable Properties  to be able to use Custom Tables:

VARIABLE LEVEL XGOV  (NOMINAL).
VARIABLE LEVEL strat  (NOMINAL).
VARIABLE LEVEL SIZEGRG  (NOMINAL).
EXECUTE.

SAVE OUTFILE ='C:\IHSES_TABLES\T2\Temp_Housing.sav'.

GET FILE='C:\IHSES_TABLES\T8\expentiure 2008_2_17.sav'.

SORT CASES BY XHHKEY (A) .

** Create an auxiliary variable, just to check:

COMPUTE GGG = XHHKEY   .
EXECUTE .

SAVE OUTFILE='C:\IHSES_TABLES\T2\expentiure 2008_2_17.sav'
 /COMPRESSED.

GET FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.

SORT CASES BY   XHHKEY (A) .



MATCH FILES /FILE=*
 /TABLE='C:\IHSES_TABLES\T2\expentiure 2008_2_17.sav'
 /BY xhhkey.
EXECUTE.


format PCExpGr (F1). 


***  Checking.....

COMPUTE Check = XHHKEY - GGG .
EXECUTE .

delete variables GGG.

FREQUENCIES
  VARIABLES=Check
  /ORDER=  ANALYSIS .

delete variable Check .


*** Define Variable Properties  to be able to use Custom Tables:

VARIABLE LEVEL PCExpGr  (NOMINAL).
EXECUTE.

RECODE   Q0017   (SYSMIS=0)  (ELSE=Copy)  INTO  Q17 .
EXECUTE .
RECODE   Q0301  (SYSMIS=0)  (ELSE=Copy)  INTO  Q301 .
EXECUTE .

*** Create variable Number of Households within the same dwelling:

IF (Q301 > Q17) 	No_HH = Q17 .
IF (Q17 > Q301) 	No_HH = Q301 .
IF (Q17 = Q301) 	No_HH = Q301 .
IF (Q17 = 0) 		No_HH = Q301 .
IF (Q301 = 0) 		No_HH = Q17 .

formats No_HH  (F1).

EXECUTE .

SAVE OUTFILE ='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


************** I need  to use weight for persons ********************


 

COMPUTE Weight_Person = weight * xhhsize .
EXECUTE .



******************************************************************************************************************************************************************************************************
************************************************ Table 2-1: Number of households in the housing unit (% of persons)****************************************************************************
******************************************************************************************************************************************************************************************************


WEIGHT
  BY Weight_Person .


RECODE   q0301(1=1)  (2=2)  (3=3)  (4 thru Highest=4)  INTO  No_Household.
formats No_Household (F1).
EXECUTE .

value labels  No_Household  1 'one Houshold' 2 'two Household' 3 'three Houshold' 4 'four Household & More' .

*** Define Variable Properties  to be able to use Custom Tables:

VARIABLE LEVEL No_Household  (NOMINAL).
EXECUTE.



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=No_Household XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] +Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY No_Household
  /CATEGORIES VARIABLES=No_Household SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= '( 2-1:      (% ' 'Table 2-1: Number of households in the housing unit (% of'+
 ' persons)'.



**************************************************************************************************************************************************************************************************************
*********************************************************** Table 2-2: Period of residency in the present housing unit (% of persons)********************************************************************
**************************************************************************************************************************************************************************************************************


WEIGHT
  BY Weight_Person .



RECODE Q0302  (0=1)  (Lowest thru -1=SYSMIS)  (1 thru 2=2)  (3 thru 5=3)  (6 thru 9=4)  (10 thru 19=5)  (20 thru 29=6)  (30 thru  Highest=7)  INTO  Perid_life .
EXECUTE .

value labels Perid_life  1 'less Than one year' 2 '1-2' 3 '3-5' 4 '6-9' 5 '10-19' 6 '20-29' 7 '30 & more'.

VARIABLE LEVEL Perid_life  (NOMINAL).
EXECUTE.

format Perid_life (F1).


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Perid_life Q0302 XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV +Region + strat + PCExpGr + SIZEGRG BY Perid_life [ROWPCT.COUNT F40.1] + Q0302 [MEAN]
  /CATEGORIES VARIABLES=Perid_life SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-2:        (% )' 'Table 2-2: Period of residency in the present'+
 ' housing unit (% of persons)'.


*********************************************************************************************************************************************************************************
*********************************************************** Table 2-3: Type of housing unit (% of persons)********************************************************************
*********************************************************************************************************************************************************************************



GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.




WEIGHT
  BY Weight_Person .


RECODE Q0303  (1=1)  (2=2)  (5=4)  (3 thru 4=3)  INTO  NewTypeUnit .
VARIABLE LABELS NewTypeUnit 'new type housing Unit'.
EXECUTE .

 value labels  NewTypeUnit  1 'House' 2 'Apartment' 3 'Clay & Cane' 4 'Other' .

VARIABLE LEVEL NewTypeUnit  (NOMINAL).
EXECUTE.

format  NewTypeUnit (F1).


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=NewTypeUnit XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY NewTypeUnit
  /CATEGORIES VARIABLES=NewTypeUnit SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-3:    (% )						' 'Table 2-3: Type of housing unit (% of persons)						' ''.



**********************************************************************************************************************************************************************************
*************************************************************** Table 2-4: Principal material of the walls of the housing unit (% of persons)**********************************
**********************************************************************************************************************************************************************************




GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.



WEIGHT
  BY Weight_Person .

RECODE Q0304 (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6 thru 7=6)  (Lowest thru -1=SYSMIS)  INTO  Material_walls .
EXECUTE .


value labels   Material_walls  1 'Bricks'  2 'Ston' 3 'Cement Blocks' 4 'Thermostone' 5 'PrefabBoards' 6 'Mud & Clan' 7 'Others' .

VARIABLE LEVEL Material_walls  (NOMINAL).
EXECUTE.

format  Material_walls  (F1).



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Material_walls XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region  [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Material_walls
  /CATEGORIES VARIABLES=Material_walls SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-4:      (% )									' 'Table 2-4: Principal material of the walls'+
 ' of the housing unit (% of persons)									' ''.



***************************************************************************************************************************************************************************************
*************************************** Table 2-5: Principal material of the ceiling of the housing unit (% of persons)**************************************************************
***************************************************************************************************************************************************************************************



GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .

RECODE  Q0305 (1=1)  (2=2)  (3=3)  (4=4)  (Lowest thru -1=SYSMIS)  INTO  MaterialCeiling .
EXECUTE .

value labels  MaterialCeiling  1 'Reinforced concrete casting'  2 'Iron bars' 3 'Wood' 4 'Other' .

VARIABLE LEVEL MaterialCeiling  (NOMINAL).
EXECUTE.

format MaterialCeiling (F1).


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=MaterialCeiling XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY MaterialCeiling
  /CATEGORIES VARIABLES=MaterialCeiling SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-5:       (% )						' 'Table 2-5: Principal material of the ceiling of'+
 ' the housing unit (% of persons)						' ''.


*****************************************************************************************************************************************************************************
***********************************Table 2-6: Principal material of the flooring of the housing unit (% of persons)********************************************************
*****************************************************************************************************************************************************************************



GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .

VARIABLE LEVEL Q0306  (NOMINAL).
EXECUTE.




* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0306 XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0306
  /CATEGORIES VARIABLES=Q0306 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-6:      (% )							' 'Table 2-6: Principal material of the flooring'+
 ' of the housing unit (% of persons)							' ''.


********************************************************************************************************************************************************************
********************************************* Table 2-7 Principal material of windows of the housing unit (% of persons)***************************************
********************************************************************************************************************************************************************



GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .

VARIABLE LEVEL Q0307  (NOMINAL).



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0307 xgov Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE xgov [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1]
 + SIZEGRG [ROWPCT.COUNT F40.1] BY q0307
  /CATEGORIES VARIABLES=q0307 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=xgov Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-7:      (% ) 						' 'Table 2-7: Principal material of windows of'+
 ' the housing unit (% of persons)						' ''.











**************************************************************************************************************************************************************************
*****************************************Table 2-8: households be total built up area of housing unit in sq. meter(% of HHs)*****************************************
**************************************************************************************************************************************************************************



GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY weight .



RECODE Q0308A  (Lowest thru -1=SYSMIS)  .
EXECUTE .

RECODE Q0308A
  (Lowest thru 49.999=1)  (50 thru 99.999=2)  (100 thru 149.999=3)  (500 thru Highest=7)  (300 thru 499.999=6)  (200 thru
  299.999=5)  (150 thru 199.999=4)  INTO  BuiltAria .
EXECUTE .

value labels  BuiltAria  1 'Less Than 50' 2 '50-LT 100' 3 '100-LT 150 ' 4 '150-LT 200' 5 '200-LT 300' 6 '300-LT 500' 7 '500 And more' .

VARIABLE LEVEL BuiltAria  (NOMINAL).
EXECUTE.

format BuiltAria (F1).


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=BuiltAria XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY BuiltAria
  /CATEGORIES VARIABLES=BuiltAria SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-8:          (% )									' 'Table 2-8: households be'+
 ' total built up area of housing unit in sq. meter(% of HHs)									' ''.

SAVE OUTFILE ='C:\IHSES_TABLES\T2\Temp_Housing.sav'.

*****************************************************************************************************************************************************************************
***************************************************************************Table 2-9: Per capita share of area of the housing unit (% of persons)***********************
*****************************************************************************************************************************************************************************



GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .

COMPUTE SharePer = Q0308A / XHHSIZE .
EXECUTE .

RECODE SharePer 
  (Lowest thru 4.999=1)  (5 thru 9.999=2)  (10 thru 19.999=3)  (20 thru 39.999=4)  (40 thru Highest=5)  INTO  UnitAria .
EXECUTE .

value labels  UnitAria  1 'Less Than 5' 2 '5-LT 10' 3 '10-LT 20 ' 4 '20-LT 40' 5 '40 And more' .

VARIABLE LEVEL UnitAria  (NOMINAL).
EXECUTE.

format  UnitAria (F1).



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=UnitAria XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY UnitAria
  /CATEGORIES VARIABLES=UnitAria SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV  Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-9:       (% )							' 'Table 2-9: Per capita share of area of the'+
 ' housing unit (% of persons)							' ''.



***********************************************************************************************************************************************************************************
******************************************Table 2-10: Households be total built up area of housing unit in sq. meter (% of HHs)**********************************************
***********************************************************************************************************************************************************************************




GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.



WEIGHT
  BY weight .


********* -3 its mean not aplicable 

RECODE Q0308B  (-2=SYSMIS)  .
EXECUTE .
 

COMPUTE q0308bx = q0308b .
EXECUTE .


IF (q0303  = 2 & SYSMIS(q0308b)) q0308bx = -1 .
EXECUTE .




RECODE q0308bx
   (1 thru 49.999=1)  (500 thru 999.999=7)  (300 thru 499.999=6)  (200 thru 299.999=5)  (150 thru
  199.999=4)  (50 thru 99.999=2)  (100 thru 149.999=3)(1000 thru Highest=8) (-1=9)  INTO  EarthAria .
EXECUTE .



value labels  EarthAria  1 'Less Than 50' 2 '50-LT 100' 3 '100-LT 150 ' 4 '150-LT 200' 5 '200-LT 300' 6 '300-LT 500' 7 '500-LT 1000' 8 '1000 And more' 9 'Not aplicable'   

VARIABLE LEVEL EarthAria  (NOMINAL).
EXECUTE.

format EarthAria (F1).

WEIGHT
  BY weight .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=EarthAria XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1]+ Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY EarthAria
  /CATEGORIES VARIABLES=EarthAria SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-10:         (% )											' 'Table 2-10: Households be total'+
 ' built up area of housing unit in sq. meter (% of HHs)											' ''.

SAVE OUTFILE ='C:\IHSES_TABLES\T2\Temp_Housing.sav'.

********************************************************************************************************************************************************************************
************************************************ Table 2-11: Rooms in the housing unit* (rooms per 100 persons) *********************************************************
********************************************************************************************************************************************************************************


  
GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.



WEIGHT
  BY Weight_Person .




RECODE
  q0309_01 q0310_01 q0309_02 q0310_02 q0309_03 q0310_03 q0309_04 q0310_04 q0309_05 q0310_05 q0309_06 q0310_06 q0309_07
  q0310_07 q0309_08 q0310_08 q0309_09 q0310_09 q0309_10 q0310_10 q0309_11 q0310_11  (SYSMIS=0)  .
EXECUTE .




COMPUTE Bed_Room = q0309_01 + (q0310_01  / q0301) .
EXECUTE .
COMPUTE Sit_Room = q0309_02 + (q0310_02  / q0301) .
EXECUTE .
COMPUTE Recp_Room = q0309_03 + (q0310_03  / q0301) .
EXECUTE .
COMPUTE Din_Room = q0309_04 + (q0310_04  / q0301) .
EXECUTE .
 COMPUTE All_Rooms = SUM(Bed_Room,Sit_Room,Recp_Room,Din_Room) .
EXECUTE .


  
COMPUTE BedRoom = (Bed_Room / xhhsize) * 100 .
EXECUTE .

COMPUTE SitRoom = (Sit_Room / xhhsize) * 100 .
EXECUTE .

COMPUTE RecpRoom = (Recp_Room / xhhsize) * 100 .
EXECUTE .

COMPUTE DinRoom = (Din_Room / xhhsize) * 100 .
EXECUTE .

COMPUTE AllRooms = (All_Rooms / xhhsize) * 100 .
EXECUTE .




* Custom Tables.
CTABLES
  /VLABELS VARIABLES=BedRoom SitRoom RecpRoom DinRoom AllRooms xgov Region strat PCExpGr SIZEGRG
    DISPLAY=DEFAULT
  /TABLE xgov + Region + strat + PCExpGr + SIZEGRG BY BedRoom [MEAN F40.1] + SitRoom [MEAN F40.1] + RecpRoom [MEAN F40.1] +
  DinRoom [MEAN F40.1] + AllRooms [MEAN F40.1]
  /CATEGORIES VARIABLES=xgov Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= '  2-11:   * (   100 )' 'Table 2-11: Rooms in the housing unit* (rooms per 100'+
 ' persons) '.







**************************************************************************************************************************************************************************
*******************************Table 2-12: Average number of persons per room in the housing unit* (% of persons)************************************************
**************************************************************************************************************************************************************************



GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.



WEIGHT
  BY Weight_Person .


COMPUTE AllRoomsP = All_Rooms / xhhsize .
EXECUTE .

RECODE
  AllRoomsP
  (0=1)  (Lowest thru 0.24=2)  (0.25 thru 0.36=3)  (0.37 thru 0.49=4)  (0.5 thru 0.74=5)  (0.75 thru 0.99=6)  (1 thru
  Highest=7)  INTO  AllRoomsF .
EXECUTE .


value labels AllRoomsF  1 'No Rooms in House' 2 'Less Than 0.25' 3 '0.25- Less Than 0.37 ' 4 '0.37- Less Than 0.50' 5 '0.50- less Than 0.75' 6 '0.75-Less Than 1' 7 '1 And More'   .

format AllRoomsF (f1).



*Define Variable Properties.
*AllRoomsF.
VARIABLE LEVEL AllRoomsF  (NOMINAL).
EXECUTE.



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=AllRoomsF xgov Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE xgov [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1]
 + SIZEGRG [ROWPCT.COUNT F40.1] BY AllRoomsF
  /CATEGORIES VARIABLES=AllRoomsF SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=xgov Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE.





*************************************************************************************************************************************************************************
***********************************Table 2-13: Availability of amenities in the housing unit (% persons) *************************************************************
*************************************************************************************************************************************************************************



COMPUTE SpeBath = q0309_06 + q0310_06 .
EXECUTE .
COMPUTE BathToilet = q0309_07 + q0310_07 .
EXECUTE .

COMPUTE SpeToilet = q0309_08 + q0310_08 .
EXECUTE .

COMPUTE Store = q0309_09 + q0310_09 .
EXECUTE .
COMPUTE Garage = q0309_10 + q0310_10 .
EXECUTE .
COMPUTE Garden = q0309_11 + q0310_11 .
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=SpeBath BathToilet SpeToilet Store Garage Garden xgov Region strat PCExpGr SIZEGRG
    DISPLAY=DEFAULT
  /TABLE xgov + Region + strat + PCExpGr + SIZEGRG BY SpeBath [MEAN] + BathToilet [MEAN] + SpeToilet [MEAN] + Store [MEAN] +
  Garage [MEAN] + Garden [MEAN]
  /CATEGORIES VARIABLES=xgov Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.






******************************************************************************************************************************************************************
****************************************************Table 2-14 A:The Kind of Deficiencies in the housing unit (% persons)			
*************************************************
******************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .

RECODE  Q0311A Q0311B Q0311C
  (1=1)  (2=0)  (SYSMIS=0)  INTO  InsufficientRooms  InsufficientAmenities  Outdated .
EXECUTE .

VARIABLE LEVEL InsufficientRooms  (NOMINAL).
VARIABLE LEVEL InsufficientAmenities  (NOMINAL).
VARIABLE LEVEL Outdated  (NOMINAL).
EXECUTE.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=InsufficientRooms InsufficientAmenities Outdated xgov Region strat PCExpGr SIZEGRG
    DISPLAY=DEFAULT
  /TABLE xgov [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY InsufficientRooms + InsufficientAmenities + Outdated
  /CATEGORIES VARIABLES=InsufficientRooms InsufficientAmenities Outdated ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=xgov Region SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= '  2-14:       (% )  									' 'Table 2-14 A:The Kind of Deficiencies in'+
 ' the housing unit (% persons)									' ''.





******************************************************************************************************************************************************************
****************************************************Table 2-14 B:Number of Deficiencies in the housing unit (% persons)*********
******************************************************************************************************************************************************************



GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .



IF (Q0311A = 2 & Q0311B = 2 & Q0311C = 2) NNRoom = 1 .
IF (Q0311A = 1 & Q0311B = 2 & Q0311C = 2 | Q0311B = 1 & Q0311A = 2 & Q0311C = 2 | Q0311C = 1 & Q0311A = 2 & Q0311B = 2  ) NNRoom = 2 .
IF (Q0311A = 1  &  Q0311B  = 1 & Q0311C = 2 | Q0311A = 1  & Q0311C = 1  & Q0311B = 2  | Q0311B = 1 & Q0311C = 1 & Q0311A = 2 ) NNRoom = 3 .
IF (Q0311A = 1  &  Q0311B  = 1 & Q0311C = 1 ) NNRoom = 4 .
EXECUTE .

value labels NNRoom   1 'Non'  2 'one' 3 'Two' 4 'Three' .

VARIABLE LEVEL NNRoom  (NOMINAL).
EXECUTE.




* Custom Tables.
CTABLES
  /VLABELS VARIABLES=NNRoom xgov Region strat SIZEGRG PCExpGr DISPLAY=DEFAULT
  /TABLE xgov [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT F40.1]
 + PCExpGr [ROWPCT.COUNT F40.1] BY NNRoom
  /CATEGORIES VARIABLES=NNRoom PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=xgov Region strat SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-14:       (% )  ' 'Table 2-14 B: Number of Deficiencies in the housing'+
 ' unit (% persons)'.







****************************************************************************************************************************************************************
****************************************** Table 2-15: Method of garbage disposal (% of persons)**********************************************************
****************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .

VARIABLE LEVEL Q0312  (NOMINAL).
EXECUTE.






* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0312 xgov Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE xgov [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1]
 + SIZEGRG [ROWPCT.COUNT F40.1] BY q0312
  /CATEGORIES VARIABLES=q0312 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=xgov Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE.








************************************************************************************************************************************************************************
***********************************************Table 2-16: Main type of sanitation (% of persons)*******************************************************************
************************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .

VARIABLE LEVEL Q0313  (NOMINAL).
EXECUTE.



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0313 XGOV Region  strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1]  + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0313
  /CATEGORIES VARIABLES=Q0313 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-16:     (% )							' 'Table 2-16: Main type of sanitation (% of persons) 				'+
 '			' ''.



********************************************************************************************************************************************************************************************
********************************************Table 2-17: Main source of water (% of persons)********************************************************************************************
********************************************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .

RECODE  Q0319  (1=1)  (2=0)  INTO  UnRefinedWater .
VARIABLE LEVEL UnRefinedWater  (NOMINAL).
RECODE  Q0314  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6 thru 9=6)  INTO  SorceWater .
EXECUTE .

value labels SorceWater 1 'Public network: housing unit connected' 2 'Public network tab' 3 'Tanker' 4 'River or creek' 5 'Open well' 6 'Other' .

VARIABLE LEVEL SorceWater  (NOMINAL).
EXECUTE.



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=SorceWater UnRefinedWater XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY SorceWater + UnRefinedWater
  /CATEGORIES VARIABLES=SorceWater SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=UnRefinedWater ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-17:    (% )												' 'Table 2-17: Main source of water (% of persons)									'+
 '			' ''.



******************************************************************************************************************************************************
**************************************Table 2-18: Availability of water from public network (% of persons)****************************************
******************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .

VARIABLE LEVEL Q0315  (NOMINAL).
EXECUTE.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0315 XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0315
  /CATEGORIES VARIABLES=Q0315 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-18:      (% )										' 'Table 2-18: Availability of water from public'+
 ' network (% of persons)										' ''.



**************************************************************************************************************************************************************************
*****************************************Table 2-19: Addressing shortage in water supply from public network (% of persons***************************************
**************************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .

IF (Q0317 = 1) Addressing_Shortage = 1 .
IF (Q0317 = 2) Addressing_Shortage = 2 .
IF (Q0317 = 3) Addressing_Shortage = 3 .
IF (Q0317 = 4) Addressing_Shortage = 4 .
IF (Q0317 =  5) Addressing_Shortage = 5 .
IF (Q0317 =  6) Addressing_Shortage = 6 .
IF (Q0316 = 1) Addressing_Shortage = 7 .
IF (Q0315 = 7 | Q0315 = 8) Addressing_Shortage = 8 .
EXECUTE .

value labels   Addressing_Shortage  1 'purchase' 2 'River' 3 'puplic Tap' 4 'bring water from another area' 5 'use water pump' 6 'others means' 7 'no shortage in water supply' 8 'puplic network no avalable'.

VARIABLE LEVEL Addressing_Shortage  (NOMINAL).
EXECUTE.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Addressing_Shortage xgov Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE xgov [ROWPCT.COUNT F40.1] +Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Addressing_Shortage
  /CATEGORIES VARIABLES=Addressing_Shortage SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=xgov Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-19:         (% )' 'Table 2-19: Addressing shortage in water'+
 ' supply from public network (% of persons)' ''.





********************************************************************************************************************************************************************************
***********************************************************Table 2-20: Water treatment before use: drinking water (% of persons)*****************************************
********************************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .


VARIABLE LEVEL Q0318A  (NOMINAL).
EXECUTE.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0318A XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1]+ strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0318A
  /CATEGORIES VARIABLES=Q0318A SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-20:    :   (% )								' 'Table 2-20: Water treatment before use:'+
 ' drinking water (% of persons)								' ''.



**************************************************************************************************************************************************************************************
************************************************************ Table 2-21: Water treatment before use: cooking water (% of persons)**********************************************
**************************************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .


VARIABLE LEVEL Q0318B  (NOMINAL).
EXECUTE.



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0318b xgov Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE xgov [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY q0318b
  /CATEGORIES VARIABLES=q0318b SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=xgov Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= '  2-21:    :   (% )' 'Table 2-21: Water treatment before use: cooking'+
 ' water (% of persons)' ''.



**********************************************************************************************************************************************************************************
********************************************************Table 2-22: Water treatment before use: water for washing (% of persons)******************************************
**********************************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .


VARIABLE LEVEL Q0318C  (NOMINAL).



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0318C XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0318C
  /CATEGORIES VARIABLES=Q0318C SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-22:    :   (% )								' 'Table 2-22: Water treatment before use:'+
 ' water for washing (% of persons)								' ''.



**********************************************************************************************************************************************************************************
************************************************************** Table 2-23: Water treatment before use: water for other purposes (% of persons)****************************
**********************************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .
 
*Q0318D.
VARIABLE LEVEL Q0318D  (NOMINAL).
EXECUTE.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0318D XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0318D
  /CATEGORIES VARIABLES=Q0318D SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-23:    :    (% )								' 'Table 2-23: Water treatment before'+
 ' use: water for other purposes (% of persons)								' ''.



******************************************************************************************************************************************************************************
***************************************************************Table 2-24: Status of water closet in the housing unit (% of persons)**************************************
******************************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .


VARIABLE LEVEL Q0320  (NOMINAL).
EXECUTE.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0320 XGOV  Region  strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0320
  /CATEGORIES VARIABLES=Q0320 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV  Region  strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-24:        (% )							' 'Table 2-24: Status of water closet in the'+
 ' housing unit (% of persons)							' ''.



********************************************************************************************************************************************************************************
****************************************************************** Table 2-25: Main method of cooling in the housing unit (% of persons)***********************************
********************************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .


VARIABLE LEVEL Q0321  (NOMINAL).
EXECUTE.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0321 XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0321
  /CATEGORIES VARIABLES=Q0321 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-25:        (% )							' 'Table 2-25: Main method of cooling in'+
 ' the housing unit (% of persons)							' ''.



**************************************************************************************************************************************************************************************
***************************************** Table 2-26: Main manner of cooling in the housing unit (% of persons)******************************************************************
**************************************************************************************************************************************************************************************



GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .



IF (Q0322 = 1) Manner_Cooling = 1 .
IF (Q0322 =2) Manner_Cooling = 2 .
IF (Q0322 =3) Manner_Cooling = 3 .
IF (Q0322 = 4) Manner_Cooling = 4 .
IF (Q0321 = 5) Manner_Cooling = 5 .
EXECUTE .

value labels  Manner_Cooling 1 'Central' 2 'Partly Central' 3 'Non Central' 4 'Other' 5 'No Cooling' .

VARIABLE LEVEL Manner_Cooling  (NOMINAL).
EXECUTE.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Manner_Cooling XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] +strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Manner_Cooling
  /CATEGORIES VARIABLES=Manner_Cooling SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-26:       (% )							' 'Table 2-26: Main manner of cooling in the'+
 ' housing unit (% of persons)							' ''.



***************************************************************************************************************************************************************************************
*******************************************Table 2-27: Source of electricity by availability for the housing unit (% of persons)*****************************************************
***************************************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .



RECODE  Q0323_1 Q0323_2 Q0323_3  (1=1)  (2=2)  (3=3)  (4=5)  (SYSMIS=5)  INTO  First  Second  Third .
EXECUTE .

value labels  First  Second  Third  1 'Public network' 2 'Comunity Generator' 3 'Privet Generator ' 5 'No Electricity' .

VARIABLE LEVEL First  (NOMINAL).
VARIABLE LEVEL Second  (NOMINAL).
VARIABLE LEVEL Third  (NOMINAL).
EXECUTE.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=First Second Third XGOV Region strat PCExpGr SIZEGRG
    DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] +Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY First + Second + Third
  /CATEGORIES VARIABLES=First Second Third SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-27:         (% )									' 'Table 2-27: Source of'+
 ' electricity by availability for the housing unit (% of persons)									' ''.




**********************************************************************************************************************************************************************************************
************************************************Table 2-28: Sources of electricity for the housing unit (% of persons)********************************************************************
**********************************************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .


IF (First = 1 & Second  = 5 & Third = 5) SorceElct = 1 .
IF (First = 1 & Second = 2 & Third = 5 | First  = 1 & Second = 3 & Third = 5 |  First  = 2 & Second = 1 & Third = 5 | First  = 3 & Second = 1 & Third = 5 ) SorceElct = 2 .
IF (First= 1 & Second = 2 & Third = 3 | First= 1 & Second = 3 & Third = 2 | First= 2 & Second = 1 & Third = 3 | First= 2 & Second = 3 & Third  = 1 | First= 3 & Second = 1 & Third = 2| First= 3 & Second = 2 &   Third = 1) SorceElct = 3 .
IF (First ~= 1 & First ~= 5 &  Second = 5 &  Third = 5) SorceElct = 4 .

IF (Third = 5 & First ~= 1 & First ~= 5 & Second ~= 5 & Second ~= 1 ) SorceElct = 5 .
IF (First = 5) SorceElct = 6 .
EXECUTE .

value labels SorceElct  1 'Public net only' 2 'net & another sorce' 3 'net & 2 Sorce' 4 'one sorce outside net' 5 '2 sorce outside net' 6 'no Electricity'


VARIABLE LEVEL SorceElct  (NOMINAL).
EXECUTE.



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=SorceElct XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY SorceElct
  /CATEGORIES VARIABLES=SorceElct SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-28:     (% )								' 'Table 2-28: Sources of electricity for the housing'+
 ' unit (% of persons)								' ''.



****************************************************************************************************************************************************************************************************************
******************************************************************** Table 2-29 Availability of electricity during the last seven days for the housing unit (% of persons)************************************
****************************************************************************************************************************************************************************************************************



GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .


IF (Q0323_1 = 4) NoElect = 1 .
IF (Q0323_1 ~=  4) NoElect = 0 .
EXECUTE .

VARIABLE LEVEL NoElect  (NOMINAL).
EXECUTE.



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0324_1 q0324_2 q0324_3 q0325_1 q0325_2 q0325_3 NoElect xgov Region strat PCExpGr SIZEGRG
    DISPLAY=DEFAULT
  /TABLE xgov + Region + strat + PCExpGr + SIZEGRG BY q0324_1 [MEAN F40.1] + q0324_2 [MEAN F40.1] + q0324_3 [MEAN F40.1] + q0325_1
  [MEAN F40.1] + q0325_2 [MEAN F40.1] + q0325_3 [MEAN F40.1] + NoElect [ROWPCT.COUNT F40.1]
  /CATEGORIES VARIABLES=NoElect ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=xgov Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= ' 2-29:         (% )  								' 'Table 2-29 Availability'+
 ' of electricity during the last seven days for the housing unit (% of persons)								' ''.




********************************************************************************************************************************************************************************************
****************************************************************************** Table 2-30: Main fuel used for cooking (% of persons)****************************************************
********************************************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .


RECODE Q0326_11 Q0326_12 Q0326_13 Q0326_14 Q0326_15 Q0326_16  (4=2)  (5=3)  (1 thru 3=1)  (6 thru 8=4)  INTO  Co1  Co2  Co3  Co4  Co5  Co6 .
EXECUTE .

value labels Co1  Co2  Co3  Co4  Co5  Co6    1 'Electricity' 2 'Gaz' 3 'Kerosene' 4 'Other'

IF (Co1 = 1) MainCook = 1 .
IF (Co1 = 2) MainCook = 2 .
IF (Co1 = 3) MainCook = 3 .
IF (Co1 = 4) MainCook = 4 .

EXECUTE .

value labels  MainCook    1 'Electricity' 2 'Gaz' 3 'Kerosene' 4 'Other'

VARIABLE LEVEL MainCook  (NOMINAL).
EXECUTE.

* Multiple Response Sets.
MRSETS
  /MCGROUP NAME=$Cook VARIABLES=Co1 Co2 Co3 Co4 Co5 Co6
  /DISPLAY NAME=[$Cook].



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=MainCook $Cook XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY MainCook + $Cook
  /CATEGORIES VARIABLES=MainCook XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=$Cook SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= ' 2-30:      (% )										' 'Table 2-30: Main fuel used for cooking (%'+
 ' of persons)										' ''.


*****************************************************************************************************************************************************************
******************************************************** Table 2-31: Main fuel used for lighting (% of persons)***********************************************
*****************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .


RECODE Q0326_21 Q0326_22 Q0326_23 Q0326_24 Q0326_25 Q0326_26 (4=2)  (5=3)  (1 thru 3=1)  (6 thru 8=4)  INTO  L1  L2  L3  L4  L5  L6 .
EXECUTE .

value labels  L1  L2  L3  L4  L5  L6    1 'Electricity' 2 'Gaz' 3 'Kerosene' 4 'Other'.

IF (L1 = 1) MainLight = 1 .
IF (L1 = 2) MainLight = 2 .
IF (L1 = 3) MainLight = 3 .
IF (L1 = 4) MainLight = 4 .
EXECUTE .

value labels  MainLight   1 'Electricity' 2 'Gaz' 3 'Kerosene' 4 'Other'.

VARIABLE LEVEL MainLight  (NOMINAL).
EXECUTE.

* Multiple Response Sets.
MRSETS
  /MCGROUP NAME=$Light VARIABLES=L1 L2 L3 L4 L5 L6
  /DISPLAY NAME=[$Light].



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=MainLight $Light XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY MainLight + $Light
  /CATEGORIES VARIABLES=MainLight XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=$Light SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= ' 2-31:      (% )										' 'Table 2-31: Main fuel used for lighting'+
 ' (% of persons)										' ''.



**********************************************************************************************************************************************************************
************************************************Table 2-32: Main fuel used for space heating (% of persons)******************************************************
**********************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .


RECODE  Q0326_31 Q0326_32 Q0326_33 Q0326_34 Q0326_35 Q0326_36
  (4=2)  (5=3)  (1 thru 3=1)  (6 thru 8=4)  INTO  H1  H2  H3  H4  H5  H6 .
EXECUTE .

value labels  H1  H2  H3  H4  H5  H6   1 'Electricity' 2 'Gaz' 3 'Kerosene' 4 'Other'

IF (H1 = 1) MainHeating = 1 .
IF (H1 = 2) MainHeating = 2 .
IF (H1 = 3) MainHeating = 3 .
IF (H1 = 4) MainHeating = 4 .
EXECUTE .

value labels  MainHeating  1 'Electricity' 2 'Gaz' 3 'Kerosene' 4 'Other'.

VARIABLE LEVEL MainHeating  (NOMINAL).
EXECUTE.

* Multiple Response Sets.
MRSETS
  /MCGROUP NAME=$Heat VARIABLES=H1 H2 H3 H4 H5 H6
  /DISPLAY NAME=[$Heat].




* Custom Tables.
CTABLES
  /VLABELS VARIABLES=MainHeating $Heat XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1]+ Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY MainHeating + $Heat
  /CATEGORIES VARIABLES=MainHeating XGOV Region  strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=$Heat SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= ' 2-32:      (% )										' 'Table 2-32: Main fuel used for space'+
 ' heating (% of persons)										' '' ''.


********************************************************************************************************************************************************************************************
************************************************************************************************ Table 2-33: Main fuel used for heating water (% of persons)****************************
********************************************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .



RECODE  Q0326_41 Q0326_42 Q0326_43 Q0326_44 Q0326_45 Q0326_46  (4=2)  (5=3)  (1 thru 3=1)  (6 thru 8=4)  INTO  W1  W2  W3  W4  W5  W6 .
EXECUTE .

value labels  W1  W2  W3  W4  W5  W6  1 'Electricity' 2 'Gaz' 3 'Kerosene' 4 'Other'

IF (W1 = 1) MainHeatWater = 1 .
IF (W1 = 2) MainHeatWater = 2 .
IF (W1 = 3) MainHeatWater = 3 .
IF (W1 = 4) MainHeatWater = 4 .
EXECUTE .

value labels  MainHeatWater  1 'Electricity' 2 'Gaz' 3 'Kerosene' 4 'Other'

*Define Variable Properties.
*MainHeatWater.
VARIABLE LEVEL MainHeatWater  (NOMINAL).
EXECUTE.

* Multiple Response Sets.
MRSETS
  /MCGROUP NAME=$HeatWater VARIABLES=W1 W2 W3 W4 W5 W6
  /DISPLAY NAME=[$HeatWater].




* Custom Tables.
CTABLES
  /VLABELS VARIABLES=MainHeatWater $HeatWater XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY MainHeatWater + $HeatWater
  /CATEGORIES VARIABLES=MainHeatWater XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=$HeatWater SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= ' 2-33:       (% )										' 'Table 2-33: Main fuel used for'+
 ' heating water (% of persons)										' '									' '' ''.




*********************************************************************************************************************************************************************************************
******************************************************************************* Table 2-34: Ownership of the housing unit (% of persons)************************************************
*********************************************************************************************************************************************************************************************

GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.

 
WEIGHT
  BY Weight_Person .


RECODE Q0327 (1=SYSMIS)  (2=1)  (3=2)  (4=3)  (5=4)  INTO  Sectors .
EXECUTE .

value labels Sectors  1 'Privet' 2 'Public' 3 'Governarate ' 4 'Other'

VARIABLE LEVEL Sectors  (NOMINAL).
EXECUTE.



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Sectors XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Sectors
  /CATEGORIES VARIABLES=Sectors SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-34:    (% )						' 'Table 2-8: Ownership of the housing unit (% of persons)						'
  '									' '									' '' ''.



*************************************************************************************************************************************************************
*******************************************************Table 2-35: Tenancy of the housing unit (% of persons)*******************************************
*************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .


RECODE Q0328 (1=2)  (2=3)  (3=4)  (4=5)  (5=6)  INTO  Rent .
EXECUTE .

IF (Q0327 = 1) TenancyUnit = 1 .
IF (Rent = 2) TenancyUnit = 2 .
IF (Rent = 3) TenancyUnit = 3 .
IF (Rent = 4) TenancyUnit = 4 .
IF (Rent = 5) TenancyUnit = 5 .
IF (Rent = 6) TenancyUnit = 6 .
EXECUTE .

value labels TenancyUnit  1 'Owen' 2 'Rent' 3 'by employer ' 4 'Free Agreement' 5 'No Agreement' 6 'Other' .

VARIABLE LEVEL TenancyUnit  (NOMINAL).
EXECUTE.



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=TenancyUnit XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] +Region  [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY TenancyUnit
  /CATEGORIES VARIABLES=TenancyUnit SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-35:     (% )								' 'Table 2-35: Tenancy of the housing unit (% of persons)		'+
 '						' '' ''.


**************************************************************************************************************************************************************************
****************************************************** Table 2-36: Estimated rent of housing unit (thousand ID/month)***********************************************
**************************************************************************************************************************************************************************



GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


RECODE Q0329 (-3=SYSMIS)  (Lowest thru 49.9999=1) (50 thru 99.9999=2)  (100 thru 149.9999=3)  (150 thru
  199.9999=4)  (200 thru 299.9999=5) (300 thru 499.9999=6)  (500 thru Highest=7)  INTO  EstimatedRent .
EXECUTE .

value labels EstimatedRent   1 'Less than 50'  2  '50-LT100'  3 '100-LT150' 4 '150-LT200' 5 '200-LT300' 6 '300-LT500' 7 '500 & More' .
 

VARIABLE LEVEL EstimatedRent  (NOMINAL).
EXECUTE.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=EstimatedRent XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] +Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY EstimatedRent
  /CATEGORIES VARIABLES=EstimatedRent SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-36:      ( /)									' 'Table 2-36: Estimated rent of housing'+
 ' unit (thousand ID/month)									' ''.


**************************************************************************************************************************************************************************
**********************************************************Table 2-37: Estimated rent of housing unit (thousand ID/month)********************************************
**************************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.

WEIGHT
  BY weight .



RECODE q0337_1  (SYSMIS=8)  (Lowest thru 49.9999=1) (50 thru 99.9999=2)  (100 thru 149.9999=3)  (150 thru
  199.9999=4)  (200 thru 299.9999=5) (300 thru 499.9999=6)  (500 thru Highest=7)  INTO  Paid_Rent .
EXECUTE .

value labels Paid_Rent   1 'Less than 50'  2  '50-LT100'  3 '100-LT150' 4 '150-LT200' 5 '200-LT300' 6 '300-LT500' 7 '500 & More'  8 'not Paid' .

VARIABLE LEVEL Paid_Rent  (NOMINAL).
EXECUTE.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Paid_Rent xgov Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE xgov [ROWPCT.COUNT F40.1] +Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Paid_Rent
  /CATEGORIES VARIABLES=Paid_Rent SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=xgov Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-37:      ( /)  										' 'Table 2-37: Estimated rent of'+
 ' housing unit (thousand ID/month)										' ''.



**********************************************************************************************************************************************************************************************
************************************************************************** Table 2-38: Age of housing unit in years (% of persons)********************************************************
**********************************************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .


RECODE Q0330 (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7)  (Lowest thru 0=SYSMIS)  INTO  AgeHouse .
EXECUTE .

value labels  AgeHouse   1 'LESS THAN ONE YEAR' 2 '1 YEAR TO LESS THAN 5 YEARS' 3 '5 YEARS TO LESS THAN 10 YEARS' 4 '10 YEARS TO LESS THAN 20 YEARS'  5 '20 YEARS TO LESS THAN 30 YEARS'  6 '30 YEARS TO LESS THAN 50 YEARS'  7 '50 YEARS OR MORE'.


VARIABLE LEVEL AgeHouse  (NOMINAL).
EXECUTE.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=AgeHouse XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY AgeHouse
  /CATEGORIES VARIABLES=AgeHouse SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-38:     (% )									' 'Table 2-38: Age of housing unit in years (% of'+
 ' persons)									' ''.



*********************************************************************************************************************************************************************************
*********************************** Table 2-39-40  : Negative environmental factor on the housing unit (% persons very much affected)- Cont. ***************************
*********************************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .


* Multiple Response Sets.
MRSETS
  /MDGROUP NAME=$VeryMuchAffected VARIABLES=Q0331_01 Q0331_02 Q0331_03 Q0331_04 Q0331_05 Q0331_06 Q0331_07 Q0331_08 Q0331_09
  Q0331_10 Q0331_11 Q0331_12 Q0331_13 VALUE=1
  /DISPLAY NAME=[$VeryMuchAffected].

COUNT
  No.ofAffect= Q0331_01 Q0331_02 Q0331_03 Q0331_04 Q0331_05 Q0331_06 Q0331_07 Q0331_08 Q0331_09 Q0331_10 Q0331_11 Q0331_12
  Q0331_13  (1 thru 3)  .
EXECUTE .



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=$VeryMuchAffected No.ofAffect xgov Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE xgov + Region + strat + PCExpGr + SIZEGRG BY $VeryMuchAffected [ROWPCT.COUNT F40.1] + No.ofAffect [MEAN F40.1]
  /CATEGORIES VARIABLES=$VeryMuchAffected  EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=xgov Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= ' 2-39:       (%   )								' 'Table 2-39: Negative'+
 ' environmental factor on the housing unit (% persons very much affected)								' ''.



*********************************************************************************************************************************************************************************
************************************************************************* Table 2-41: Transport problems (% of persons)****************************************************
*********************************************************************************************************************************************************************************&&&&&&&&&


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .


RECODE  q0333_x1  (1=1)  (SYSMIS=0)  INTO  N333_1 .
RECODE  q0333_x2   (SYSMIS=0)  (2=2)  INTO  N333_2 .
RECODE  q0333_x3   (SYSMIS=0)  (3=3)  INTO  N333_3 .
RECODE  q0333_x4  (SYSMIS=0)  (4=4)  INTO  N333_4 .
RECODE  q0333_x5  (SYSMIS=0)  (5=5)  INTO  N333_5 .
RECODE  q0333_x6  (SYSMIS=0)  (6=6)  INTO  N333_6 .
EXECUTE .

VARIABLE LEVEL N333_1  (NOMINAL).
VARIABLE LEVEL N333_2  (NOMINAL).
VARIABLE LEVEL N333_3  (NOMINAL).
VARIABLE LEVEL N333_4  (NOMINAL).
VARIABLE LEVEL N333_5  (NOMINAL).
VARIABLE LEVEL N333_6  (NOMINAL).
EXECUTE.


COUNT
  No.OfProblem = q0333_x1 q0333_x2 q0333_x3 q0333_x4 q0333_x5 q0333_x6  (1 thru 6)  .
EXECUTE .



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=N333_1 N333_2 N333_3 N333_4 N333_5 N333_6 No.OfProblem xgov Region strat PCExpGr SIZEGRG
    DISPLAY=DEFAULT
  /TABLE xgov + Region + strat + PCExpGr + SIZEGRG BY N333_1 [ROWPCT.COUNT F40.1] + N333_2 [ROWPCT.COUNT F40.1] + N333_3
  [ROWPCT.COUNT F40.1] + N333_4 [ROWPCT.COUNT F40.1] + N333_5 [ROWPCT.COUNT F40.1] + N333_6 [ROWPCT.COUNT F40.1] +
  No.OfProblem [MEAN F40.1]
  /CATEGORIES VARIABLES=N333_1 N333_2 N333_3 N333_4 N333_5 N333_6 ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=xgov Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= ' 2-41:   (% )								' 'Table 2-41: Transport problems (% of persons)								' ''.





**************************************************************************************************************************************************************************
**********************************Table 2-42: Main type of road to the housing unit (% of persons)********************************************************************
**************************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .



RECODE
  q0334
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6 thru 7=6)  INTO  New334 .
EXECUTE .

formats New334 (F).

value lables New334 1 'paved road with out path' 2 'paved road/paved path' 3 'paved road/unpaved path' 4 'covered with sub-base road' 5 'earth' 6 'no road & Other'.


*Define Variable Properties.
*New334.
VARIABLE LEVEL New334  (NOMINAL).
EXECUTE.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=New334 xgov Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE xgov [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY New334
  /CATEGORIES VARIABLES=New334 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=xgov Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-42:       (% )  									' 'Table 2-42: Main type of road to the'+
 ' housing unit (% of persons)									' ''.



*********************************************************************************************************************************************************************************
****************************************** -Table 2-43- 58 : Availability of services near the housing unit (distance in meters)- Cont.****************************************
**********************************************************************************************************************************************************************************



GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.



WEIGHT
  BY weight .



VARIABLE LEVEL Q0335_01  (NOMINAL).
VARIABLE LEVEL Q0335_02  (NOMINAL).
VARIABLE LEVEL Q0335_03  (NOMINAL).
VARIABLE LEVEL Q0335_04  (NOMINAL).
VARIABLE LEVEL Q0335_05  (NOMINAL).
VARIABLE LEVEL Q0335_06  (NOMINAL).
VARIABLE LEVEL Q0335_07  (NOMINAL).
VARIABLE LEVEL Q0335_08  (NOMINAL).
VARIABLE LEVEL Q0335_09  (NOMINAL).
VARIABLE LEVEL Q0335_10  (NOMINAL).
VARIABLE LEVEL Q0335_11  (NOMINAL).
VARIABLE LEVEL Q0335_12  (NOMINAL).
VARIABLE LEVEL Q0335_13  (NOMINAL).
VARIABLE LEVEL Q0335_14  (NOMINAL).
VARIABLE LEVEL Q0335_15  (NOMINAL).
VARIABLE LEVEL Q0335_16  (NOMINAL).
EXECUTE.






* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0335_01 XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0335_01
  /CATEGORIES VARIABLES=Q0335_01 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-43:        ( ) Table 2-43:Availability of Primary'+
 ' school near the housing unit (distance in meters). ' ''.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0335_02 XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0335_02
  /CATEGORIES VARIABLES=Q0335_02 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-44:          ( ) Table 2-44:Availability of'+
 ' Secondery school near the housing unit (distance in meters) ' ''.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0335_03 XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0335_03
  /CATEGORIES VARIABLES=Q0335_03 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-45:        ( ) Table 2-45:Availability of Pupblic'+
 ' hospital near the housing unit (distance in meters) ' ''.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0335_04 XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0335_04
  /CATEGORIES VARIABLES=Q0335_04 XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= ' 2-46:        ( ) Table 2-46:Availability of Privet Hospital'+
 ' near the housing unit (distance in meters) ' ''.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0335_05 XGOV strat Region PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0335_05
  /CATEGORIES VARIABLES=Q0335_05 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV strat Region PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-47:   /     ( ) Table 2-47:Availability of Health'+
 ' center near the housing unit (distance in meters)' ''.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0335_06 XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0335_06
  /CATEGORIES VARIABLES=Q0335_06 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-48:        ( ) Table 2-48:Availability of Pharmacy near the'+
 ' housing unit (distance in meters) ' ''.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0335_07 XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0335_07
  /CATEGORIES VARIABLES=Q0335_07 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-49:        ( ) Table 2-49:Availability of Police Center'+
 ' near the housing unit (distance in meters) ' ''.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0335_08 XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0335_08
  /CATEGORIES VARIABLES=Q0335_08 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-50:        ( ) Table 2-50:Availability of Post Office'+
 ' near the housing unit (distance in meters) ' ''.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0335_09 XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0335_09
  /CATEGORIES VARIABLES=Q0335_09 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-51:       ( ) Table 2-51:Availability of Place of worship'+
 ' near the housing unit (distance in meters) ' ''.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0335_10 XGOV Region  strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0335_10
  /CATEGORIES VARIABLES=Q0335_10 XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= ' 2-52:        ( ) Table 2-52:Availability of Youth center'+
 ' near the housing unit (distance in meters) ' ''.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0335_11 XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0335_11
  /CATEGORIES VARIABLES=Q0335_11 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-53:       ( ) Table 2-53:Availability of Bank near the housing'+
 ' unit (distance in meters) ' ''.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0335_12 XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0335_12
  /CATEGORIES VARIABLES=Q0335_12 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-54:        ( ) Table 2-54:Availability of Fire station'+
 ' near the housing unit (distance in meters)' ''.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0335_13 XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0335_13
  /CATEGORIES VARIABLES=Q0335_13 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-55:        ( ) Table 2-55:Availability of Municipality'+
 ' near the housing unit (distance in meters) ' ''.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0335_14 XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0335_14
  /CATEGORIES VARIABLES=Q0335_14 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-56:         ( ) Table 2-56:Availability of Public bus'+
 ' stop near the housing unit (distance in meters) ' ''.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0335_15 XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0335_15
  /CATEGORIES VARIABLES=Q0335_15 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-57:   /      ( ) Table 2-57:Availability of Private'+
 ' bus near the housing unit (distance in meters) ' ''.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0335_16 XGOV Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE XGOV [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY Q0335_16
  /CATEGORIES VARIABLES=Q0335_16 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= ' 2-58:       ( ) Table 2-58:Availability of Markets near the'+
 ' housing unit (distance in meters) ' ''.

SAVE OUTFILE ='C:\IHSES_TABLES\T2\Temp_Housing.sav'.




**************** Table 2-49   , Table  2-52 ******************


****** I have Zero ... I must remove zero *************



RECODE
  q0335_07 q0335_10
  (0=SYSMIS)  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7)  INTO  N335_7  N335_10 .
EXECUTE .



format N335_7  N335_10 (F1).

 

VALUE LABELS  N335_7  N335_10  1 'less than 100 meters' 2 '101-300 meters'  3  '301-500 meters'  4  '501-1000 meters'  5  '1-5 km'  6  '5-10 km'  7 'more than 10 km' .  



variable levels N335_7  N335_10 (NOMINAL).




********* Table 2-49 ************




* Custom Tables.
CTABLES
  /VLABELS VARIABLES=N335_7 xgov Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE xgov [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1]
 + SIZEGRG [ROWPCT.COUNT F40.1] BY N335_7
  /CATEGORIES VARIABLES=N335_7 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=xgov Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE.







********* Table 2-52 ************




* Custom Tables.
CTABLES
  /VLABELS VARIABLES=N335_10 xgov Region strat PCExpGr SIZEGRG DISPLAY=DEFAULT
  /TABLE xgov [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1]
 + SIZEGRG [ROWPCT.COUNT F40.1] BY N335_10
  /CATEGORIES VARIABLES=N335_10 SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=xgov Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE.







************************************************************************************************************************************************************************************
***********************************Table 2-59: Availability of communication means within housing unit (number/ HH)********************************************************
************************************************************************************************************************************************************************************



GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.





RECODE
  q0336_1 q0336_2 q0336_3 q0336_4 q0336_5
  (SYSMIS=0)  (ELSE=Copy)  INTO  Phone_Com  Mobile_Com  Internet_Com  Dish_com  Other_com .
EXECUTE .



WEIGHT
  BY weight .




* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Phone_Com Mobile_Com Internet_Com Dish_com Other_com xgov Region strat PCExpGr SIZEGRG
    DISPLAY=DEFAULT
  /TABLE xgov + Region + strat + PCExpGr + SIZEGRG BY Phone_Com [MEAN] + Mobile_Com [MEAN] + Internet_Com [MEAN] + Dish_com
  [MEAN] + Other_com [MEAN]
  /CATEGORIES VARIABLES=xgov Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 2-59: Availability of communication means within housing unit (number/ HH)'.






*********************************************************************************************************************************************************************************************
***************************************************************** Table 2-60-63: Availability of housing appliances (% persons)- cont. **************************************************
*********************************************************************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T2\Temp_Housing.sav'.


WEIGHT
  BY Weight_Person .


****************************** Durable*******************************


COUNT
  No.of_Durables = PrivateCar TaxiForHH MiniBus Bicycle Motor ElectricGasCooker KeroseneCooker Mixer refrigerator
  WashingMachine Iron ElectricWaterHeater GasWaterHeater SolarWaterHeater KerosenWaterHeater AirCooler WaterCooler freezer
  DishWasher Vacuum RadioRecord CollorTV BlackWhiteTV VideoRecorder DVDplayer SewingMachine ElectricGenerator ElectricFan
  Aircondition PearsonalComputer PlayStation KerosenHeater GasHeater ElectricHeater SataliteDish Other  (1 thru Highest)  .
EXECUTE .

RECODE
  Q1602_01 Q1602_02 Q1602_03 Q1602_04 Q1602_05 Q1602_06 Q1602_07 Q1602_08 Q1602_09 Q1602_10 Q1602_11 Q1602_12 Q1602_13
  Q1602_14 Q1602_15 Q1602_16 Q1602_17 Q1602_18 Q1602_19 Q1602_20 Q1602_21 Q1602_22 Q1602_23 Q1602_24 Q1602_25 Q1602_26
  Q1602_27 Q1602_28 Q1602_29 Q1602_30 Q1602_31 Q1602_32 Q1602_33 Q1602_34 Q1602_35 Q1602_36
  (SYSMIS=0)  (1 thru Highest=1)  (Lowest thru 0=0)  INTO  PrivateCar  TaxiForHH  MiniBus  Bicycle  Motor  ElectricGasCooker
  KeroseneCooker  Mixer  refrigerator  WashingMachine  Iron  ElectricWaterHeater  GasWaterHeater  SolarWaterHeater
  KerosenWaterHeater  AirCooler  WaterCooler  freezer  DishWasher  Vacuum  RadioRecord  CollorTV  BlackWhiteTV  VideoRecorder
  DVDplayer  SewingMachine  ElectricGenerator  ElectricFan  Aircondition  PearsonalComputer  PlayStation  KerosenHeater
  GasHeater  ElectricHeater  SataliteDish  Other .
EXECUTE .


format PrivateCar  TaxiForHH  MiniBus  Bicycle  Motor  ElectricGasCooker
  KeroseneCooker  Mixer  refrigerator  WashingMachine  Iron  ElectricWaterHeater  GasWaterHeater  SolarWaterHeater
  KerosenWaterHeater  AirCooler  WaterCooler  freezer  DishWasher  Vacuum  RadioRecord  CollorTV  BlackWhiteTV  VideoRecorder
  DVDplayer  SewingMachine  ElectricGenerator  ElectricFan  Aircondition  PearsonalComputer  PlayStation  KerosenHeater
  GasHeater  ElectricHeater  SataliteDish  Other (F).




*Define Variable Properties.

VARIABLE LEVEL PrivateCar  (NOMINAL).
VARIABLE LEVEL TaxiForHH  (NOMINAL).
VARIABLE LEVEL MiniBus  (NOMINAL).
VARIABLE LEVEL Bicycle  (NOMINAL).
VARIABLE LEVEL Motor  (NOMINAL).
VARIABLE LEVEL ElectricGasCooker  (NOMINAL).
VARIABLE LEVEL KeroseneCooker  (NOMINAL).
VARIABLE LEVEL Mixer  (NOMINAL).
VARIABLE LEVEL refrigerator  (NOMINAL).
VARIABLE LEVEL WashingMachine  (NOMINAL).
VARIABLE LEVEL Iron  (NOMINAL).
VARIABLE LEVEL ElectricWaterHeater  (NOMINAL).
VARIABLE LEVEL GasWaterHeater  (NOMINAL).
VARIABLE LEVEL SolarWaterHeater  (NOMINAL).
VARIABLE LEVEL KerosenWaterHeater  (NOMINAL).
VARIABLE LEVEL AirCooler  (NOMINAL).
VARIABLE LEVEL WaterCooler  (NOMINAL).
VARIABLE LEVEL freezer  (NOMINAL).
VARIABLE LEVEL DishWasher  (NOMINAL).
VARIABLE LEVEL Vacuum  (NOMINAL).
VARIABLE LEVEL RadioRecord  (NOMINAL).
VARIABLE LEVEL CollorTV  (NOMINAL).
VARIABLE LEVEL BlackWhiteTV  (NOMINAL).
VARIABLE LEVEL VideoRecorder  (NOMINAL).
VARIABLE LEVEL DVDplayer  (NOMINAL).
VARIABLE LEVEL SewingMachine  (NOMINAL).
VARIABLE LEVEL ElectricGenerator  (NOMINAL).
VARIABLE LEVEL ElectricFan  (NOMINAL).
VARIABLE LEVEL Aircondition  (NOMINAL).
VARIABLE LEVEL PearsonalComputer  (NOMINAL).
VARIABLE LEVEL PlayStation  (NOMINAL).
VARIABLE LEVEL KerosenHeater  (NOMINAL).
VARIABLE LEVEL GasHeater  (NOMINAL).
VARIABLE LEVEL ElectricHeater  (NOMINAL).
VARIABLE LEVEL SataliteDish  (NOMINAL).
VARIABLE LEVEL Other  (NOMINAL).
EXECUTE.





* Custom Tables.
CTABLES
  /VLABELS VARIABLES=PrivateCar TaxiForHH MiniBus Bicycle Motor ElectricGasCooker KeroseneCooker Mixer refrigerator xgov Region
  strat PCExpGr SIZEGRG
    DISPLAY=DEFAULT
  /TABLE xgov [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY PrivateCar + TaxiForHH + MiniBus + Bicycle + Motor + ElectricGasCooker + KeroseneCooker + Mixer + refrigerator
  /CATEGORIES VARIABLES=PrivateCar TaxiForHH MiniBus Bicycle Motor ElectricGasCooker KeroseneCooker Mixer refrigerator
  ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=xgov Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= ' 2-60:    (% )- 										' 'Table 2-60: Availability of housing appliances (%'+
 ' persons)- cont.										' ''.




* Custom Tables.
CTABLES
  /VLABELS VARIABLES=WashingMachine Iron ElectricWaterHeater GasWaterHeater SolarWaterHeater KerosenWaterHeater AirCooler
  WaterCooler freezer xgov Region strat PCExpGr SIZEGRG
    DISPLAY=DEFAULT
  /TABLE xgov [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY WashingMachine + Iron + ElectricWaterHeater + GasWaterHeater + SolarWaterHeater + KerosenWaterHeater + AirCooler +
  WaterCooler + freezer
  /CATEGORIES VARIABLES=WashingMachine Iron ElectricWaterHeater GasWaterHeater SolarWaterHeater KerosenWaterHeater AirCooler
  WaterCooler freezer ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=xgov Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= ' 2-61:    (% )- 										' 'Table 2-61: Availability of housing appliances (%'+
 ' persons)- cont.										' ''.





* Custom Tables.
CTABLES
  /VLABELS VARIABLES=DishWasher Vacuum RadioRecord CollorTV BlackWhiteTV VideoRecorder DVDplayer SewingMachine
  ElectricGenerator xgov Region strat PCExpGr SIZEGRG
    DISPLAY=DEFAULT
  /TABLE xgov [ROWPCT.COUNT F40.1]+ Region [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] + SIZEGRG [ROWPCT.COUNT
  F40.1] BY DishWasher + Vacuum + RadioRecord + CollorTV + BlackWhiteTV + VideoRecorder + DVDplayer + SewingMachine +
  ElectricGenerator
  /CATEGORIES VARIABLES=DishWasher Vacuum RadioRecord CollorTV BlackWhiteTV VideoRecorder DVDplayer SewingMachine
  ElectricGenerator ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=xgov Region  strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= ' 2-62:    (% )- 										' 'Table 2-62: Availability of housing appliances (%'+
 ' persons)- cont.										' ''.




* Custom Tables.
CTABLES
  /VLABELS VARIABLES=ElectricFan Aircondition PearsonalComputer PlayStation KerosenHeater GasHeater ElectricHeater
  SataliteDish Other No.of_Durables xgov Region strat PCExpGr SIZEGRG
    DISPLAY=DEFAULT
  /TABLE xgov + Region + strat + PCExpGr + SIZEGRG BY ElectricFan [ROWPCT.COUNT F40.1] + Aircondition [ROWPCT.COUNT F40.1] +
  PearsonalComputer [ROWPCT.COUNT F40.1] + PlayStation [ROWPCT.COUNT F40.1] + KerosenHeater [ROWPCT.COUNT F40.1] + GasHeater
  [ROWPCT.COUNT F40.1] + ElectricHeater [ROWPCT.COUNT F40.1] + SataliteDish [ROWPCT.COUNT F40.1] + Other [ROWPCT.COUNT F40.1]
 + No.of_Durables [MEAN]
  /CATEGORIES VARIABLES=ElectricFan Aircondition PearsonalComputer PlayStation KerosenHeater GasHeater ElectricHeater
  SataliteDish Other ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=xgov Region strat PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=SIZEGRG ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= ' 2-63:    (% )											' 'Table 2-63: Availability of housing appliances (%'+
 ' persons)											' ''
   CAPTION= '										' ''.



!!!!!!!!!!!!!!!!!!!!!!!!!!!

***********************************************************************************************************************************************





************************************************ Table 2-11: Rooms in the housing unit* (rooms per 100 persons) ***********************************************************&&&&&


RECODE
  q0309_01 q0310_01 q0309_02 q0310_02 q0309_03 q0310_03 q0309_04 q0310_04 q0309_05 q0310_05 q0309_06 q0310_06 q0309_07
  q0310_07 q0309_08 q0310_08 q0309_09 q0310_09 q0309_10 q0310_10 q0309_11 q0310_11  (SYSMIS=0)  .
EXECUTE .

 
COMPUTE BedRomm = Q0309_01 + (Q0310_01 / No_HH) .
EXECUTE .

COMPUTE SitRomm = Q0309_02  + (Q0310_02 / No_HH) .
EXECUTE .


COMPUTE RecpRomm = Q0309_03  + (Q0310_03 / No_HH) .
EXECUTE .


COMPUTE DinRomm = Q0309_04  + (Q0310_04 / No_HH) .
EXECUTE .


COMPUTE AllRoms = SUM(BedRomm,SitRomm,RecpRomm,DinRomm) .
EXECUTE .



COMPUTE BedRoom1 = (BedRomm / XHHSIZE) *100 .
EXECUTE .
COMPUTE SitRoom1 = (SitRomm / XHHSIZE) *100 .
EXECUTE .
COMPUTE RecpRoom1 = (RecpRomm / XHHSIZE) *100 .
EXECUTE .
COMPUTE DinRoom1 = (DinRomm/ XHHSIZE) *100 .
EXECUTE .
COMPUTE AllRoom1 = (AllRoms/ XHHSIZE) *100 .
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=BedRoom1 SitRoom1 RecpRoom1 DinRoom1 AllRoom1 xgov newcov Env3 PCExpGr HHZise_F
    DISPLAY=DEFAULT
  /TABLE xgov + newcov [C] + Env3 + PCExpGr [C] + HHZise_F BY BedRoom1 [MEAN F40.1] + SitRoom1 [MEAN F40.1] + RecpRoom1 [MEAN
  F40.1] + DinRoom1 [MEAN F40.1] + AllRoom1 [MEAN F40.1]
  /CATEGORIES VARIABLES=xgov newcov Env3 PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=HHZise_F ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 2-11: Rooms in the housing unit* (rooms per 100 persons) '.


********************************Table 2-12: Average number of persons per room in the housing unit* (% of persons)************************************************
 



COMPUTE AllRoom2 = AllRoms / XHHSIZE .
EXECUTE .

RECODE
  AllRoom2
  (0=1)  (Lowest thru 0.24=2)  (0.25 thru 0.36=3)  (0.37 thru 0.49=4)  (0.5 thru 0.74=5)  (0.75 thru 0.99=6)  (1 thru
  Highest=7)  INTO  AllRoom3 .
EXECUTE .


value labels AllRoom3  1 'No Rooms in House' 2 'Less Than 0.25' 3 '0.25- Less Than 0.37 ' 4 '0.37- Less Than 0.50' 5 '0.50- less Than 0.75' 6 '0.75-Less Than 1' 7 '1 And More'   .



*Define Variable Properties.
*AllRoom3.
VARIABLE LEVEL AllRoom3  (NOMINAL).
EXECUTE.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=AllRoom3 xgov newcov Env3 PCExpGr HHZise_F DISPLAY=DEFAULT
  /TABLE xgov [ROWPCT.COUNT F40.1] + newcov [C][ROWPCT.COUNT F40.1] + Env3 [ROWPCT.COUNT F40.1] + PCExpGr [C][ROWPCT.COUNT
  F40.1] + HHZise_F [ROWPCT.COUNT F40.1] BY AllRoom3
  /CATEGORIES VARIABLES=AllRoom3 HHZise_F ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=xgov newcov Env3 PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 2-12: Average number of persons per room in the housing unit* (% of persons)'.

***********************************Table 2-13: Availability of amenities in the housing unit (% persons) *************************************************************




RECODE
  q0309_06 q0310_06 q0309_07 q0310_07 q0309_08 q0310_08 q0309_09 q0310_09 q0309_10 q0310_10 q0309_11 q0310_11  (SYSMIS=0)
  (0=0)  (ELSE=1)  .
EXECUTE .


COMPUTE SepToilet = q0309_08 + q0310_08 .
EXECUTE .

COMPUTE SepBath = q0309_06 + q0310_06 .
EXECUTE .

COMPUTE Bath_Toilet = q0309_07 + q0310_07 .
EXECUTE .

COMPUTE Store = q0309_09 + q0310_09 .
EXECUTE .

COMPUTE Garage = q0309_10 + q0310_10 .
EXECUTE .

COMPUTE Garden = q0309_11 + q0310_11 .
EXECUTE .




RECODE
  SepToilet SepBath Bath_Toilet Store Garage Garden  (0=0)  (ELSE=1)  .
EXECUTE .



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=SepToilet SepBath Bath_Toilet Store Garage Garden xgov newcov Env3 pCExpGr HHZise_F
    DISPLAY=DEFAULT
  /TABLE xgov [ROWPCT.COUNT F40.1] + newcov [C][ROWPCT.COUNT F40.1] + Env3 [ROWPCT.COUNT F40.1] + pCExpGr [ROWPCT.COUNT
  F40.1] + HHZise_F [ROWPCT.COUNT F40.1] BY SepToilet [C] + SepBath [C] + Bath_Toilet [C] + Store [C] + Garage [C] + Garden
  [C]
  /CATEGORIES VARIABLES=SepToilet SepBath Bath_Toilet Store Garage Garden ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=xgov newcov Env3 pCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=HHZise_F ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 2-13: Availability of amenities in the housing unit (% persons) '.








*****************************************************************
@@@@@@@@@@@@@@@@@@@@@@
&&&&&&&&&&&&&&&&&&&&&&





