
**    Name of survey :  Iraq Household Socio - economic Survey ( IHSES) 2006-2007
**    subject:                 	Ducation & Culther 
**    Prepared by:         Basma
**    Date:                  JAN 2008  



**********************Education and culture (Sections 4 & 6)******************************* 

**************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\Originals\IHSES02-Individuals.sav'.

SAVE OUTFILE='C:\IHSES_TABLES\T3\education wave1-18.sav'
 /COMPRESSED.


GET
  FILE='C:\IHSES_TABLES\T3\education wave1-18.sav'.


COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  xstrat  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  .
EXECUTE .

value lables xstrat 1' rural' 2 'sub urban' 3 'centerurban/sader ' 4 ' alrusafa  urban center ' 5 ' alkarkh urban center' .

RECODE
  xstrat
  (1=3)  (2=2)  (3 thru 5=1)  INTO  strat3 .
EXECUTE .

VARIABLE LABELS Strat3 ' Gov.center, Urban and Rural'.
EXECUTE .

value labels   strat3   1 'Gov. centers ' 2 ' Other urban ' 3 'Rural' .


*Define Variable Properties.
*strat3.
VARIABLE LEVEL strat3  (NOMINAL).
EXECUTE.

RECODE
  XSTRAT
  (1=2)  (2 thru 5=1)  INTO Strat2.
VARIABLE LABELS Strat2 ' urban, and Rural'.
EXECUTE .

value labels  Strat2 1 'Urban' 2 'Rural' .

*Define Variable Properties.
*Strat2.
VARIABLE LEVEL Strat2 (NOMINAL).
EXECUTE.

*Define Variable Properties.
*XGOV.
VARIABLE LEVEL XGOV  (NOMINAL).
EXECUTE.


*Define Variable Properties.
*Q0102.
VARIABLE LEVEL Q0102  (NOMINAL).
EXECUTE.

RECODE
  xgov
  (11=1)  (13=1)  (15=1)  (23=2)  (ELSE=3)  INTO  newcov .
EXECUTE .

value lables newcov   1'kurdistan' 2' baghdad' 3 'other covernorats'.

*Define Variable Properties.
*newcov .
VARIABLE LEVEL newcov  (NOMINAL).
EXECUTE.

SAVE OUTFILE='C:\IHSES_TABLES\T3\education wave1-18.sav'
 /COMPRESSED.




*********************************************Table 3-?: Mother language for those aged 10 years and more (% persons)******************************************************************

************************************************************************************************************************************************************************************************************
                                                                                          

Variables needed:( not publishing)_______________________________
**
**		(1) Governorate.
**		(2) Age male Age female Age total
**		(3)XSTRAT
**                     (4) Q401A Mother language for adults 

GET
  FILE='C:\IHSES_TABLES\T3\education wave1-18.sav'.


DO IF (Q0102=1) .
RECODE
  Q0103
    ( 0 thru 4=1  ) ( 5thru 9=2  ) (10 thru 14=3)  (15 thru 19=4)  (20 thru 29=5)  (30 thru 39=6)  (40 thru 49=7)  (50 thru Highest=8) INTO  agemale .
END IF .
EXECUTE .

value labels agemale  1'0-4' 2'5-9'  3'10-14'  4'15-19'  5'20-29' 6'30-39'  7'40-49' 8 50 &more' .

DO IF (Q0102=2) .
RECODE
  Q0103
 ( 0 thru 4=1  ) ( 5thru 9=2  ) (10 thru 14=3)  (15 thru 19=4)  (20 thru 29=5)  (30 thru 39=6)  (40 thru 49=7)  (50 thru Highest=8) INTO  agefemal.
END IF .
EXECUTE .
value labels agefemal  1'0-4' 2'5-9'  3'10-14'  4'15-19'  5'20-29' 6'30-39'  7'40-49' 8 50 &more' .

RECODE
  Q0103
 ( 0 thru 4=1  ) ( 5thru 9=2  ) (10 thru 14=3)  (15 thru 19=4)  (20 thru 29=5)  (30 thru 39=6)  (40 thru 49=7)  (50 thru Highest=8) INTO  agetotal .
EXECUTE .

value labels agetotal   1'0- 4' 2'5-9'  3'10-14'  4'15-19'  5'20-29' 6'30-39'  7'40-49' 8 50 &more' .


*Define Variable Properties.
*agemale.
VARIABLE LEVEL agemale  (NOMINAL).
EXECUTE.
*Define Variable Properties.
*agefemal.
VARIABLE LEVEL agefemal  (NOMINAL).
EXECUTE.
*Define Variable Properties.
*agetotal.
VARIABLE LEVEL agetotal  (NOMINAL).
EXECUTE.


RECODE
  Q0401_A1
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6 thru 9=6)  (0=SYSMIS) INTO  motherlaunguage .
EXECUTE .
value labels  motherlaunguage 1 'arabic' 2'kurdish' 3'Turkman' 4'Assyrian' 5'Keldanian'  6'other'.

*Define Variable Properties.
*motherlaunguage.
VARIABLE LEVEL motherlaunguage  (NOMINAL).
EXECUTE.

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

*************weight persone********************
*****************************************************

WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=motherlaunguage agemale agefemal agetotal xgov strat3 DISPLAY=DEFAULT
  /TABLE agemale [COUNT F40.0, ROWPCT.COUNT PCT40.1] + agefemal [COUNT F40.0, ROWPCT.COUNT PCT40.1] + agetotal [COUNT F40.0,
  ROWPCT.COUNT PCT40.1] + xgov [COUNT F40.0, ROWPCT.COUNT PCT40.1] + strat3 [COUNT F40.0, ROWPCT.COUNT PCT40.1] BY
  motherlaunguage
  /CATEGORIES VARIABLES=motherlaunguage ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=agemale agefemal agetotal xgov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


FILTER OFF.
USE ALL.
EXECUTE .


***************************************************************Table 3-1: Mother languages those aged 10 years and more (% persons)******************************************************************

*******************************************************************************************************************************************************************************************************

Variables needed:
**
**		(1) Governorate.
**		(2) Age male Age female Age total
**		(3)XSTRAT
**                     (4) Q401A Mother language for adults 



DO IF (Q0102=1) .
RECODE
  Q0103
    ( 0 thru 4=1  ) ( 5thru 9=2  ) (10 thru 14=3)  (15 thru 19=4)  (20 thru 29=5)  (30 thru 39=6)  (40 thru 49=7)  (50 thru Highest=8) INTO  agemale .
END IF .
EXECUTE .

value labels agemale  1'0-4' 2'5-9'  3'10-14'  4'15-19'  5'20-29' 6'30-39'  7'40-49' 8 50 &more' .

DO IF (Q0102=2) .
RECODE
  Q0103
 ( 0 thru 4=1  ) ( 5thru 9=2  ) (10 thru 14=3)  (15 thru 19=4)  (20 thru 29=5)  (30 thru 39=6)  (40 thru 49=7)  (50 thru Highest=8) INTO  agefemal.
END IF .
EXECUTE .
value labels agefemal  1'0-4' 2'5-9'  3'10-14'  4'15-19'  5'20-29' 6'30-39'  7'40-49' 8 50 &more' .

RECODE
  Q0103
 ( 0 thru 4=1  ) ( 5thru 9=2  ) (10 thru 14=3)  (15 thru 19=4)  (20 thru 29=5)  (30 thru 39=6)  (40 thru 49=7)  (50 thru Highest=8) INTO  agetotal .
EXECUTE .

value labels agetotal   1'0- 4' 2'5-9'  3'10-14'  4'15-19'  5'20-29' 6'30-39'  7'40-49' 8 50 &more' .


*Define Variable Properties.
*agemale.
VARIABLE LEVEL agemale  (NOMINAL).
EXECUTE.
*Define Variable Properties.
*agefemal.
VARIABLE LEVEL agefemal  (NOMINAL).
EXECUTE.
*Define Variable Properties.
*agetotal.
VARIABLE LEVEL agetotal  (NOMINAL).
EXECUTE.

*Define Variable Properties.
*Q0401_A2 .
VARIABLE LEVEL Q0401_A2 (NOMINAL).
EXECUTE.

*Define Variable Properties.
*Q0401_A3 .
VARIABLE LEVEL Q0401_A3   (NOMINAL).
EXECUTE.

*Define Variable Properties.
*Q0401_A4.
VARIABLE LEVEL Q0401_A4  (NOMINAL).
EXECUTE.

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

Recode
  xgov
  (11=1)  (13=1)  (15=1)  (23=2)  (ELSE=3)  INTO  newcov .
EXECUTE .

value lables newcov   1'kurdistan' 2' baghdad' 3 'other covernorats'.

*Define Variable Properties.
*newcov .
VARIABLE LEVEL newcov  (NOMINAL).
EXECUTE.


WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0401_A4 Q0401_A2 Q0401_A3 agemale agefemal agetotal XGOV  newcov strat3
    DISPLAY=DEFAULT
  /TABLE agemale [ROWPCT.COUNT PCT40.1] + agefemal [ROWPCT.COUNT PCT40.1] + agetotal [ROWPCT.COUNT PCT40.1] + XGOV
  [ROWPCT.COUNT PCT40.1] +  newcov [ROWPCT.COUNT PCT40.1] + strat3 [ROWPCT.COUNT PCT40.1] BY Q0401_A4 + Q0401_A2 + Q0401_A3
  /CATEGORIES VARIABLES=Q0401_A4 Q0401_A2 Q0401_A3 agemale agefemal agetotal XGOV newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE
  TOTAL=YES POSITION=AFTER.

SAVE OUTFILE='C:\IHSES_TABLES\T3\education wave1-18.sav'
 /COMPRESSED.

FILTER OFF.
USE ALL.
EXECUTE .


***************************************************Table 3-?: Second language for those aged 10 years and more  (% persons)*********(not publishing)______________

*************************************************************************************************************************************************************
Variables needed:
**
**		(1) Governorate.
**		(2) Age male Age female Age total
**		(3)XSTRAT
**                     (4) Q401B Second language for adults


DO IF (Q0102=1) .
RECODE
  Q0103
    ( 0 thru 4=1  ) ( 5thru 9=2  ) (10 thru 14=3)  (15 thru 19=4)  (20 thru 29=5)  (30 thru 39=6)  (40 thru 49=7)  (50 thru Highest=8) INTO  agemale .
END IF .
EXECUTE .

value labels agemale  1'0-4' 2'5-9'  3'10-14'  4'15-19'  5'20-29' 6'30-39'  7'40-49' 8 50 &more' .

DO IF (Q0102=2) .
RECODE
  Q0103
 ( 0 thru 4=1  ) ( 5thru 9=2  ) (10 thru 14=3)  (15 thru 19=4)  (20 thru 29=5)  (30 thru 39=6)  (40 thru 49=7)  (50 thru Highest=8) INTO  agefemal.
END IF .
EXECUTE .
value labels agefemal  1'0-4' 2'5-9'  3'10-14'  4'15-19'  5'20-29' 6'30-39'  7'40-49' 8 50 &more' .

RECODE
  Q0103
 ( 0 thru 4=1  ) ( 5thru 9=2  ) (10 thru 14=3)  (15 thru 19=4)  (20 thru 29=5)  (30 thru 39=6)  (40 thru 49=7)  (50 thru Highest=8) INTO  agetotal .
EXECUTE .

value labels agetotal   1'0- 4' 2'5-9'  3'10-14'  4'15-19'  5'20-29' 6'30-39'  7'40-49' 8 50 &more' .


*Define Variable Properties.
*agemale.
VARIABLE LEVEL agemale  (NOMINAL).
EXECUTE.
*Define Variable Properties.
*agefemal.
VARIABLE LEVEL agefemal  (NOMINAL).
EXECUTE.
*Define Variable Properties.
*agetotal.
VARIABLE LEVEL agetotal (NOMINAL).
EXECUTE.

RECODE
  Q0401_B1
  (1=1)  (2=2)  (3=3)  (4=3)  (5=3)  (8=3)  (6=4)  (7=5) (9=6) (SYSMIS=0) INTO  secondlanguage .
EXECUTE .  
 value labels  secondlanguage 1' arabic'  2' kurdish ' 3 ' other local '  4' English' 5' france' 6'other ' 0'non' .


*Define Variable Properties.
*secondlanguage.
VARIABLE LEVEL secondlanguage  (NOMINAL).

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=secondlanguage agemale agefemal agetotal xgov strat3 DISPLAY=DEFAULT
  /TABLE agemale + agefemal + agetotal + xgov + strat3 BY secondlanguage [COUNT F40.0, ROWPCT.COUNT F40.1]
  /CATEGORIES VARIABLES=secondlanguage ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=agemale agefemal agetotal xgov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

FILTER OFF.
USE ALL.
EXECUTE .

*****************************************Table 3-2: Knowledge of second languages those aged 10 years and more (% persons)*****************************************************************************

********************************************************************************************************************************************************************************************************

Variables needed:
**
**		(1) Governorate.
**		(2) Age male Age female Age total
**		(3)XSTRAT
**                     (4) Q401B knowledge of second languages for adults


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0401_B4 Q0401_B2 Q0401_B3 agemale agefemal agetotal XGOV newcov strat3
    DISPLAY=DEFAULT
  /TABLE agemale [ROWPCT.COUNT PCT40.1] + agefemal [ROWPCT.COUNT PCT40.1] + agetotal [ROWPCT.COUNT PCT40.1] + XGOV
  [ROWPCT.COUNT PCT40.1] +  newcov [ROWPCT.COUNT PCT40.1]+ strat3 [ROWPCT.COUNT PCT40.1] BY Q0401_B4 + Q0401_B2 + Q0401_B3
  /CATEGORIES VARIABLES=Q0401_B4 Q0401_B2 Q0401_B3 agemale agefemal agetotal XGOV newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE
  TOTAL=YES POSITION=AFTER.


FILTER OFF.
USE ALL.
EXECUTE .

*************************************************Table 3-? Third language for those aged 10 years and more  (% persons)*********************not publishing_________________

************************************************************************************************************************************************************************************************

Variables needed:
**
**		(1) Governorate.
**		(2) Age male Age female Age total
**		(3)XSTRAT
**                     (4) Q401C Third languages for adults



RECODE
  Q0401_C1
  (1=1)  (2=2)  (3=3)  (4=3)  (5=3)  (8=3)  (6=4)  (7=5)  (9=6) (SYSMIS=0) INTO  thirdlanguage .

EXECUTE .
value labels thirdlanguage 1' arabic'  2' kurdish ' 3 ' otherlocal '  4' english' 5' french'  6'other' 0' none' .
*Define Variable Properties.
*thirdlanguage.
VARIABLE LEVEL thirdlanguage  (NOMINAL).
EXECUTE.

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=thirdlanguage agemale agefemal agetotal xgov strat3 DISPLAY=DEFAULT
  /TABLE agemale [COUNT F40.0, ROWPCT.COUNT F40.1] + agefemal [COUNT F40.0, ROWPCT.COUNT F40.1] + agetotal [COUNT F40.0,
  ROWPCT.COUNT F40.1] + xgov [COUNT F40.0, ROWPCT.COUNT F40.1] + strat3 [COUNT F40.0, ROWPCT.COUNT F40.1] BY thirdlanguage
  /CATEGORIES VARIABLES=thirdlanguage agemale agefemal agetotal xgov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER.

FILTER OFF.
USE ALL.
EXECUTE .


************************************************************Table 3-3: Knowledge of third languages for those aged 10 years and more  (% persons)***************************************************************

***************************************************************************************************************************************************************************************************************

Variables needed:
**
**		(1) Governorate.
**		(2) Age male Age female Age total
**		(3)XSTRAT
**                     (4) Q401C  KnowledgeThird languages for adults


*Define Variable Properties.
*Q0401_C2.
VARIABLE LEVEL Q0401_C2 (NOMINAL).
EXECUTE.
*Define Variable Properties.
*Q0401_C3.
VARIABLE LEVEL Q0401_C3 (NOMINAL).
EXECUTE.
*Define Variable Properties.
*Q0401_C4.
VARIABLE LEVEL Q0401_C4  (NOMINAL).
EXECUTE.


RECODE
  q0401_c2 q0401_c3 q0401_c4
  (1=1)  (SYSMIS=1)  (2=2)  (3=3)  (4=4)  INTO  new401_c2  new401_c3  new401_c4 .
EXECUTE .
  
value lables new401_c2   1'no' 2' poor' 3'medim' 4 'good' .

value lables new401_c3   1'no' 2' poor' 3'medim' 4 'good' .

value lables new401_c4   1'no' 2' poor' 3'medim' 4 'good' .


VARIABLE LEVEL new401_c2 (NOMINAL).
EXECUTE.

VARIABLE LEVEL new401_c3  (NOMINAL).
EXECUTE.

VARIABLE LEVEL new401_c4  (NOMINAL).
EXECUTE.


USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=new401_c2  new401_c3  new401_c4 agemale agefemal agetotal XGOV  newcov strat3
    DISPLAY=DEFAULT
  /TABLE agemale [ROWPCT.COUNT PCT40.1] + agefemal [ROWPCT.COUNT PCT40.1] + agetotal [ROWPCT.COUNT PCT40.1] + XGOV
  [ROWPCT.COUNT PCT40.1] +  strat3 [ROWPCT.COUNT PCT40.1]  +strat3 [ROWPCT.COUNT PCT40.1] BY new401_c2 + new401_c3  + new401_c4 
  /CATEGORIES VARIABLES=new401_c2  new401_c3  new401_c4 agemale agefemal agetotal XGOV strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE
  TOTAL=YES POSITION=AFTER.

FILTER OFF.
USE ALL.
EXECUTE .



***********************************************************Table 3-4: Enrollment  by level of education for persons 6-50 years old (%)***************************************************

*******************************************************************************************************************************************************************************************************************************************************


Variables needed:
**
**		(1) Governorate.
**		(2) Age male Age female Age total
**		(3)XSTRAT
**                     (4) Q410 Enrollment ratio by level of education for persons 



DO IF (Q0102=1).
RECODE
  Q0103
    (  0 thru 5 =1)(6 thru 11=2)  (12 thru 14=3)  (15 thru 17=4)  (18 thru 21=5)  (22 thru 29=6) (30 thru 50=7)  (51 thru Highest=8)  INTO  agemale1 .
END IF .
EXECUTE .

value labels agemale1  1'0-5' 2'6-11'  3'12-14'  4'15-17' 5'18-21'  6 '22-29' 7'30-50' 8' 51&more' .


DO IF (Q0102=2) .
RECODE
  Q0103
    (  0 thru 5 =1)(6 thru 11=2)  (12 thru 14=3)  (15 thru 17=4)  (18 thru 21=5)  (22 thru 29=6) (30 thru 50=7)  (51 thru Highest=8)  INTO  agefema1.
END IF .
EXECUTE .
value labels agefema1  1'0-5' 2'6-11'  3'12-14'  4'15-17' 5'18-21'  6'22-29' 7'30-50' 8'51&more'  .

RECODE
  Q0103
    (  0 thru 5 =1)(6 thru 11=2)  (12 thru 14=3)  (15 thru 17=4)  (18 thru 21=5)  (22 thru 29=6) (30 thru 50=7) (51 thru Highest=8)   INTO   agetota1   .
EXECUTE .

value labels agetota1 1'0-5' 2'6-11'  3'12-14'  4'15-17' 5'18-21'  6'22-29' 7'30-50' 8'51&more' .


*Define Variable Properties.
*agemale1.
VARIABLE LEVEL agemale1  (NOMINAL).
EXECUTE.
*Define Variable Properties.
*agefema1.
VARIABLE LEVEL agefema1  (NOMINAL).
EXECUTE.
*Define Variable Properties.
*agetota1.
VARIABLE LEVEL agetota1  (NOMINAL).
EXECUTE.


*Define Variable Properties.
*agemale1.
VARIABLE LEVEL agemale1  (NOMINAL).
EXECUTE.
*Define Variable Properties.
*agefema1.
VARIABLE LEVEL agefema1  (NOMINAL).
EXECUTE.
*Define Variable Properties.
*agetota1.
VARIABLE LEVEL agetota1  (NOMINAL).
EXECUTE.


 **** IF WE say not enrolled equal to( Attended in the past =1& no=3)****


COMPUTE stage_410I = q0410l .
EXECUTE .

IF (q0402 = 1 | q0402=3 ) stage_410I = 8 .
EXECUTE .


DO IF (q0103 <= 11 ) .
RECODE
  stage_410I (3=SYSMIS)  (4=SYSMIS)  (5=SYSMIS)  (6=SYSMIS)  .
END IF .
EXECUTE .

DO IF (q0103 <= 14 ) .
RECODE
  stage_410I (4=SYSMIS)  (5=SYSMIS)  (6=SYSMIS)  .
END IF .
EXECUTE .


DO IF (q0103 >= 15&  q0103<=17 ) .
RECODE
  stage_410I (5=SYSMIS)  (6=SYSMIS)  .
END IF .
EXECUTE .


DO IF (q0103 >=18 &  q0103<=21 ) .
RECODE
  stage_410I (1=SYSMIS)  .
END IF .
EXECUTE .

DO IF (q0103 >= 22& q0103<=29 ) .
RECODE
  stage_410I (1=SYSMIS)(2=SYSMIS)    .
END IF .
EXECUTE .

DO IF (q0103 >=30 & q0103<= 50) .
RECODE
  stage_410I (1=SYSMIS) (2=SYSMIS)    .
END IF .
EXECUTE .


RECODE
  stage_410I (0=SYSMIS)  .
EXECUTE .



RECODE
 stage_410I (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7)  (8=8)(SYSMIS=9) INTO studing_410I .
EXECUTE .

value labels studing_410I 1'primary' 2'intermediate' 3 ' Highschool' 4' Institute' 5 ' University ' 6 ' postgraduate studies ' 7' Other' 8'  not attended '9 ' UNKNOWN '.


 *Define Variable Properties.
*stage_studing_410I .
VARIABLE LEVEL studing_410I (NOMINAL).
EXECUTE.



USE ALL.
COMPUTE filter_$=(q0103 >= 6 & q0103 <= 50).
VARIABLE LABEL filter_$ 'q0103 >= 6 & q0103 <= 50 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=studing_410I agemale1 agefema1 agetota1 xgov newcov strat3
    DISPLAY=DEFAULT
  /TABLE agemale1 [COUNT F40.0, ROWPCT.COUNT F40.1] + agefema1 [COUNT F40.0, ROWPCT.COUNT F40.1] + agetota1 [COUNT F40.0,
  ROWPCT.COUNT F40.1] + xgov [COUNT F40.0, ROWPCT.COUNT F40.1] + newcov [COUNT F40.0, ROWPCT.COUNT F40.1] + strat3 [COUNT
  F40.0, ROWPCT.COUNT F40.1] BY studing_410I
  /CATEGORIES VARIABLES=studing_410I agemale1 agefema1 agetota1 xgov newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER.



FILTER OFF.
USE ALL.
EXECUTE .


*****************************************************************Table 3-5: Main reason for never attending school (%)*********************************************************************

*********************************************************************************************************************************************************************************************************

Variables needed:
**
**		(1) Governorate.
**		(2) Age male Age female 
**		(3)XSTRAT
**                     (4) Q403 Main reason for never attending school



*Define Variable Properties.
*Q0403.
VARIABLE LEVEL Q0403  (NOMINAL).
EXECUTE.

RECODE
  q0403
  (1=1)  (4=2)  (7=3)  (8=4)  (10=5)  (12=6)  (13=7)  (15=8)  (16=9)  (2=9)  (3=9)  (5=9)  (6=9)  (9=9)  (11=9)  (14=9)  INTO
   new403 .
VARIABLE LABELS new403 'resonefor not arnolled'.
EXECUTE .

 value lable new403  1'no school' 2' transsort' 3 'dont hh payed'  4 ' work forhousehold' 5' illness ' 6 'housholdnot interst' 7' individual not interst' 8' resonesocail' 9 ' other' .


*Define Variable Properties.
* new403.
VARIABLE LEVEL new403(NOMINAL).
EXECUTE.


USE ALL.
COMPUTE filter_$=(q0103 >= 6 & q0103 <= 50).
VARIABLE LABEL filter_$ 'q0103 >= 6 & q0103 <= 50 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=new403 agemale1 agefema1 agetota1 xgov newcov strat3
    DISPLAY=DEFAULT
  /TABLE agemale1 [COUNT F40.0, ROWPCT.COUNT F40.1] + agefema1 [COUNT F40.0, ROWPCT.COUNT F40.1] + agetota1 [COUNT F40.0,
  ROWPCT.COUNT F40.1] + xgov [COUNT F40.0, ROWPCT.COUNT F40.1] + newcov [COUNT F40.0, ROWPCT.COUNT F40.1] + strat3 [COUNT
  F40.0, ROWPCT.COUNT F40.1] BY new403
  /CATEGORIES VARIABLES=new403 agemale1 agefema1 agetota1 xgov newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER.




FILTER OFF.
USE ALL.
EXECUTE .


****************************************************************************************  Table 3-6: Attending literacy classes (%)*******************************************************************

***************************************************************************************************************************************************************************************************************

Variables needed:
**
**		(1) Governorate.
**		(2) Age male Age female 
**		(3)XSTRAT
**                     (4) Q405 Attending literacy classes



RECODE
  Q0103  
  (0 thru 4=1)  (5 thru 9=2)  (10 thru 14=3)  (15 thru 19=4)  (20 thru 24=5)  (25 thru 29=6)  (30 thru 34=7)  (35 thru 39=8)
  (40 thru 44=9)  (45 thru 49=10)  (50 thru 54=11) (55 thru 59 =12) (60 thru 64=13)  (65  thru Highest=14)  INTO  AGEGRP .                       
EXECUTE .

value labels AGEGRP  1'0-4' 2'5-9' 3'10-14' 4'15-19' 5'20-24' 6'25-29 '7'30-34' 8'35-39' 9 '40-44' 10'45-49' 11'50-54' 12'55-59' 13 ' 60-64' 14 '650+'.

*Define Variable Properties.
*AGEGRP.
VARIABLE LEVEL AGEGRP  (NOMINAL).
EXECUTE.


RECODE
  q0405  (4=SYSMIS)  .
EXECUTE .


*Define Variable Properties.
*Q0405.
VARIABLE LEVEL Q0405  (NOMINAL).
EXECUTE.

*Define Variable Properties.
*Q0102.
VARIABLE LEVEL Q0102  (NOMINAL).
EXECUTE.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0102 q0405 AGEGRP xgov strat3  newcov DISPLAY=DEFAULT
  /TABLE AGEGRP [COUNT F40.0, ROWPCT.COUNT F40.1] + xgov [COUNT F40.0, ROWPCT.COUNT F40.1]  + newcov  [COUNT F40.0, ROWPCT.COUNT F40.1] + strat3 [COUNT F40.0,
  ROWPCT.COUNT F40.1] BY q0102 > q0405
  /CATEGORIES VARIABLES=q0102 q0405 AGEGRP xgov  newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.



******************************************************************  Table 3-7: Educational status for persons aged 10 and more (%)****************************************************

*********************************************************************************************************************************************************************************************************

Variables needed:
**
**		(1) Governorate.
**		(2) Age male Age female 
**		(3)XSTRAT
**                     (4) Q406 Educational status for persons aged 10 and more



DO IF (Q0102=1) .
RECODE
  Q0103
    ( 0 thru 4=1  ) ( 5thru 9=2  ) (10 thru 14=3)  (15 thru 19=4)  (20 thru 29=5)  (30 thru 39=6)  (40 thru 49=7)  (50 thru Highest=8) INTO  agemale .
END IF .
EXECUTE .

value labels agemale  1'0-4' 2'5-9'  3'10-14'  4'15-19'  5'20-29' 6'30-39'  7'40-49' 8 50 &more' .

DO IF (Q0102=2) .
RECODE
  Q0103
 ( 0 thru 4=1  ) ( 5thru 9=2  ) (10 thru 14=3)  (15 thru 19=4)  (20 thru 29=5)  (30 thru 39=6)  (40 thru 49=7)  (50 thru Highest=8) INTO  agefemal.
END IF .
EXECUTE .
value labels agefemal  1'0-4' 2'5-9'  3'10-14'  4'15-19'  5'20-09' 6'30-39'  7'40-49' 8 50 &more' .

RECODE
  Q0103
 ( 0 thru 4=1  ) ( 5thru 9=2  ) (10 thru 14=3)  (15 thru 19=4)  (20 thru 29=5)  (30 thru 39=6)  (40 thru 49=7)  (50 thru Highest=8) INTO  agetotal .
EXECUTE .

value labels agetotal   1'0- 4' 2'5-9'  3'10-14'  4'15-19'  5'20-29' 6'30-39'  7'40-49' 8 50 &more' .



******* Education Status ******

***********************************

RECODE
  q0406
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (8=7) (6 thru 7=6) (9 thru 12=8) (13=9)   INTO  new_406 .
EXECUTE .

VALUE LABELS new_406 1'illetrate' 2'Read only'3'Read and Write'  4'Primary' 5'Intermediate'  6'Secondary or equivalent'  7'Technical diploma' 
 8'Higher than bachelors degree' 9'Other'  .

EXECUTE .

  FREQUENCIES VARIABLES=new_406  / ORDER= ANALYSIS.

******************************************************************************************************************************************
**   STEP 2 : Create variable "Education Status" if:
**                  a) Q0402=1 ,We calculate the education from the variable (new_406) , and if
**                  b) Q0402=2 ,We calculate the education from the variable (Q0410) , and if
**                  c) Q0402=3 ,We calculate the education from the variable (Q0404)

********************************************************************************************************************************************

 
IF  (Q0402=1 )EducGrp= new_406 .

IF  (Q0402=2 & Q0410L=1&Q0410C=1) EducGrp=1.
IF  (Q0402=2 & Q0410L=1&Q0410C=2 | Q0410C=3 ) EducGrp=2.
IF  (Q0402=2 & Q0410L=1&Q0410C=4 | Q0410C=5 | Q0410C=6) EducGrp=3.

IF  (Q0402=2 & Q0410L=2) EducGrp=4.
IF  (Q0402=2 & Q0410L=3) EducGrp=5.
IF  (Q0402=2 & Q0410L=4) EducGrp=6.
IF  (Q0402=2 & Q0410L=5) EducGrp=6.
IF  (Q0402=2 & Q0410L=6) EducGrp=8.
IF  (Q0402=2 & Q0410L=7) EducGrp=9.

IF (Q0402=3 & Q0404=1) EducGrp=1.
IF (Q0402=3 & Q0404=2) EducGrp=2.
IF (Q0402=3 & Q0404=3) EducGrp=3.

IF MISSING (EducGrp)  EducGrp=10.
EXECUTE .

RECODE
  EducGrp
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7) (8=8) (9=9) (10=10) INTO  EducGrp .
VARIABLE LABLES EducGrp 'Education status'.
VALUE LABELS EducGrp
 1'illetrate' 
 2'Read only'
 3'Read and Write' 
 4'Primary' 
 5'Intermediate' 
 6'Secondary or equivalent' 
 7'Technical diploma' 
 8'Higher than bachelors degree'
 9'Other'  
10'Unknown'.
EXECUTE .


DO IF (q0103 <= 15).
RECODE
  EducGrp ( 6 thru 8=10).
END IF .
EXECUTE .

VARIABLE LEVEL EducGrp (NOMINAL).
  FREQUENCIES VARIABLES=EducGrp  / ORDER= ANALYSIS.
EXECUTE .

VARIABLE LEVEL EducGrp (NOMINAL).
EXECUTE.


*Define Variable Properties.
*agemale.
VARIABLE LEVEL agemale  (NOMINAL).
*agefemal.
VARIABLE LEVEL agefemal  (NOMINAL).
EXECUTE.

*Define Variable Properties.
*agetotal.
VARIABLE LEVEL agetotal  (NOMINAL).


USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY weight .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=EducGrp agemale agefemal agetotal xgov  newcov strat3 DISPLAY=DEFAULT
  /TABLE agemale + agefemal + agetotal + xgov +  newcov  + strat3  BY EducGrp[COUNT F40.0, ROWPCT.COUNT F40.1]
  /CATEGORIES VARIABLES=EducGrp agemale agefemal agetotal xgov  newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER.


FILTER OFF.
USE ALL.
EXECUTE .


******************************************************************  Table 3-8: Educational status for persons aged 10 and more (%)****************************************************

*********************************************************************************************************************************************************************************************************


Variables needed:
**
**		(1) Governorate.
**		(2) Age total 
**		(3)XSTRAT
**                     (4) Q407A Total number of years of schooling(years)



RECODE
  Q0103  
  (0 thru 4=1)  (5 thru 9=2)  (10 thru 14=3)  (15 thru 19=4)  (20 thru 24=5)  (25 thru 29=6)  (30 thru 34=7)  (35 thru 39=8)
  (40 thru 44=9)  (45 thru 49=10)  (50 thru 54=11) (55 thru 59 =12) (60 thru 64=13)  (65  thru Highest=14)  INTO  AGEGRP .                       
EXECUTE .

value labels AGEGRP  1'0-4' 2'5-9' 3'10-14' 4'15-19' 5'20-24' 6'25-29 '7'30-34' 8'35-39' 9 '40-44' 10'45-49' 11'50-54' 12'55-59' 13 ' 60-64' 14 '65+'.

 
RECODE
  XSTRAT
  (1=2)  (2 thru 5=1)  INTO  strat2 .
VARIABLE LABELS strat2 'New Envirinment 2'.
EXECUTE .

value labels strat2  1 'Urban' 2 'Rural' .

*Define Variable Properties.
*strat2.
VARIABLE LEVEL strat2  (NOMINAL).
EXECUTE.


*Define Variable Properties.
*Q0102.
VARIABLE LEVEL Q0102  (NOMINAL).
EXECUTE.
 
 
* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0407_a strat2 q0102 AGEGRP xgov  newcov strat3 DISPLAY=DEFAULT
  /TABLE AGEGRP + xgov + newcov + strat3 BY q0407_a [MEAN, COUNT F40.0] > strat2 > q0102
  /CATEGORIES VARIABLES= strat2 q0102 AGEGRP xgov  newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.



***********************************************************************************  Table 3-9 Total number of years of repetitions (year)*******************************************

***************************************************************************************************************************************************************************************************


Variables needed:
**
**		(1) Governorate.
**		(2) Age total 
**		(3)XSTRAT
**                     (4) (4) Q407B number of years of repetitions (years)

*Define Variable Properties.
*q0407_b.
VARIABLE LEVEL q0407_b  (SCALE).
EXECUTE.

RECODE
  q0407_b  (0=SYSMIS)  .
EXECUTE .

*Define Variable Properties.
*Q0102.
VARIABLE LEVEL Q0102  (NOMINAL).
EXECUTE.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0407_b strat2 q0102 AGEGRP xgov  newcov strat3 DISPLAY=DEFAULT
  /TABLE AGEGRP + xgov + newcov + strat3 BY q0407_b [MEAN, COUNT F40.0] > strat2 > q0102
  /CATEGORIES VARIABLES=strat2 q0102 AGEGRP xgov  newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


*********************************************************** Table 3-10: Main reason for leaving or not enrolling school or university for persons 6-50 years old (%)************************************

********************************************************************************************************************************************************************************************************************************

Variables needed:
**
**		(1) Governorate.
**		(2) Age total 
**		(3)XSTRAT
**                     (4) Q414 Main reason for leaving or not enrolling school or university for persons 6-50 years old 


RECODE
  Q0103
     (0 thru 5=1)    (6 thru 9=2)  (10 thru 14=3)  (15 thru 19=4)  (20 thru 24=5)  (25 thru 29=6)  (30 thru 34=7)  (35 thru 39=8)  (40 thru
  44=9) (45 thru 50=10)  (51 thru Highest=11)   INTO  ageleaving .
EXECUTE .
value labels ageleaving   1'0-5' 2 '6-9' 3'10-14' 4'15-19'  5' 20-24' 6 '25-29' 7'30-34' 8'35-39' 9 '40- 44' 10 '45-50' 11'51&more' .


DO IF (Q0102=1) .
RECODE
  Q0103
    (0 thru 5=1)    (6 thru 9=2)  (10 thru 14=3)  (15 thru 19=4)  (20 thru 24=5)  (25 thru 29=6)  (30 thru 34=7)  (35 thru 39=8)  (40 thru
  44=9) (45 thru 50=10)  (51 thru Highest=11)   INTO  ageleavingMALE .
END IF .
EXECUTE .

value labels ageleavingMALE   1'0-5' 2 '6-9' 3'10-14' 4'15-19'  5' 20-24' 6 '25-29' 7'30-34' 8'35-39' 9 '40- 44' 10 '45-50' 11'51&more' .


DO IF (Q0102=2) .
RECODE
  Q0103
    (0 thru 5=1)    (6 thru 9=2)  (10 thru 14=3)  (15 thru 19=4)  (20 thru 24=5)  (25 thru 29=6)  (30 thru 34=7)  (35 thru 39=8)  (40 thru
  44=9) (45 thru 50=10)  (51 thru Highest=11)   INTO  ageleavingFEMALE .
END IF .
EXECUTE .

value labels ageleavingFEMALE   1'0-5' 2 '6-9' 3'10-14' 4'15-19'  5' 20-24' 6 '25-29' 7'30-34' 8'35-39' 9 '40- 44' 10 '45-50' 11'51&more' .


*Define Variable Properties.
*ageleavingMALE.
VARIABLE LEVEL ageleavingMALE  (NOMINAL).
EXECUTE.

*Define Variable Properties.
*ageleavingFEMALE.
VARIABLE LEVEL ageleavingFEMALE  (NOMINAL).
EXECUTE.


*Define Variable Properties.
*ageleaving.
VARIABLE LEVEL ageleaving  (NOMINAL).
EXECUTE.

RECODE
  q0414
  (1=1)  (4=4)  (7=7)  (8=8) (9=8)   (10=10)  (11=11)  (12=12)  (13=13)  (16=16)  (17=17)  (18=18)  (2=18)  (3=18)  (5=18)  (6=18)
  (14=18)  (15=18)  INTO  new_414 .
EXECUTE .

value labels  new_414 1'noschool' 4 'travel too difficult'7' household can not afford' 8'workfor family' 10'disability' 11 'marriage'12'family not interest' 
13 'not interested '16' dischargedfrome school' 17 'end my education'18' other'.

 

*Define Variable Properties.
* new_414 .
VARIABLE LEVEL  new_414 (NOMINAL). 


USE ALL.
COMPUTE filter_$=(q0103 >= 6 & q0103 <= 50).
VARIABLE LABEL filter_$ 'q0103 >= 6 & q0103 <= 50 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=new_414 ageleavingMALE ageleavingFEMALE ageleaving xgov newcov strat3
    DISPLAY=DEFAULT
  /TABLE ageleavingMALE [COUNT F40.0, ROWPCT.COUNT F40.1] + ageleavingFEMALE [COUNT F40.0, ROWPCT.COUNT F40.1] + ageleaving
  [COUNT F40.0, ROWPCT.COUNT F40.1] + xgov [COUNT F40.0, ROWPCT.COUNT F40.1] + newcov [COUNT F40.0, ROWPCT.COUNT F40.1] +
  strat3 [COUNT F40.0, ROWPCT.COUNT F40.1] BY new_414
  /CATEGORIES VARIABLES=new_414 ageleavingMALE ageleavingFEMALE ageleaving xgov newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE
  TOTAL=YES POSITION=AFTER.



FILTER OFF.
USE ALL.
EXECUTE .



**************************************************************** Table 3-11: Type of school or university attended and age when first entered school (%)****************************************************

*********************************************************************************************************************************************************************************************************************************************************

Variables needed:

**
**		(1) Governorate.
**		(2) studing grade
**		(3)XSTRAT
**                     (4) (4) Q411 Type of school or university attended and age when first entered school




*Define Variable Properties.
*Q0412.
VARIABLE LEVEL Q0412  (SCALE).
EXECUTE.


*Define Variable Properties.
* q0411.
VARIABLE LEVEL q0411(NOMINAL).
EXECUTE.


USE ALL.
COMPUTE filter_$=(q0103 >= 6 & q0103 <= 50).
VARIABLE LABEL filter_$ 'q0103 >= 6 & q0103 <= 50 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0411 q0412 studing_410I xgov newcov strat3 DISPLAY=DEFAULT
  /TABLE studing_410I + xgov + newcov + strat3 BY q0411 [COUNT F40.0, ROWPCT.COUNT F40.1] + q0412 [MEAN]
  /CATEGORIES VARIABLES=q0411 studing_410I xgov newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


FILTER OFF.
USE ALL.
EXECUTE .


*********************************************** Table 3-12: Distance, time and mean of commuting to school or university **********************************************************************

**************************************************************************************************************************************************************************************************************


Variables needed:
**
**		(1) Governorate.
**		(2) studing grade
**		(3)XSTRAT
**                     (4)  Q415- Q417 Distance time and mean of commuting to school or university 


*Define Variable Properties.
*Q0416.
VARIABLE LEVEL Q0416  (NOMINAL).
EXECUTE.

RECODE
  q0416  (0=SYSMIS)  .
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0415 q0417 q0416 studing_410I  xgov newcov  strat3 DISPLAY=DEFAULT
  /TABLE studing_410I  + xgov  + newcov + strat3 BY q0415 [MEAN] + q0417 [MEAN] + q0416 [COUNT F40.0, ROWPCT.COUNT F40.1]
  /CATEGORIES VARIABLES=q0416 studing_410I  xgov  newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.



******************************************************************* Table 3-13: household spend in the past 12 months on your education (ID 000)*********************************************

*********************************************************************************************************************************************************************************************************


Variables needed:
**
**		(1) Governorate.
**		(2) Age total
**		(3)XSTRAT
**                     (4) Q418  household spend in the past 12 month on your education 





USE ALL.
COMPUTE filter_$=(q0103 >= 6 & q0103 <= 50 & q0402 = 2).
VARIABLE LABEL filter_$ 'q0103 >= 6 & q0103 <= 50 & q0402 = 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


DO IF (MISSING(studing_410I)) .
RECODE
  studing_410I  (SYSMIS=0)  .
END IF .
EXECUTE .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0418_1 q0418_2 q0418_3 q0418_4 q0418_5 q0418_6 q0418_7 q0418_8 q0418_9 studing_410I xgov newcov strat3
    DISPLAY=DEFAULT
  /TABLE studing_410I + xgov + newcov + strat3 BY q0418_1 [MEAN] + q0418_2 [MEAN] + q0418_3 [MEAN] + q0418_4 [MEAN] + q0418_5
  [MEAN] + q0418_6 [MEAN] + q0418_7 [MEAN] + q0418_8 [MEAN] + q0418_9 [MEAN]
  /CATEGORIES VARIABLES=studing_410I xgov newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


FILTER OFF.
USE ALL.
EXECUTE .


******************************************************************** Table 3-14: Practicing reading for persons 10 years or older (% persons)**********************************************************

*******************************************************************************************************************************************************************************************************************

Variables needed:
**
**		(1) Governorate.
**		(2) Age total
**		(3)XSTRAT
**                     (4) Q601  Practicing reading for persons 10 years or older 


*Define Variable Properties.
*Q0601A.
VARIABLE LEVEL Q0601A  (NOMINAL).
*Q0601B.
VARIABLE LEVEL Q0601B  (NOMINAL).
EXECUTE.

RECODE
  Q0103  
  (0 thru 4=1)  (5 thru 9=2)  (10 thru 14=3)  (15 thru 19=4)  (20 thru 24=5)  (25 thru 29=6)  (30 thru 34=7)  (35 thru 39=8)
  (40 thru 44=9)  (45 thru 49=10)  (50 thru 54=11)  (55 thru 59=12)  (60 thru 64=13)  (65 thru Highest=14)  INTO  AGEGRP .
EXECUTE .


value labels AGEGRP  1'0-4' 2'5-9' 3'10-14' 4'15-19' 5'20-24' 6'25-29 '7'30-34' 8'35-39' 9 '40-44' 10'45-49' 11'50-54' 12' 55-59' 13' 60-64' 14 ' 65+'.


*Define Variable Properties.
*AGEGRP.
VARIABLE LEVEL AGEGRP  (NOMINAL).
EXECUTE.

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0601a q0601b AGEGRP q0102 xgov  newcov strat3 DISPLAY=DEFAULT
  /TABLE AGEGRP [COUNT F40.0, ROWPCT.COUNT F40.1] + q0102 [COUNT F40.0, ROWPCT.COUNT F40.1] + xgov [COUNT F40.0, ROWPCT.COUNT
  F40.1] +  newcov [COUNT F40.0, ROWPCT.COUNT F40.1]  +strat3 [COUNT F40.0, ROWPCT.COUNT F40.1] BY q0601a + q0601b
  /CATEGORIES VARIABLES=q0601a q0601b AGEGRP q0102 xgov newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.



********************************************************* Table 3-15: Practicing political and social activities for persons 10 years or older (% persons)*******************************************************


****************************************************************************************************************************************************************************************************************************************************************

Variables needed:
**
**		(1) Governorate.
**		(2) Age total
**		(3)XSTRAT
**                     (4) Q601  Practicing political and social activities for persons 10 years or older 



*Define Variable Properties.
*Q0601C.
VARIABLE LEVEL Q0601C  (NOMINAL).
*Q0601D.
VARIABLE LEVEL Q0601D  (NOMINAL).
*Q0601E.
VARIABLE LEVEL Q0601E  (NOMINAL).
*Q0601F.
VARIABLE LEVEL Q0601F  (NOMINAL).
EXECUTE.

RECODE
  Q0601D  (0=SYSMIS)  .
EXECUTE .

RECODE
  Q0601E  (0=SYSMIS)  .
EXECUTE .

RECODE
  Q0601F  (0=SYSMIS)  .
EXECUTE .




USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0601C q0601D AGEGRP q0102 xgov  newcov strat3 DISPLAY=DEFAULT
  /TABLE AGEGRP [COUNT F40.0, ROWPCT.COUNT F40.1] + q0102 [COUNT F40.0, ROWPCT.COUNT F40.1] + xgov [COUNT F40.0, ROWPCT.COUNT
  F40.1] +  newcov [COUNT F40.0, ROWPCT.COUNT F40.1]+ strat3 [COUNT F40.0, ROWPCT.COUNT F40.1] BY q0601C + q0601D
  /CATEGORIES VARIABLES=q0601C q0601D AGEGRP q0102 xgov newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

FILTER OFF.
USE ALL.
EXECUTE .

****************************************************** Table 3-16: Practicing sport and atavistic activities for persons 10 years or older (% persons)*****************************************************

*******************************************************************************************************************************************************************************************************************************************************
Variables needed:
**
**		(1) Governorate.
**		(2) Age total
**		(3)XSTRAT
**                     (4) Q601  Practicing atavistic activities for persons 10 years or older 


USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0601E q0601F AGEGRP q0102 xgov newcov strat3 DISPLAY=DEFAULT
  /TABLE AGEGRP [COUNT F40.0, ROWPCT.COUNT F40.1] + q0102 [COUNT F40.0, ROWPCT.COUNT F40.1] + xgov [COUNT F40.0, ROWPCT.COUNT
  F40.1] + newcov  [COUNT F40.0, ROWPCT.COUNT F40.1]   +strat3 [COUNT F40.0, ROWPCT.COUNT F40.1] BY q0601E + q0601F
  /CATEGORIES VARIABLES=q0601E q0601F AGEGRP q0102 xgov newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

FILTER OFF.
USE ALL.
EXECUTE .

***************************************************************** Table 3-17 : Internet use for persons 10 years or older (% persons)*****************************************************************

*************************************************************************************************************************************************************************************************************

Variables needed:
**
**		(1) Governorate.
**		(2) Age total
**		(3)XSTRAT
**                     (4) Q603, Q606  Internet use for  persons 10 years or older 



IF (Q0602 = 1) No_Inter = 1 .

IF (Q0602 = 2) No_Inter = 2 .
EXECUTE .

RECODE
q0603_1
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  INTO  new_603 .
EXECUTE .

value lables new_603  1'home' 2'cafe' 3'education' 4 'work' 5 'other'.

*Define Variable Properties.
*No_Inter.
VARIABLE LEVEL No_Inter  (NOMINAL).
EXECUTE.

value labels No_Inter  1 'use Internet ' 2 'dont use Internet' .

USE ALL.
COMPUTE filter_$=(q0103 >= 10 ).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


DO IF(Q0102=1).
RECODE
  q0103
 (0 thru 9=7) (10 thru 19=1) (20 thru 29=2)  (30 thru 39=3)  (40 thru 49=4)  (50 thru 59=5)  (60 thru Highest=6)  INTO  ageintm .
END IF.
EXECUTE .
value lables ageintm 1' 10-19 ' 2'20-29' 3'30-39' 4' 40-49 '5' 50-59' 6' 60&+'  7' 0-9' .
  
DO IF (q0102 = 2) .
RECODE
  q0103
   (0 thru 9=7)(10 thru 19=1) (20 thru 29=2)  (30 thru 39=3)  (40 thru 49=4)  (50 thru 59=5)  (60 thru Highest=6)  INTO  ageintf .
END IF .
EXECUTE .

value lables ageintf 1' 10-19 ' 2'20-29' 3'30-39' 4' 40-49 '5' 50-59' 6' 60&+'  7' 0-9' .       
  
RECODE
  q0103
   (0 thru 9=7) (10 thru 19=1) (20 thru 29=2)  (30 thru 39=3)  (40 thru 49=4)  (50 thru 59=5)  (60 thru Highest=6)  INTO  ageintt.
EXECUTE .
value lables ageintt 1' 10-19 ' 2'20-29' 3'30-39' 4' 40-49 '5' 50-59' 6' 60&+'  7' 0-9'   .   
              




*Define Variable Properties.
*new_603.
VARIABLE LEVEL new_603 (NOMINAL).

*Define Variable Properties.
*ageintm.
VARIABLE LEVEL ageintm (NOMINAL).

*Define Variable Properties.
*ageintf.
VARIABLE LEVEL ageintf (NOMINAL).

*Define Variable Properties.
*ageintt.
VARIABLE LEVEL ageintt (NOMINAL).


*******************ROW****************
*****************************************

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=No_Inter new_603  internetmean  ageintm ageintf ageintt xgov newcov strat3
    DISPLAY=DEFAULT
  /TABLE ageintm + ageintf + ageintt + xgov + newcov + strat3 BY No_Inter [COUNT F40.0, ROWPCT.COUNT F40.1] + new_603 [COUNT
  F40.0, ROWPCT.COUNT F40.1] + q0606 [MEAN]
  /CATEGORIES VARIABLES=No_Inter ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=new_603 ageintm ageintf ageintt xgov newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER.




*Define Variable Properties.
*new_603.
VARIABLE LEVEL new_603 (NOMINAL).

*Define Variable Properties.
*ageintm.
VARIABLE LEVEL ageintm (NOMINAL).

*Define Variable Properties.
*ageintf.
VARIABLE LEVEL ageintf (NOMINAL).

*Define Variable Properties.
*ageintt.
VARIABLE LEVEL ageintt (NOMINAL).


*******************ROW****************
*****************************************


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=No_Inter new_603  q0606  ageintm ageintf ageintt xgov newcov strat3
    DISPLAY=DEFAULT
  /TABLE ageintm + ageintf + ageintt + xgov + newcov + strat3 BY No_Inter [COUNT F40.0, ROWPCT.COUNT F40.1] + new_603 [COUNT
  F40.0, ROWPCT.COUNT F40.1] + q0606 [mean]
  /CATEGORIES VARIABLES=No_Inter ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=new_603 ageintm ageintf ageintt xgov newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER.







*******************(colom****************
*****************************************

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=No_Inter new_603 q0606 ageintm ageintf ageintt xgov newcov strat3
    DISPLAY=DEFAULT
  /TABLE ageintm + ageintf + ageintt + xgov + newcov + strat3 BY No_Inter [COUNT F40.0, COLPCT.COUNT F40.1] + new_603 [COUNT
  F40.0, COLPCT.COUNT F40.1] + q0606 [MEAN]
  /CATEGORIES VARIABLES=No_Inter ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=new_603 ageintm ageintf ageintt xgov newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER.


FILTER OFF.
USE ALL.
EXECUTE .



*********************************************************** Table 3-18: Mode & purpose of using internet for persons 10 years or older (% persons)*******************************************

************************************************************************************************************************************************************************************************************


******************************************************* NOT PUBLISH
*******************************************************

Variables needed:
**
**		(1) Governorate.
**		(2) Age total
**		(3)XSTRAT
**                     (4) Q604 ,Q605  Mode & purpose of using internet for persons 10 years or older 


  
*IF (Q0604_1 = 1 | Q0604_2 = 1 | Q0604_3 = 1) Modeinte = 1 .
*IF (Q0604_1 = 3 | Q0604_2 = 3 | Q0604_3 = 3) Modeinte = 3 .
*IF (Q0604_1 = 4 | Q0604_2 = 4 | Q0604_3 = 4) Modeinte = 4 .
*IF (Q0604_1 = 5 | Q0604_2 = 5 | Q0604_3 = 5) Modeinte = 5 .
*EXECUTE .

*value lables Modeinte 1'Email '2 'chatting' 3'talking' 4 'web-search' 5 'Mode -other' .

*IF (Q0605_1 = 1 | Q0605_2 = 1 | Q0605_3 = 1) Perpose = 1 .
*IF (Q0605_1 = 2 | Q0605_2 = 2 | Q0605_3 = 2) Perpose = 2 .
*IF (Q0605_1 = 3 | Q0605_2 = 3 | Q0605_3 = 3) Perpose = 3 .
*IF (Q0605_1 = 4 | Q0605_2 = 4 | Q0605_3 = 4) Perpose = 4 .
*IF (Q0605_1 = 5 | Q0605_2 = 5 | Q0605_3 = 5) Perpose = 5 .
*EXECUTE .

*value lables Perpose 1'pleasure '2 'communicate with relatives&friends ' 3'business' 4 ' studying and research '5 'other' .


*Define Variable Properties.
*Modeinte.
VARIABLE LEVEL Modeinte (NOMINAL).

*Define Variable Properties.
*Perpose.
VARIABLE LEVEL Perpose (NOMINAL).


************************************************************* NOT PUBLISH
*************************************************************
**********************************************************************************************under publish

RECODE
q0604_1
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  INTO  new_604 .
EXECUTE .

value lables new_604  1'Email '2 'chatting' 3'talking' 4 'web-search' 5 'Mode -other' .

VARIABLE LEVEL new_604 (NOMINAL).
EXECUTE.


RECODE
q0605_1
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  INTO  new_605 .
EXECUTE .

value lables new_605  1'pleasure' 2'communication' 3' business' 4 'studing researh' 5 'other'.

VARIABLE LEVEL new_605  (NOMINAL).
EXECUTE.

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUT.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=new_604 new_605 AGEGRP q0102 xgov newcov strat3 DISPLAY=DEFAULT
  /TABLE AGEGRP [COUNT F40.0, ROWPCT.COUNT F40.1] + q0102 [COUNT F40.0, ROWPCT.COUNT F40.1] + xgov [COUNT F40.0, ROWPCT.COUNT
  F40.1] + newcov [COUNT F40.0, ROWPCT.COUNT F40.1] +  strat3 [COUNT F40.0, ROWPCT.COUNT F40.1] BY new_604  + new_605 
  /CATEGORIES VARIABLES=new_604  new_605  AGEGRP q0102 xgov newcov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.



FILTER OFF.
USE ALL.
EXECUTE .



SAVE OUTFILE='C:\IHSES_TABLES\T3\education wave1-18.sav'
 /COMPRESSED.


