
**********************************************************************************************************************************
**
**   Name of Survey :   Iraq Household Socio-Economic Survey (IHSES) 2006-2007 
**   Subject :                IHSES Labor Force Calculation and Tabulation 
**   Prepared by:         Sundus Al-hussieni
**   Date:	           Apr- 2008
**
***********************************************************************************************************************************
***********************************************************************************************************************************
**    Table 5-1:  Housholds and their members by economic activity characteristics of head of houshold
**
**	Variables needed:
**
**		(1) Employment status (Working, Unemployed, Housekeeper, With means, Other)
**		(2) Work sector (Private, Public, Other sectors, Not economically active)
**		(3) Economic Activity (Agriculture and fishing, Mining, Manufacturing, etc.)	
**		(4) Occupation (Legislators& senior officials & managers, Professionals, etc.)
**		(5) Working Status (Employee, Employer, Own Account, Not economically active)
**		(6) strat2
**		(7) XHHKEYe
**		(8) XHHSIZE
***********************************************************************************************************************************
** STEP 1:  We open the file with jobs, rename the Individual ID and save it with another name 
**
***********************************************************************************************************************************

GET FILE='C:\IHSES_TABLES\Originals\IHSES10-Jobs.sav'.
rename variable Q1200_PE = XPERS.
SORT CASES BY XHHKEY (A)  XPERS (A) .
SAVE OUTFILE='C:\IHSES_TABLES\T5\Job_5-1.sav'  /COMPRESSED.

*****************************************************************************************************************
** STEP 2:  We select the "Main Occupation", following the criteria below:
**				
**		score = sum(months worked) /12 + sum(hours_worked)/40
**		Select job with Max score
**		
*****************************************************************************************************************

IF (Q1203_01<0) Q1203_01 = 0 . 
IF (Q1203_02<0) Q1203_02 = 0 . 
IF (Q1203_03<0) Q1203_03 = 0 . 
IF (Q1203_04<0) Q1203_04 = 0 . 
IF (Q1203_05<0) Q1203_05 = 0 . 
IF (Q1203_06<0) Q1203_06 = 0 . 
IF (Q1203_07<0) Q1203_07 = 0 . 
IF (Q1203_08<0) Q1203_08 = 0 . 
IF (Q1203_09<0) Q1203_09 = 0 . 
IF (Q1203_10<0) Q1203_10 = 0 . 
IF (Q1203_11<0) Q1203_11 = 0 . 
IF (Q1203_12<0) Q1203_12 = 0 . 
IF (Q1204_01<0) Q1204_01 = 0 . 
IF (Q1204_02<0) Q1204_02 = 0 . 
IF (Q1204_03<0) Q1204_03 = 0 . 
IF (Q1204_04<0) Q1204_04 = 0 . 
IF (Q1204_05<0) Q1204_05 = 0 . 
IF (Q1204_06<0) Q1204_06 = 0 . 
IF (Q1204_07<0) Q1204_07 = 0 . 
EXECUTE .

compute sum_mths 	= sum(Q1203_01, Q1203_02, Q1203_03, Q1203_04, Q1203_05, Q1203_06, Q1203_07, Q1203_08, Q1203_09, Q1203_10, Q1203_11, Q1203_12).
formats sum_mths (F3).
compute sum_hrs 	= sum(Q1204_01, Q1204_02, Q1204_03, Q1204_04, Q1204_05, Q1204_06, Q1204_07).
formats sum_hrs (F3).
compute score 	= sum( sum_mths/12,  sum_hrs/40, (4-Q1200_SN) / 4  ) .
*RV.UNIFORM(0,0.01)
formats score (F2.1).
EXECUTE .

*DELETE variable weight .
EXECUTE .

SAVE OUTFILE='C:\IHSES_TABLES\T5\Job_5-1.sav'  /COMPRESSED.

GET FILE='C:\IHSES_TABLES\T5\Job_5-1.sav'.

*************************************************************************************************************************************
***	We aggregate the number of hours for ALL possible activities of the individual:
*************************************************************************************************************************************

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T5\temp_hrs12.sav'
  /BREAK=XHHKEY XPERS
  /sum_hrs12 = SUM(sum_hrs).

GET FILE='C:\IHSES_TABLES\T5\temp_hrs12.sav'.
SORT CASES BY   XHHKEY (A) XPERS.
SAVE OUTFILE='C:\IHSES_TABLES\T5\temp_hrs12.sav'.

GET FILE='C:\IHSES_TABLES\T5\Job_5-1.sav'.

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T5\aggr.sav'
  /BREAK=XHHKEY XPERS
  /score = MAX(score).

GET FILE='C:\IHSES_TABLES\T5\Aggr.sav'.
SORT CASES BY   XHHKEY (A) XPERS (A) score (A) .
compute flag=1.
formats flag (N1).
SAVE OUTFILE='C:\IHSES_TABLES\T5\aggr.sav'  /COMPRESSED.

GET FILE='C:\IHSES_TABLES\T5\Job_5-1.sav' .
SORT CASES BY   XHHKEY (A) XPERS (A) score (A) .
SAVE OUTFILE='C:\IHSES_TABLES\T5\Job_5-1.sav'  /COMPRESSED.

MATCH FILES /FILE=*
 /TABLE='C:\IHSES_TABLES\T5\aggr.sav'  /BY XHHKEY XPERS score.
EXECUTE.

********************************************************************************************
**      We keep only the jobs that have max score, which means flag=1
********************************************************************************************

FILTER OFF.
USE ALL.
SELECT IF(flag=1).
EXECUTE .


delete variables  flag, sum_mths, sum_hrs, score.

******************************************************************************************************************************************
** Now in the file Job_5-1.sav we have the MAIN job:
******************************************************************************************************************************************

SAVE OUTFILE='C:\IHSES_TABLES\T5\Job_5-1.sav'  /COMPRESSED.

******************************************************************************************************************************************
** STEP 3:  We open the file with individuals, and match the jobs from the new job's file and match the main
**	      occupation of each individual
******************************************************************************************************************************************

GET  FILE='C:\IHSES_TABLES\Originals\IHSES02-Individuals.sav'.

SORT CASES BY   XHHKEY (A) XPERS.

MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T5\temp_hrs12.sav'
 /BY XHHKEY XPERS.
EXECUTE.


*******************************************************************************************************************************************
** Drop variables that we don't need and save it with another name
*******************************************************************************************************************************************

DELETE variables Q0501 Q0502_1 Q0502_2 Q0502_3 Q0502A_1 Q0502A_2 Q0502A_3 Q0503_A
  Q0504 Q0504A_1 Q0504A_2 Q0504A_3 Q0505_B Q0506 Q0507 Q0508_A Q0508_B Q0509 Q0510 Q0511 Q0512 Q0513 Q0514 Q0515 Q0516_1
  Q0516_2 Q0516_3 Q0516_4 Q0516_5 Q0516_6 Q0517 Q0518 Q0519 Q0520 Q0521_M Q0521_Y Q0522 Q0523 Q0524 Q0525 Q0526 Q0527 Q0528
  Q0529 Q0530 Q0531 Q0532 Q0533 Q0534 Q0601A Q0601B Q0601C Q0601D Q0601E Q0601F Q0602 Q0603_1 Q0603_2 Q0603_3 Q0603_4 Q0604_1
  Q0604_2 Q0604_3 Q0605_1 Q0605_2 Q0605_3 Q0606 .

SORT CASES BY  XHHKEY (A) XPERS (A) .


MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T5\Job_5-1.sav'
 /RENAME (XCLUSTer XGOV  XHHSIZE XSTRAT XWAVE = d0 d1  d3 d4 d5)
 /BY XHHKEY XPERS
 /DROP= d0 d1 d3 d4 d5.
EXECUTE.

FILTER OFF.
USE ALL.
SELECT IF(not missing(XCLUSTer)).
EXECUTE .

SAVE OUTFILE='C:\IHSES_TABLES\T5\Individuals_jobs.sav'.

******************************************************************************************************************
** Now in the file Individuals_jobs.sav  we have all individuals and the MAIN 
** job if there is one, if not the variables related to main job are missing
******************************************************************************************************************

******************************************************************************************************************
** STEP 4:  Create variable Employ_status:
**		(1) Employment status
**			1. Working	
**			2. Unemployed	
**			3. Housekeeper		
**			4. With means	
**			5. Other	
**			6. No information on jobs
*****************************************************************************************************************
** We  create auxiliary variables:
**                        Working = 1 or 0
**                        Unemployed = 1 or 0
**                        Econ_active = sum(Working, Unemployed)
**           	   NotEc_activ = ~Econ_active
**                        
*************************************************************************************************************************
**	(1)  The person is classified as "Working" if has worked during the past 7 days (Q0701) or
**	      Q1204 >0 or was in temporarily away from work due to illness or vacation 
*************************************************************************************************************************

IF ( Q0701 >0 | sum_hrs12 >0 | Q0702 = 9) Working = 1 .
EXECUTE .

**************************************************************************************************************************
**	(2)  The person is classified as "Unemployed" if 
**		a) has NOT worked during the past 7 days (Q0702), and
**	      	b) wants to work (Q0703), and
**		c) the reason for working zero hours during the past 7 days if not alternative 9, and
**		d) has searched for a job in the past (Q0705), and
**		e) is available to start working (Q0707)	
****************************************************************************************************************************

IF ( Q0701 = 0 & ( sum_hrs12 = 0 | missing(sum_hrs12) ) &  Q0703 = 1 & Q0702 ~= 9 & Q0705 ~= 4 & Q0707 = 1) Unemployed = 1 .
EXECUTE .

COMPUTE Econ_active = SUM(Unemployed ,Working) .   
VARIABLE LABEL Econ_active  'Unemployed+Working'.
EXECUTE .

RECODE
  Econ_active  (SYSMIS=0)  .
EXECUTE .

IF (Econ_active  = 0) NotEc_activ= 1 .
IF (Econ_active  = 1) NotEc_activ= 0 .
VARIABLE LABEL NotEc_activ  'Not Economic Activity'.
EXECUTE .

*****************************************************************************************************************
**	(3)  The person is classified as "Houskeeper" if is housekeeper in Q0702 and if the reason in 
**	      Q0704 is not that has other source of income or that cannot find a job.
*****************************************************************************************************************

IF (Q0701 = 0 & ( sum_hrs12 = 0 | missing(sum_hrs12) ) & ( Q0703 <> 1 or missing(Q0703) )  & Q0702 = 7  &  Q0704  =  4 ) Housekeeper  = 1 .
EXECUTE .

*****************************************************************************************************************
**	(4)  The person is classified as "With means" if Q0702 between codes 5-6 or 8, and Reason 
**	      in Q0704 = 10.
*****************************************************************************************************************

IF (Q0701 = 0 & ( sum_hrs12 = 0 | missing(sum_hrs12) ) &  ( Q0702 = 5 | Q0702 = 6 | Q0702 = 8)  & Q0704 = 10 & NotEc_activ = 1) Withmeans = 1 .
EXECUTE .

*****************************************************************************************************************

IF (Working=1) 		            Employ_status=1.
IF (Unemployed=1) 			Employ_status=2.
IF (Housekeeper=1) 			Employ_status=3.
IF (Withmeans=1) 			Employ_status=4.
IF (missing(Employ_status)) 	            Employ_status=5.

VARIABLE LABEL Employ_status  'Employment status'.
VALUE LABELS Employ_status  1'Working' 2 'Unemployed' 3'Housekeeper' 4'Withmeans' 5' Other' .
EXECUTE .

VARIABLE LEVEL Employ_Status   (NOMINAL).

FREQUENCIES   VARIABLES=Employ_status   /ORDER=  ANALYSIS .


*****************************************************************************************************************
** STEP 5:  Create variable Sector:
**		(2) Work sector
**			1. Private	
**			2. Public	
**			3. Other sectors	
**			4. Unknown	
**			5. Not economically active	
**
*****************************************************************************************************************

IF (Q1202A =1) 				Sector  = Q1303 .
IF (Q1202B1=1|Q1202B2=1)       	Sector  = 3.
IF MISSING(Sector)                              Sector  = 11. 
IF ( NotEc_activ = 1 ) 			Sector  = 12.
IF (Unemployed=1) 		      	Sector  = 13.
VARIABLE LABELS Sector  'Work sector' .
EXECUTE .

RECODE
  Sector   (3=1)  (2=2)  (1=3) (4 thru 10=4)  (11=5) (12=6) (13=7) .
VALUE LABELS Sector  1'Private' 2'public' 3'Govermental' 4'other sectors'  5'Unknown'  6'Not economically active' 7'Unemployed' .

VARIABLE LEVEL Sector  (NOMINAL).

SAVE OUTFILE='C:\IHSES_TABLES\T5\Individuals_jobs.sav'.
FREQUENCIES   VARIABLES=Sector   /ORDER=  ANALYSIS .

*****************************************************************************************************************
** STEP 6:  Create variable Occupation:
**			1. Legislators & senior officials & managers	
**			2. Professionals	
**			3. Technicians & associate professionals	
**			4. Clerks	
**			5. Services and sales workers	
**			6. skilled agriculture & fishery workers	
**			7. Craft & related trade workers	
**			8. Plant& machine operators& assembl.	
**			9. Elementary occupations	
**			10. Unknown	
**			11. Not economically active
**			12. Unemployed	
	
****************************************************************************************************************

COMPUTE Occupation  = TRUNC(Q1201/1000) .
EXECUTE .

IF (Occupation  > 0) Occupa_gr= Occupation.
IF (Occupation  = 0) Occupa_gr= 9.
IF MISSING(Occupa_gr)  Occupa_gr= 10.
IF (NotEc_activ  =1) Occupa_gr= 11.
IF (Unemployed=1)  Occupa_gr = 12.
EXECUTE .

VARIABLE LABELS Occupation  'Occupation' .
VARIABLE LABELS Occupa_gr  'Occupation group' .
EXECUTE .

VALUE LABELS Occupa_gr 
  1'Lagislatores and senior officials & mangers'
  2 'Professionals'
  3'Technicians & associate profess'
  4'Clerks'
  5'Services and sales workers'
  6'Skilled agriculture & fishery workers'
  7'Craft & related trade workers'
  8'Plant machine operatores & assemblers'
  9'Elementary Occupation'
10'Unknown'
11'Not Economically active'
12'Unemplyed'.
EXECUTE . 

VARIABLE LEVEL Occupa_gr  (NOMINAL).

FREQUENCIES   VARIABLES=Occupa_gr  /ORDER=  ANALYSIS .
SAVE OUTFILE='C:\IHSES_TABLES\T5\Individuals_jobs.sav'.

*****************************************************************************************************************
** STEP 7:  Create variable Econ. activity:
**			1  'Agriculture & Hunting' 
 **			2  'Fishing'
 **			3  'Mining' 
 **			4  'Manufacturing industry' 
 **			5  'Electricity, gas ,water'
 **			6  'Building and construction' 
 **			7  'Wholesale & Retail Trade, repair of motor vehicles '
**			 8  'Trade,Resturant &Hotels'
**			 9  'Transportation &Communications'
**			 10'Finance  intermediation'
**			 11'Real estate , renting and business activities'
**			 12'Public administration and defence ; compulsory'
**			 13'Education'
**			 14'Health and Social Work'
**			 15'Other community , social and personal services activities '
**			 16'Housing services'
**			 17'Extra-territorial Organizations and bodies'
**			 18' Unknown'
**			 19' Not Economically active'
**			 20'Unemplyed' .
*****************************************************************************************************************

GET
  FILE='C:\IHSES_TABLES\Originals\IHSES11-Self-employment activities.sav'.

STRING 	 Act_cod (A1).
COMPUTE Act_cod = Q1205cod.
EXECUTE .

SORT CASES BY XHHKEY (A) Act_cod (A) .

SAVE OUTFILE='C:\IHSES_TABLES\T5\Self-employment activities_code.sav'.

GET FILE='C:\IHSES_TABLES\T5\Individuals_jobs.sav'.

STRING      Act_cod (A1).
COMPUTE Act_cod = Q1202E .
EXECUTE .

SORT CASES BY XHHKEY (A) Act_cod (A) .

MATCH FILES /FILE=*
 /TABLE='C:\IHSES_TABLES\T5\Self-employment activities_code.sav'
 /RENAME (XCLUSTer XGOV  XHHSIZE XSTRAT XWAVE = d0 d1 d3 d4 d5)
 /BY XHHKEY Act_cod 
 /DROP= d0 d1 d3 d4 d5.
EXECUTE.

SAVE OUTFILE='C:\IHSES_TABLES\T5\Individuals_jobs.sav'.

IF (MISSING(Q1302) | MISSING(Q1205ACT)) Per_Act = SUM(Q1302,Q1205ACT) .
VARIABLE LABELS Per_Act 'Persons Activity' .
EXECUTE .

COMPUTE Act_Gr  = TRUNC(Per_Act/10) .
VARIABLE LABELS Act_Gr 'Main Economic Activity' .
EXECUTE .

IF  ((Act_Gr=01|Act_Gr=02) | Q1202B1=1) 		Act_Gr=1.
IF  (Act_Gr=05) 					Act_Gr=2.
IF  (Act_Gr >= 10 & Act_Gr <= 14) 			Act_Gr=3.
IF  (Act_Gr >= 15 & Act_Gr <= 37) 			Act_Gr=4.
IF  (Act_Gr = 40 | Act_Gr = 41) 				Act_Gr=5.
IF  (Act_Gr = 45)   					Act_Gr=6.
IF  (Act_Gr >= 50 & Act_Gr <= 52) 			Act_Gr=7.
IF  (Act_Gr = 55) 					Act_Gr=8.
IF  (Act_Gr >= 60 & Act_Gr <= 64) 			Act_Gr=9.
IF  (Act_Gr >= 65 & Act_Gr <= 67) 			Act_Gr=10.
IF  (Act_Gr >= 70 & Act_Gr <= 74) 			Act_Gr=11.
IF  (Act_Gr =75) 					Act_Gr=12.
IF  (Act_Gr =80) 					Act_Gr=13.
IF  (Act_Gr =85) 					Act_Gr=14.
IF  (Act_Gr >= 90 & Act_Gr <= 93) 			Act_Gr=15.
IF  (Act_Gr >= 95 & Act_Gr <= 97) 			Act_Gr=16.
IF  (Act_Gr =99) 					Act_Gr=17.
IF MISSING (Act_Gr) 	             	     		Act_Gr=18.
IF (NotEc_activ >0) 					Act_Gr=19.
IF (Unemployed=1) 					Act_Gr=20 .
EXECUTE .

VALUE LABELS Act_Gr 
 1  'Agriculture & Hunting' 
 2  'Fishing'
 3  'Mining' 
 4  'Manufacturing industry' 
 5  'Electricity, gas ,water'
 6  'Building and construction' 
 7  'Wholesale & Retail Trade, repair of motor vehicles '
 8  'Trade,Resturant &Hotels'
 9  'Transportation &Communications'
 10'Finance  intermediation'
 11'Real estate , renting and business activities'
 12'Public administration and defence ; compulsory'
 13'Education'
 14'Health and Social Work'
 15'Other community , social and personal services activities '
 16'Housing services'
 17'Extra-territorial Organizations and bodies'
 18'Unknown'
 19' Not Economically active'
 20'Unemplyed' .
EXECUTE .

VARIABLE LEVEL Act_Gr  (NOMINAL).

FREQUENCIES   VARIABLES=Act_Gr  /ORDER=  ANALYSIS .
SAVE OUTFILE='C:\IHSES_TABLES\T5\Individuals_jobs.sav'.

*****************************************************************************************************************
** STEP 8:  Create variable Work status:  Work_status
**			1. Employee	
**			2. Employer	
**			3. Own Account	
**			4. Not economically active	
*****************************************************************************************************************
**	We need to create two variables to be able to determine whether the person is 
**	employer or not.  The criteria is:
**
**	If (a) the household in agriculture or (b) the enterprise pays wages to employees, 
**	that means is employer
**
**	(1) Employer in Self-employment/enterprise, Ind_employer_in_self
**			if line 1431 or 1432 are > 0 ==> EMPLOYER
**	(2) Employer in Self-employment/enterprise, Ind_employer_in_agric
**			if Q1407H  > 0 or  Q1414_14 > 0 or Q1416CC > 0 or Q1417A > 0
**								==> EMPLOYER	
*****************************************************************************************************************

**	(1) Employer in Self-employment/enterprise, Ind_employer_in_self

GET FILE='C:\IHSES_TABLES\Originals\IHSES11-Self-employment activities.sav'.

COMPUTE Ind_employer_in_self = 0 .
IF (SUM(Q1431,Q1432) > 0) Ind_employer_in_self = 1 .
EXECUTE .
value lables Ind_employer_in_self  0 'No' 1 'Yes'.
SORT CASES BY XHHKEY (A) Q1205COD (A) .
SAVE OUTFILE='C:\IHSES_TABLES\T5\temp_self_emplyer.sav'  /COMPRESSED.

**	(2) Employer in agriculture, Ind_employer_in_agric

GET FILE='c:\IHSES_TABLES\Originals\IHSES06-Crop production.sav'.

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T5\agr_crop_wage.sav'
  /BREAK=XHHKEY
  /Q1407H = SUM(Q1407H).

GET FILE='C:\IHSES_TABLES\T5\agr_crop_wage.sav'.
SORT CASES BY XHHKEY (A) .

SAVE OUTFILE='C:\IHSES_TABLES\T5\agr_crop_wage.sav'  /COMPRESSED.
 
GET FILE='c:\IHSES_TABLES\Originals\IHSES01-Household.sav'.
SORT CASES BY XHHKEY (A) .

MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T5\agr_crop_wage.sav'
 /BY XHHKEY.
EXECUTE.

SAVE OUTFILE='C:\IHSES_TABLES\T5\temp_HH_employer.sav'
  /DROP=XCLUSTer XHHSIZE Q0002 Q0003 Q0007 Q0008 Q0012 Q0014 Q0017 Q0018 Q0029 Q0032 Q0034 Q0035D Q0035M Q0035Y Q0036D Q0036M
  Q0036Y Q0037D Q0037M Q0037Y Q0038D Q0038M Q0038Y Q0039D Q0039M Q0039Y Q0040 QTUSE1 QLANG1 
 Q0301 Q0302 Q0303 Q0304 Q0305 Q0306 Q0307 Q0308A Q0308B Q0309_01 Q0310_01 Q0309_02
  Q0310_02 Q0309_03 Q0310_03 Q0309_04 Q0310_04 Q0309_05 Q0310_05 Q0309_06 Q0310_06 Q0309_07 Q0310_07 Q0309_08 Q0310_08
  Q0309_09 Q0310_09 Q0309_10 Q0310_10 Q0309_11 Q0310_11 Q0311A Q0311B Q0311C Q0312 Q0313 Q0314 Q0315 Q0316 Q0317 Q0318A Q0318B
  Q0318C Q0318D Q0319 Q0320 Q0321 Q0322 Q0323_1 Q0323_2 Q0323_3 Q0324_1 Q0325_1 Q0324_2 Q0325_2 Q0324_3 Q0325_3 Q0326_11
  Q0326_12 Q0326_13 Q0326_14 Q0326_15 Q0326_16 Q0326_21 Q0326_22 Q0326_23 Q0326_24 Q0326_25 Q0326_26 Q0326_31 Q0326_32
  Q0326_33 Q0326_34 Q0326_35 Q0326_36 Q0326_41 Q0326_42 Q0326_43 Q0326_44 Q0326_45 Q0326_46 Q0327 Q0328 Q0329 Q0330 Q0331_01
  Q0331_02 Q0331_03 Q0331_04 Q0331_05 Q0331_06 Q0331_07 Q0331_08 Q0331_09 Q0331_10 Q0331_11 Q0331_12 Q0331_13 Q0332 Q0334
   Q0335_01 Q0335_02 Q0335_03 Q0335_04 Q0335_05 Q0335_06 Q0335_07
  Q0335_08 Q0335_09 Q0335_10 Q0335_11 Q0335_12 Q0335_13 Q0335_14 Q0335_15 Q0335_16 Q0336_1 Q0336_2 Q0336_3 Q0336_4 Q0336_5
    Q0339_01 Q0339_02 Q0339_03 Q0339_04 Q0339_05 Q0339_06 Q0339_07 
Q1401 Q1402 Q1403_1 Q1403_2 Q1403_3 Q1403_4 Q1404
  Q1409 Q1410_01 Q1410_02 Q1410_03 Q1410_04 Q1410_05 Q1410_06 Q1410_07 Q1410_08 Q1411 Q1412 Q1413 Q1413A Q1414_01 Q1414_02
  Q1414_03 Q1414_04 Q1414_05 Q1414_06 Q1414_07 Q1414_08 Q1414_09 Q1414_10 Q1414_11 Q1414_12 Q1414_13 Q1414_15 Q1414_16
  Q1414_17 Q1414_18 Q1414_19 Q1414_20 Q1414_21 Q1414_22 Q1414_23 Q1414_24 Q1414_25 Q1415 Q1416A Q1416AA Q1416B Q1416BB Q1416C
  Q1417B Q1417C Q1417_A Q1417_B Q1417_C Q1417_D Q1602_01 Q1602_02 Q1602_03 Q1602_04 Q1602_05 Q1602_06 Q1602_07 Q1602_08
  Q1602_09 Q1602_10 Q1602_11 Q1602_12 Q1602_13 Q1602_14 Q1602_15 Q1602_16 Q1602_17 Q1602_18 Q1602_19 Q1602_20 Q1602_21
  Q1602_22 Q1602_23 Q1602_24 Q1602_25 Q1602_26 Q1602_27 Q1602_28 Q1602_29 Q1602_30 Q1602_31 Q1602_32 Q1602_33 Q1602_34
  Q1602_35 Q1602_36 Q1701 Q1702_1 Q1702_2 Q1702_3 Q1703_1 Q1703_2 Q1703_3 Q1704 Q1705_1 Q1705_2 Q1705_3 Q1801_01 Q1801_02
  Q1801_03 Q1801_04 Q1801_05 Q1801_06 Q1801_07 Q1801_08 Q1801_09 Q1801_10 Q1801_11 Q1802_01 Q1802_02 Q1802_03 Q1802_04
  Q1802_05 Q1802_06 Q1802_07 Q1802_08 Q1802_09 Q1802_10 Q1802_11 Q1802_12 Q1802_13 Q1802_14 Q1802_15 Q1802_16 Q1802_17
  Q1802_18 Q1802_19 Q1802_20 Q1802_21 Q1802_22 Q1802_23 Q1802_24 weight /COMPRESSED.

SAVE OUTFILE='C:\IHSES_TABLES\T5\temp_HH_employer.sav'.


GET FILE='C:\IHSES_TABLES\T5\temp_HH_employer.sav'.

COMPUTE Ind_employer_in_agric = 0 .
IF (SUM(Q1414_14,Q1416CC,Q1417A,Q1407H) > 0) Ind_employer_in_agric= 1 .
EXECUTE .

value lables Ind_employer_in_agric
0 'No'
1 'Yes'.
EXECUTE .

SAVE OUTFILE='C:\IHSES_TABLES\T5\temp_HH_employer.sav'.
 
*************************************************************************************************************************************
** STEP 9:   We add both indicators into the file with individuals and their main job:  Individuals_jobs.sav

**************************************************************************************************************************************

GET FILE='C:\IHSES_TABLES\T5\Individuals_jobs.sav'.
SORT CASES BY XHHKEY (A) .

MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T5\temp_HH_employer.sav'
 /RENAME (Q1407H Q1414_14 Q1416CC Q1417A XGOV  XSTRAT XWAVE = d0 d1 d2 d3 d4  d6 d7)
 /BY XHHKEY
 /DROP= d0 d1 d2 d3 d4  d6 d7.
EXECUTE.

SAVE OUTFILE='C:\IHSES_TABLES\T5\Individuals_jobs.sav'.

GET FILE='C:\IHSES_TABLES\T5\Individuals_jobs.sav'.
SORT CASES BY XHHKEY (A) Q1205COD (A) .


MATCH FILES /FILE=*
 /TABLE='C:\IHSES_TABLES\T5\temp_self_emplyer.sav'
 /RENAME (q1205act q1206_m1 q1206_m2 q1206_m3 q1206_m4 q1206_m5 q1418 q1419 q1420 q1421 q1422 q1423 q1424 q1425 q1426 q1427
  q1428 q1429 q1430 q1431 q1432 q1433 q1434 q1436 q1437 q1438 q1439 q1440 q1441 q1443 q1444a q1444b q1444c q1444d q1444e
  q1444f q1444g q1444h q1444i q1445 q1446 q1447 q1448 q1449 q1450 q1451 q1452 weight XCLUSTer xgov  xhhsize xstrat xwave =
  d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32
  d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49  d51 d52 d53)
 /BY xhhkey q1205cod
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31
  d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49  d51 d52 d53.
EXECUTE.

SAVE OUTFILE='C:\IHSES_TABLES\T5\Individuals_jobs.sav'.

*************************************************************************************************************************************
** STEP 10:       We create now the variable Work_status:
**			1. Employee	
**			2. Employer	
**			3. Own Account	
**			4. Unknown	
**			5. Not economically active	
**			6. Unemployment	
*************************************************************************************************************************************

IF (Q1202A =1) 						            Work_status=1. 
IF (Q1202B1 =1) or  (Q1202B2 =1)			            Work_status=3.
IF (Ind_employer_in_agric=1) or  (Ind_employer_in_self=1)	Work_status=2.
IF MISSING (Work_status)                                               	Work_status=4.
IF (NotEc_activ=1) 					            Work_status=5. 
IF (Unemployed=1) 					            Work_status=6. 

var lab Work_Status "Work status".
value lab Work_Status
1 Employee	
2 Employer	
3 'Own Account'
4 'Unknown'
5 'Not Economically active'
6 'Unemployment'.
EXECUTE.


VARIABLE LEVEL Work_status  (NOMINAL).

FREQUENCIES   VARIABLES=Work_Status  /ORDER=  ANALYSIS .
 SAVE OUTFILE='C:\IHSES_TABLES\T5\Individuals_jobs.sav'.

***********************************************************************************************
** STEP 11:       We recode now the variable xstrat
**
***********************************************************************************************

RECODE
  XSTRAT
  (1=2)  ( 2 thru 5=1 )  INTO  Strat2 .
EXECUTE .

VARIABLE LABELS strat2 ' urban, and Rural'.
VALUE LABELS Strat2 1 'Urban' 2 'Rural'.

VARIABLE LEVEL Strat2  (NOMINAL).

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO strat3.
VALUE LABELS  strat3  1'Gov.Centers' 2 'Other Uraban' 3'Rural' .
EXECUTE .
VARIABLE LEVEL Strat3  (NOMINAL).

SAVE OUTFILE='C:\IHSES_TABLES\T5\Individuals_jobs.sav' /COMPRESSED.


************************************************************************************************
** STEP 12:   We select only the head of houshold (xper = 1) 

************************************************************************************************

FILTER OFF.
USE ALL.
SELECT IF(xpers = 1).
EXECUTE .

SORT CASES BY
  xhhkey (A) .

SAVE OUTFILE='C:\IHSES_TABLES\T5\temp_HH_5-1.sav' /COMPRESSED.

RECODE
  Act_Gr
  (3=2)  (4=3)  (5=4)  (6=5)  (7=6)  (8=7)  (9=8)  (12=10)  (13=11)  (14=12)  (18=14)  (19=15)  (20=16)  (1 thru 2=1)  (10
  thru 11=9)  (ELSE=13)  INTO  Act13 .
EXECUTE .
VALUE LABELS Act13
 1  'Agriculture & Hunting & Fishing' 
 2  'Mining' 
 3  'Manufacturing industry' 
 4  'Electricity, gas ,water'
 5  'Building and construction' 
 6  'Wholesale & Retail Trade, repair of motor vehicles '
 7  'Trade,Resturant &Hotels'
 8  'Transportation &Communications'
 9'Finance  intermediation & Real estate , renting and business activities'
 10'Public administration and defence ; compulsory'
 11'Education'
 12'Health and Social Work'
 13'Other Econ. activeity '
 14'Unknown activeity '
 15' Not Economically active'
 16'Unemplyed' .
EXECUTE .

VARIABLE LEVEL Act13  (NOMINAL).


*************************************************************************************************************************************
** STEP 13:  Calculate weight housholds 
**
*************************************************************************************************************************************

COMPUTE weightPer = weight * xhhsize .
EXECUTE .



WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=xhhkey strat3 Employ_status Sector Act13 Occupa_gr DISPLAY=DEFAULT
  /TABLE Employ_status + Sector + Act13 + Occupa_gr BY xhhkey [COLPCT.COUNT F40.1] > strat3
  /CATEGORIES VARIABLES=strat3 Employ_status Sector Act13 Occupa_gr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-1: Housholds and their members by economic activity characteristics of head of houshold (weight by HH)' ''.

WEIGHT
  OFF.

WEIGHT
  BY weightPer .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=xhhsize strat3 Employ_status Sector Act13 Occupa_gr DISPLAY=DEFAULT
  /TABLE Employ_status + Sector + Act13 + Occupa_gr BY xhhsize [COLPCT.COUNT F40.1] > strat3
  /CATEGORIES VARIABLES=strat3 Employ_status Sector Act13 Occupa_gr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-1: Housholds and their members by economic activity characteristics of head of houshold (weight by'+
 ' persons)' ''.

WEIGHT
  OFF.

********************************************************************************************************************************************************
**    Table 5-2:  Averge housholds size and proporation of adults by economic activity characteristics of head of houshold
**
**	Variables needed:
**
**		(1) Employment status (Working, Unemployed, Housekeeper, With means, Other)
**		(2) Work sector (Private, Public, Other sectors, Not economically active)
**		(3) Economic Activity (Agriculture and fishing, Mining, Manufacturing, etc.)	
**		(4) Occupation (Legislators & senior officials & managers, Professionals, etc.)
**		(5) Working Status (Employee, Employer, Own Account, Not economically active)
**		(6) strat2
**		(7) XHHSIZE
**	
********************************************************************************************************************************************************

GET
  FILE='C:\IHSES_TABLES\Originals\ihses02-individuals.sav'.

RECODE
  XSTRAT
  (1=2)  (2 thru 5=1)  INTO  strat2.
VALUE LABELS strat2 1'Urban' 2'Rural' .
EXECUTE .

VARIABLE LEVELS strat2 (Nominal).
 
RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO strat3.
VALUE LABELS  strat3  1'Gov.Centers' 2 'Other Uraban' 3'Rural' .
EXECUTE .
VARIABLE LEVEL Strat3  (NOMINAL).

 IF (Q0103 >= 15) Adult_tot =  1 .
 IF (Q0103 < 15  ) Adult_tot =  0 .

 IF (Q0103 >= 15 & strat3=1) Adult_U =  1 .
 IF (Q0103 < 15 & strat3=1 ) Adult_U =  0 .

 IF (Q0103 >= 15 & strat3=2) Adult_Ou =  1 .
 IF (Q0103 < 15 & strat3=2 ) Adult_Ou =  0 .

 IF (Q0103 >= 15 & strat3=3) Adult_R=  1 .
 IF (Q0103 < 15 & strat3=3) Adult_R=  0 .
EXECUTE .


AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T5\agg.5-2.sav'
  /BREAK=xhhkey
  /Adult_tot = SUM(Adult_tot) /Adult_U = SUM(Adult_U) /Adult_Ou = SUM(Adult_Ou) /Adult_R = SUM(Adult_R).

GET
  FILE='C:\IHSES_TABLES\T5\agg.5-2.sav'.

SORT CASES BY
  xhhkey (A) .

SAVE OUTFILE='C:\IHSES_TABLES\T5\agg.5-2.sav' /COMPRESSED.

GET
  FILE='C:\IHSES_TABLES\T5\temp_HH_5-1.sav'.

SORT CASES BY
  xhhkey (A) .

MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T5\agg.5-2.sav'
 /BY xhhkey.
EXECUTE.

COMPUTE Adult_T = (Adult_tot/xhhsize)*100  .
COMPUTE AdultU= (Adult_U/xhhsize) *100  .
COMPUTE AdultO= (Adult_Ou/xhhsize) *100  .
COMPUTE AdultR= (Adult_R/xhhsize)*100 .
EXECUTE .

VARIABLE LABELS Adult_T 'Total' .
VARIABLE LABELS AdultU 'Center Urban' .
VARIABLE LABELS AdultO 'Other Urban' .
VARIABLE LABELS AdultR 'Rural' .
EXECUTE .

SAVE OUTFILE='C:\IHSES_TABLES\T5\temp_HH_5-1.sav'  /COMPRESSED.


WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=xhhsize strat3 AdultU AdultO AdultR Adult_T Employ_status Sector Act13 Occupa_gr
    DISPLAY=DEFAULT
  /TABLE Employ_status + Sector + Act13 + Occupa_gr BY xhhsize [MEAN F40.1] > strat3 + AdultU [MEAN F40.1] + AdultO [MEAN
  F40.1] + AdultR [MEAN F40.1] + Adult_T [MEAN F40.1]
  /CATEGORIES VARIABLES=strat3 Employ_status Sector Act13 Occupa_gr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-2:  Averge housholds size and proporation of adults by economic activity characteristics of head of'+
 ' houshold'.

WEIGHT
  OFF.

************************************************************************************************************************************************
**    Table 5-3:  Economic activity and unemployment rate for persons 15 years or older by charactristics of persons
**
**	Variables needed: 
**		(1) Age
**		(2) Education
**		(3) Economic Activity (Agriculture and fishing, Mining, Manufacturing, etc.)	
**		(4) Occupation (Legislators & senior officials & managers, Professionals, etc.)
**		(5) Sex
**		(6) Economic activity rate
**		(7) Unemployment rate
**		 


***********************************************************************************************************************************************		
**  STEP 1 : We Recode Variable Q0103 
**
**********************************************************************************************************************************************

GET
  FILE='C:\IHSES_TABLES\T5\Individuals_jobs.sav'.

RECODE
      Q0103
      (0 thru 4 = 1)(5 thru 9 = 2)(10 thru 14 = 3)(15 thru 19 = 4)(20 thru 24 = 5)(25 thru 29 = 6)
      (30 thru 34 = 7)(35 thru 39 = 8)(40 thru 44 = 9)(45 thru 49 = 10)(50 thru 54 = 11) (55 thru 59 = 12) (60 thru 64 = 13) 
      (65 thru Highest = 14) INTO AgeGrps .
VARIABLE LABELS AgeGrps 'Age groups' .
VALUE LABELS AgeGrps
 1 '0- 4' 
 2 '5- 9' 
 3'10-14'
 4'15-19'
 5'20- 24' 
 6'25- 29' 
 7'30- 34'
 8'35- 39'
 9'40- 44' 
 10'45- 49'
 11'50- 54'
 12'55- 59'
 13'60- 64'
 14'65 and more'.
EXECUTE .

VARIABLE LEVEL AgeGrps  (NOMINAL).

******************************************************************************************************************************************
**   STEP 2 : Recode variable (Q0406)
**                 
******************************************************************************************************************************************

RECODE
  q0406
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (8=7) (9=8) (6 thru 7=6) (10 thru 12=9) (13=10)   INTO  new_406 .
EXECUTE .

VALUE LABELS new_406 
 1'illetrate' 
 2'Read only'
 3'Read and Write' 
 4'Primary' 
 5'Intermediate' 
 6'Secondary or equivalent' 
 7'Technical diploma' 
 8'Bachelors degree' 
 9'Higher than bachelors degree'
 10'Other'  
EXECUTE .

  FREQUENCIES VARIABLES=new_406  / ORDER= ANALYSIS.

******************************************************************************************************************************************
**   STEP 3 : Create variable "Education Status" if:
**                  a) Q0402=1 ,We calculate the education from the variable (new_406) , and if
**                  b) Q0402=2 ,We calculate the education from the variable (Q0410) , and if
**                  c) Q0402=3 ,We calculate the education from the variable (Q0404)

********************************************************************************************************************************************

IF  (Q0402=1 )EducGrp= new_406 .

IF  (Q0402=2 & Q0410L=1&Q0410C=1) EducGrp=1.
IF  (Q0402=2 & Q0410L=1&Q0410C=2 | Q0410C=3 ) EducGrp=2.
IF  (Q0402=2 & Q0410L=1&Q0410C=4 | Q0410C=5 | Q0410C=6) EducGrp=3.

IF  (Q0402=2 & Q0410L=2) EducGrp=4.
IF  (Q0402=2 & Q0410L=3) EducGrp=5.
IF  (Q0402=2 & Q0410L=4) EducGrp=6.
IF  (Q0402=2 & Q0410L=5) EducGrp=6.
IF  (Q0402=2 & Q0410L=6) EducGrp=8.
IF  (Q0402=2 & Q0410L=7) EducGrp=10.

IF (Q0402=3 & Q0404=1) EducGrp=1.
IF (Q0402=3 & Q0404=2) EducGrp=2.
IF (Q0402=3 & Q0404=3) EducGrp=3.
IF ( (  MISSING (Q0402  )  & q0103<15) ) EducGrp = 12 .
IF MISSING (EducGrp)  EducGrp=11

RECODE
  EducGrp
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7) (8=8) (9 =9) (10=10) (11=11) (12=12)  INTO  EducGrp .
VARIABLE LABLES EducGrp 'Education status'.
VALUE LABELS EducGrp
 1'illetrate' 
 2'Read only'
 3'Read and Write' 
 4'Primary' 
 5'Intermediate' 
 6'Secondary or equivalent' 
 7'Technical diploma' 
 8'Bachelors degree' 
 9'Higher than bachelors degree'
 10'Other'  
 12'Less than 15 Yrs old'
 11'Unknown'.
EXECUTE .

DO IF (q0103 <= 15) .
RECODE
  EducGrp  (6 thru 8=11)  .
END IF .
EXECUTE .

VARIABLE LEVEL EducGrp (NOMINAL).
  FREQUENCIES VARIABLES=EducGrp  / ORDER= ANALYSIS.

****************************************************************************************************************************************
**   STEP 4: We recode variable "EducGrp" to merge " read / read & write" in one catogarie
**                 
****************************************************************************************************************************************

RECODE
  EducGrp
  (1=1)  (4=3)  (5=4) (6 =5) (7 =6) (8=7)  (9=8)  (10=9) (11 =10) (2 thru 3=2) (12 =11)   INTO  EducGrp9 .
VARIABLE LABELS EducGrp9.
EXECUTE .

VALUE LABELS EducGrp9
 1'illitrate' 
 2 'read or read & write' 
 3'Primary' 
 4'Intermediate' 
 5'Secondary or equivalent '
 6'Technical Diploma' 
 7'Bachelors degree' 
 8'Higher than bachelors degree'
 9'Other' 
11'Less than 15 Yrs old'
10'Unknown'.
EXECUTE .

VARIABLE LEVEL EducGrp9 (NOMINAL).

  FREQUENCIES VARIABLES=EducGrp9  / ORDER= ANALYSIS.

******************************************************************************************************************************************
**   STEP 5 : Create variable "Unemployment Rate" 
**                  a) We recode the variabls (unemployment,Econ_active) from system missing, and then
**                  b) We calculate Unemploy_Rate according to the equation ===> (Unemployed / Econ_active) * 100 
**                  C) And then recode the new variable from sistym missing
**                  
********************************************************************************************************************************************

RECODE
  Working  (SYSMIS=0)  .
EXECUTE .

RECODE
  Unemployed  (SYSMIS=0)  .
EXECUTE .
 
RECODE
  Econ_active  (SYSMIS=0)  .
EXECUTE .

COMPUTE Unemploy_Rate = (Unemployed / Econ_active) * 100 .
VARIABLE LABELS Unemploy_Rate 'Unemployment Rate' .
EXECUTE .


******************************************************************************************************************************************
**   STEP 6 : Create variable "Economic Activity Rate" 
**                  a) Create new variable Total population ===> (Econ_active+NotEc_activ) ,and then
**                  b) We calculate Unemploy_Rate according to the equation ==> (Econ_active / Total population ) * 100 
**                  
*******************************************************************************************************************************************

COMPUTE TOT_POP = SUM(Econ_active,NotEc_activ) .
VARIABLE LABELS TOT_POP 'Economic Activity population' .
EXECUTE .

COMPUTE Ec_Act_Rate = (Econ_active/TOT_POP )*100 .
VARIABLE LABELS Ec_Act_Rate  'Eonomic Activity Rate'.
EXECUTE .

*************************************************************************************************************************************
**                          +++++ We selct only those aged 15 years and more +++++
**
*************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103  >= 15).
VARIABLE LABEL filter_$ 'q0103  >= 15 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
 
WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Unemploy_Rate q0102 Ec_Act_Rate AgeGrps EducGrp9 DISPLAY=DEFAULT
  /TABLE AgeGrps + EducGrp9 BY Unemploy_Rate [MEAN F40.1] > q0102 + Ec_Act_Rate [MEAN F40.1] > q0102
  /CATEGORIES VARIABLES=q0102 AgeGrps EducGrp9 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-3:  Economic activity rate and unemployment rate for persons 15 years or older by charactristics of'+
 ' persons'.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

**************************************************************************************************************************************************
**    Table 5-4:  Economic activity and unemployment rate for persons 15 years or older by household characterist 
**
**	Variables needed: 
**		(1) XGOV
**		(2) Strat2
**		(3) Per capita Expenduture
**		(4) Household Size
**		(5) Economic activity rate
**		(6) Unemployment rate
**		(6) q0102
**		 
****************************************************************************************************************************************************		
**  STEP 1 : Get file Expenditure and merge it withe file Individuals_jobs 

****************************************************************************************************************************************************

GET
  FILE='C:\IHSES_TABLES\Originals\All expenditure by subgroup.sav'.

SORT CASES BY
  xhhkey (A) .

COMPUTE Check = xhhkey .
EXECUTE .

SAVE OUTFILE='C:\IHSES_TABLES\Originals\All expenditure by subgroup.sav'  /COMPRESSED.

GET
  FILE='C:\IHSES_TABLES\T5\Individuals_jobs.sav'.

SORT CASES BY
  xhhkey (A) .

MATCH FILES /FILE=*
 /TABLE='C:\IHSES_TABLES\Originals\All expenditure by subgroup.sav'
 /BY xhhkey.
EXECUTE.

COMPUTE CheckHH = xhhkey - check .
EXECUTE .

FREQUENCIES   VARIABLES=CheckHH   /ORDER=  ANALYSIS .
SAVE OUTFILE='C:\IHSES_TABLES\T5\Individuals_jobs.sav'  /COMPRESSED.

**********************************************************************************************************************************************		
**  STEP 2 : We Create new variables "Regien"
**
**********************************************************************************************************************************************

RECODE
  xgov
  (11=1)  (13=1)  (15=1)  (23=2)  (ELSE=3)  INTO  Region .
EXECUTE .

VALUE LABELS Region
  1'Kurdistan'
  2 'Baghdad'
  3'Other Governorates'.
 EXECUTE . 

RECODE
  xhhsize
  (3=2)  (4=3)  (5=4)  (6=5)  (7=6)  (8=7)  (9=8)  (10=9)  (1 thru 2=1)  (11 thru 12=10) (13 thru Highest=11)   INTO  SIZEGR .
EXECUTE .

VALUE LABELS SIZEGR
 1'1-2'
 2'3' 
 3'4'
 4'5' 
 5'6' 
 6'7' 
 7'8' 
 8'9'
 9'10' 
 10'11-12' 
 11'13 & more'.
EXECUTE .


*************************************************************************************************************************************
**                    ++++++ To transfer the variable from scale to nominal  +++++++
**
*************************************************************************************************************************************

VARIABLE LEVEL strat3 PCExpGr SIZEGR Region (NOMINAL).

***************************************************************************************************************************************
**                             +++++ We selct only those aged 15 years and more +++++
**
***************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103  >= 15).
VARIABLE LABEL filter_$ 'q0103  >= 15 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Unemploy_Rate q0102 Ec_Act_Rate xgov Region strat3 PCExpGr SIZEGR
    DISPLAY=DEFAULT
  /TABLE xgov + Region [C] + strat3 [C] + PCExpGr [C] + SIZEGR [C] BY Unemploy_Rate [MEAN F40.1] > q0102 + Ec_Act_Rate [MEAN F40.1] > q0102
  /CATEGORIES VARIABLES=q0102 xgov Region strat3 PCExpGr SIZEGR ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-4:  Economic activity and unemployment rate for persons 15 years or older by household characterist '.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

****************************************************************************************************************************
**    Table 5-5:  Economic activity rate for children 6-14 years old by HH characteristics 
**
**	Variables needed: 
**		(1) Age	
**	            (2) XGOV
**		(3) Strat3 , Strat2
**		(4) per capita expenditure
**		(5) Household Size
**		(6) Sex
**		 
*****************************************************************************************************************************		
**  STEP 1 : Recode the variable q0103 & xstrat

*****************************************************************************************************************************

RECODE
  XSTRAT
  (1=2)  (2 thru 5=1)  INTO  strat2.
EXECUTE .

VALUE LABELS strat2 1'Urban' 2'Rural' .
EXECUTE .

VARIABLE LEVELS strat2 (Nominal).

RECODE
  Q0103
  (10=4)  (11=5)  (12=6)  (13=7)  (14=8)  (6 thru 7=2)  (8 thru 9=3)  (Lowest thru 5=1)  (15 thru Highest=9)  INTO  Age_Ch .
VARIABLE LABELS Age_Ch  'Age Child ( 6-14 ) Year'.
EXECUTE .

VALUE LABELS Age_Ch  1'Less than 5'  2 '6-7'  3'8-9' 4'10'  5'11'  6 '12'  7 '13'  8 '14'  9'15 and more' .
EXECUTE .

VARIABLE LEVEL Age_Ch  (NOMINAL).


IF (q0103 >= 6 & q0103 <= 14 & Working = 1) child_w = 1 .
EXECUTE .

IF (q0103 >= 6 & q0103 <= 14) child_Tot = 1 .
EXECUTE .

COMPUTE WChi = child_w / child_Tot * 100 .
EXECUTE .

RECODE
  WChi  (SYSMIS=0)  .
EXECUTE .


*****************************************************************************************************************************
**                               +++++  Choose age children (6-14) years  +++++
**
*****************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 6 & q0103 <= 14).
VARIABLE LABEL filter_$ 'q0103 >= 6 & q0103 <= 14 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=WChi Strat2 q0102 Age_Ch xgov Region strat3 PCExpGr SIZEGR
    DISPLAY=DEFAULT
  /TABLE Age_Ch + xgov + Region + strat3 + PCExpGr + SIZEGR [C] BY WChi [MEAN] > Strat2 > q0102
  /CATEGORIES VARIABLES=Strat2 q0102 Age_Ch xgov Region strat3 PCExpGr SIZEGR ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-5:  Economic activity rate for children 6-14 years old by HH characteristics '.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

******************************************************************************************************************************
**    Table 5-6:  Weekly working hours for working persons 10 years or older (% persons)
**
**	Variables needed: 
**		(1) Age	
**	            (2) XGOV
**		(3) Strat3
**		(4) Sex
**		(5) Q1314
**		 
*******************************************************************************************************************************		
**  STEP 1 : Recode the variable q0103

*******************************************************************************************************************************

RECODE
  Q0103
  (0 thru 9=1)  (10 thru 14=2)  (15 thru 19=3)  (20 thru 29=4)  (30 thru 39=5)  (40 thru 59=6)  (60 thru Highest=7)  INTO
  AgeTotal .
VARIABLE LABELS AgeTotal 'Age Total (10-60 &more )'.
EXECUTE .
VALUE LABELS AgeTotal 1'0-9'  2 '10-14'  3'15-19' 4'20-29'  5'30-39'  6 '40-59' 7 '60 and more' .
EXECUTE .

VARIABLE LEVEL AgeTotal  (NOMINAL).

DO IF (Q0102 = 1) .
RECODE
  Q0103
  (0 thru 9=1)  (10 thru 14=2)  (15 thru 19=3)  (20 thru 29=4)  (30 thru 39=5)  (40 thru 59=6)  (60 thru Highest=7)  INTO
  AgeMale .
END IF .
EXECUTE .
VARIABLE LABELS AgeMale 'Age Male (10-60 &more )'.
EXECUTE .
VALUE LABELS AgeMale 1'0-9'  2 '10-14'  3'15-19' 4'20-29'  5'30-39'  6 '40-59' 7 '60 and more' .
EXECUTE .

VARIABLE LEVEL AgeMale  (NOMINAL).

DO IF (Q0102 = 2) .
RECODE
  Q0103
  (0 thru 9=1)  (10 thru 14=2)  (15 thru 19=3)  (20 thru 29=4)  (30 thru 39=5)  (40 thru 59=6)  (60 thru Highest=7)  INTO
  AgeFemale .
END IF .
EXECUTE .
VARIABLE LABELS AgeFemale 'Age Female (10-60 &more )'.
EXECUTE .
VALUE LABELS AgeFemale 1'0-9'  2 '10-14'  3'15-19' 4'20-29'  5'30-39'  6 '40-59' 7 '60 and more' .
EXECUTE .

VARIABLE LEVEL AgeFemale  (NOMINAL).


*******************************************************************************************************************************		
**  STEP 2 : Recode the variable Q1314 

*******************************************************************************************************************************

RECODE
  Q1314
  (Lowest thru 20=1)  (20 thru 29=2)  (30 thru 34=3)  (35 thru 39=4)  (40 thru 49=5)  (50 thru 69=6)  (70 thru 89=7)  (90
  thru Highest=8)  INTO  WWHours .
VARIABLE LABELS WWHours 'Weekly Working Hours'.
EXECUTE .

VALUE LABELS WWHours 1'Less than 20'  2 '20-29'  3'30-34' 4'35-39'  5'40-49' 6 '50-69' 7 '70-89' 8 '90 and more'.
EXECUTE .

VARIABLE LEVEL WWHours  (NOMINAL).

RECODE
  xgov
  (11=1)  (13=1)  (15=1)  (23=2)  (ELSE=3)  INTO  Region .
EXECUTE .

VALUE LABELS Region
  1'Kurdistan'
  2 'Baghdad'
  3'Other Governorates'.
 EXECUTE . 
VARIABLE LEVEL Region  (NOMINAL).


********************************************************************************************************************************
**                               +++++ We  select age from 10 years old and over +++++
**
********************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


WEIGHT
  BY weight .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=WWHours q1314 AgeMale AgeFemale AgeTotal xgov strat3
    DISPLAY=DEFAULT
  /TABLE AgeMale + AgeFemale + AgeTotal + xgov + Region [C]+ strat3 BY WWHours [ROWPCT.COUNT F40.1] + q1314 [MEAN F40.1]
  /CATEGORIES VARIABLES=WWHours AgeMale AgeFemale AgeTotal xgov strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-6 : Weekly Working Hours for working persons 10 years  or older (% persons )'.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.


****************************************************************************************************************************
**    Table 5-7: Main reason for not working for even one hour for persons 10 years or older (%)
**
**	Variables needed: 
**		(1) Age	
**	            (2) XGOV
**		(3) Strat3
**		(4) Sex
**		(5) Q0702
**		 
*****************************************************************************************************************************		
**  STEP 1 : Recode the variable q702

*****************************************************************************************************************************

COMPUTE new_702 = q0702 .
EXECUTE .

RECODE
  new_702  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7)  (8=8)  (9=9)  (10=10)  (11=11)  (12=12)  (13=13)  (14=14) (0=14) .
EXECUTE .

VALUE LABELS new_702  
  1'too young'
  2 'full time student' 
  3'social reasons' 
  4 'hasbcontract & will start noon' 
  5'disabled' 
  6'retired'
  7 'housewife'
  8 'Not interested'
  9'Temporarily absent from job' 
  10 'work completed'
  11 'was fired'
  12 'could not get a job'
  13 'due to security situation'
  14'Other'.
EXECUTE .

VARIABLE LEVEL new_702  (NOMINAL).

DO IF (q0103 >= 40 & q0103 <= 59) .
RECODE
  new_702  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7)  (8=8)  (9=9)  (10=10)  (11=11)  (12=12)  (13=13)  (14=14)  (1=14)  .
END IF .
EXECUTE .


********************************************************************************************************************
**                        +++++ We  select age from 10 years old and over +++++
**
********************************************************************************************************************


USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=new_702  AgeMale AgeFemale AgeTotal XGOV  Region strat3 DISPLAY=DEFAULT
  /TABLE AgeMale [C][ROWPCT.COUNT F40.1] + AgeFemale [C][ROWPCT.COUNT F40.1] + AgeTotal [C][ROWPCT.COUNT F40.1] + XGOV
  [C][ROWPCT.COUNT F40.1] + Region [C][ROWPCT.COUNT F40.1] + strat3 [C][ROWPCT.COUNT F40.1] BY new_702  [C]
  /CATEGORIES VARIABLES=new_702  AgeMale AgeFemale AgeTotal XGOV Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-7 : Main reason for not working for even one hour for persons 10 years or older (%)'.


FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

**********************************************************************************************************************************
**    Table 5-8 :   Main reason for not working for not wanting to work or doing more work for persons 
**                        10 years or older (% persons )
**	Variables needed: 
**		(1) Age	
**	            (2) Sex
**	            (2) XGOV
**		(3) Strat3
**		(5) Q0704
**		 
**********************************************************************************************************************************		
**  STEP 1 : Recode the variable Q0704 

**********************************************************************************************************************************

RECODE
  Q0704
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (8=7)  (9=8)  (10=9)  (11=10)  (12=11)  (6 thru 7=6) (0=11)  INTO  new_704 .

EXECUTE .
VALUE LABELS new_704 
 1'Work full time in current job'
 2 'Discouraged, cannot get job'
 3'Satisfied with current work situation'
 4'Engaged in domestic work full time'
 5'Social restrictions'
 6'Too young or too old to work/ retired'
 7'Student'
 8'Too sick or unable to work'
 9'Has income & dose not need to work'
 10'Too risky due to security situation'
 11'Others'.
EXECUTE .

********************************************************************************************************************************
**                      ++++++ We  select age from 10 years old and over ++++++
**
********************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=new_704 AgeGrps q0102 xgov Region strat3 DISPLAY=DEFAULT
  /TABLE AgeGrps [ROWPCT.COUNT F40.1] + q0102 [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat3 [ROWPCT.COUNT F40.1]
  BY new_704 [C]
  /CATEGORIES VARIABLES=new_704 AgeGrps q0102 xgov Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-8 : Main reason for not wanting to work or doing more work for persons 10 years or older (% persons)'.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0704 AgeGrps q0102 xgov Region strat3 DISPLAY=DEFAULT
  /TABLE AgeGrps [ROWPCT.COUNT F40.1] + q0102 [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat3 [ROWPCT.COUNT F40.1]
  BY q0704 [C]
  /CATEGORIES VARIABLES=q0704 AgeGrps q0102 xgov Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-8 : Main reason for not wanting to work or doing more work for persons 10 years or older (% persons)'.


FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

****************************************************************************************************************************
**    Table 5-9 :  Last time action taken to look for work for persons who want to work or do more 
**                               work  (%)
**	Variables needed: 
**		(1) Age	
**	            (2) Sex
**	            (2) XGOV
**		(3) Strat3
**		(5) Q0705
**		 
*****************************************************************************************************************************

RECODE
  q0705  (0=SYSMIS) .
EXECUTE .

*****************************************************************************************************************************
**                      ++++++ We  select age from 10 years old and over ++++++
**
*****************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Q0705 AgeMale AgeFemale AgeTotal XGOV Region strat3 DISPLAY=DEFAULT
  /TABLE AgeMale [C][ROWPCT.COUNT F40.1] + AgeFemale [C][ROWPCT.COUNT F40.1] + AgeTotal [C][ROWPCT.COUNT F40.1] + XGOV
  [C][ROWPCT.COUNT F40.1] + Region [C][ROWPCT.COUNT F40.1] + strat3 [C][ROWPCT.COUNT F40.1] BY Q0705 [C]
  /CATEGORIES VARIABLES=Q0705 AgeMale AgeFemale AgeTotal XGOV Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-9 : Last time action taken to look for work for persons who want to work or do more work (%)'.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

*******************************************************************************************************************************
**    Table 5-10 : First Action taken to look get work for persons who want to work or do more work (%)
**	               
**               Variables needed: 
**		(1) Age	
**	            (2) Sex
**	            (2) XGOV
**		(3) Strat3
**		(5) Q0706f
**		 
********************************************************************************************************************************		
**  STEP 1 : Recode the variable Q0706f 

********************************************************************************************************************************

RECODE
  q0706f
  (SYSMIS=0)  (1 thru 9=1)  INTO  new_706f .
EXECUTE .

VARIABLE LEVEL new_706f   (NOMINAL).

******************************************************************************************************************************
**                    ++++++ We  select age from 10 years old and over ++++++
**
******************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


WEIGHT
  BY weight .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0706f new_706f AgeMale AgeFemale AgeTotal xgov Region strat3
    DISPLAY=DEFAULT
  /TABLE AgeMale [ROWPCT.COUNT F40.1] + AgeFemale [ROWPCT.COUNT F40.1] + AgeTotal [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT
  F40.1] + Region [ROWPCT.COUNT  F40.1] + strat3 [ROWPCT.COUNT F40.1] BY q0706f + new_706f [C]
  /CATEGORIES VARIABLES=q0706f AgeMale AgeFemale AgeTotal xgov Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /CATEGORIES VARIABLES=new_706f ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-10 : First Action taken to look get work for persons who want to work or do more work (%)'.


FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

************************************************************************************************************************************
**    Table 5-11 :  Second Action taken to look get work for persons who want to work or do more work (%)
**                         
**               Variables needed: 
**		(1) Age	
**	            (2) Sex
**	            (2) XGOV
**		(3) Strat3
**		(5) Q0706s
**		 
************************************************************************************************************************************		
**  STEP 1 : Recode the variable Q0706s 

************************************************************************************************************************************

RECODE
  q0706s
  (SYSMIS=0)  (1 thru 9=1)  INTO  new_706s .
EXECUTE .

VARIABLE LEVEL new_706s   (NOMINAL).

******************************************************************************************************************************
**                    ++++++ We  select age from 10 years old and over ++++++
**
******************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0706s new_706f AgeMale AgeFemale AgeTotal xgov Region strat3
    DISPLAY=DEFAULT
  /TABLE AgeMale [ROWPCT.COUNT F40.1] + AgeFemale [ROWPCT.COUNT F40.1] + AgeTotal [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT
  F40.1] + Region [ROWPCT.COUNT F40.1] + strat3 [ROWPCT.COUNT F40.1] BY q0706s + new_706s [C]
  /CATEGORIES VARIABLES=q0706s AgeMale AgeFemale AgeTotal xgov Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /CATEGORIES VARIABLES=new_706s ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-11 :  Second Action taken to look get work for persons who want to work or do more work (%)'.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

************************************************************************************************************************************
**    Table 5-12 : Thered Action taken to look get work for persons who want to work or do more work (%) 
**                         
**               Variables needed: 
**		(1) Age	
**	            (2) Sex
**	            (2) XGOV
**		(3) Strat3
**		(5) Q0706t
**		 
************************************************************************************************************************************		
**  STEP 1 : Recode the variable Q0706t 

************************************************************************************************************************************

RECODE
  q0706t
  (SYSMIS=0)  (1 thru 9=1)  INTO  new_706t .
EXECUTE .

VARIABLE LEVEL new_706t (NOMINAL).

******************************************************************************************************************************
**                    ++++++ We  select age from 10 years old and over ++++++
**
******************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0706t new_706t AgeMale AgeFemale AgeTotal xgov Region strat3
    DISPLAY=DEFAULT
  /TABLE AgeMale [ROWPCT.COUNT F40.1] + AgeFemale [ROWPCT.COUNT F40.1] + AgeTotal [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT
  F40.1] + Region [ROWPCT.COUNT  F40.1] + strat3 [ROWPCT.COUNT F40.1] BY q0706t + new_706t [C]
  /CATEGORIES VARIABLES=q0706t AgeMale AgeFemale AgeTotal xgov Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /CATEGORIES VARIABLES=new_706t ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-12: Thered Action taken to look get work for persons who want to work or do more work (%)'.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

*****************************************************************************************************************
**    Table 5-13 :     Occupation in current work or previous work (%)
**
**	Variables needed: 
**		(1) Age	
**	            (2) Sex
**	            (2) XGOV
**		(3) Strat3
**		(5) Q0709
**		 
*****************************************************************************************************************
** STEP 1:  Create variable "Occupation in current work":
**			1. Legislators & senior officials & managers	
**			2. Professionals	
**			3. Technicians & associate professionals	
**			4. Clerks	
**			5. Services and sales workers	
**			6. skilled agriculture & fishery workers	
**			7. Craft & related trade workers	
**			8. Plant & machine operators& assembl.	
**			9. Elementary occupations	
**		          
******************************************************************************************************************

COMPUTE Occ_Cu = TRUNC(Q0709/1000) .
IF (Occ_Cu > 0) Occ_Cu_gr = Occ_Cu   .
IF (Occ_Cu = 0) Occ_Cu_gr = 9 .
IF (q0708 = 1 & MISSING(Occ_Cu_gr)) Occ_Cu_gr  = 10 .
EXECUTE .

VARIABLE LABELS Occ_Cu   'Current Occupation' .
VARIABLE LABELS Occ_Cu_gr 'Current Occupation group' .
EXECUTE .

VALUE LABELS Occ_Cu_gr 
  1'Lagislatores and senior officials & mangers'
  2 'Professionals'
  3'Technicians & associate profess'
  4'Clerks'
  5'Services and sales workers'
  6'Skilled agriculture & fishery workers'
  7'Craft & related trade workers'
  8'Plant machine operatores & assemblers'
  9'Elementary Occupation'
  10' Not sepicified'.
EXECUTE . 

FREQUENCIES   VARIABLES=Occ_Cu_gr  /ORDER=  ANALYSIS .
SAVE OUTFILE='C:\IHSES_TABLES\T5\Individuals_jobs.sav'.

DO IF (q0103 >= 15 & q0103 <= 19) .
RECODE
  Occ_Cu_gr  (1=10)  .
END IF .
EXECUTE .

DO IF (q0103 >= 0 & q0103 <= 19) .
RECODE
  Occ_Cu_gr  (2=10) .
END IF .
EXECUTE .

DO IF (q0103 >= 10 & q0103 <= 14) .
RECODE
  Occ_Cu_gr  (3=10)  .
END IF .
EXECUTE .

FREQUENCIES   VARIABLES=Occ_Cu_gr  /ORDER=  ANALYSIS .
SAVE OUTFILE='C:\IHSES_TABLES\T5\Individuals_jobs.sav'.

**************************************************************************************************************
**                   ++++++ We  select age from 10 years old and over ++++++
**
**************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Occ_Cu_gr  AgeMale AgeFemale AgeTotal XGOV Region strat3 DISPLAY=DEFAULT
  /TABLE AgeMale [C][ROWPCT.COUNT F40.1] + AgeFemale [C][ROWPCT.COUNT F40.1] + AgeTotal [C][ROWPCT.COUNT F40.1] + XGOV
  [C][ROWPCT.COUNT F40.1] + Region [C][ROWPCT.COUNT F40.1] + strat3 [C][ROWPCT.COUNT F40.1] BY Occ_Cu_gr  [C]
  /CATEGORIES VARIABLES=Occ_Cu_gr  AgeMale AgeFemale AgeTotal XGOV Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-13 : Occupation in current work or previous work (%)'.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

*******************************************************************************************************************
**    Table 5-14 :     Date of doing last full time job (%)
**
**	Variables needed: 
**		(1) Age	
**	            (2) Sex 
**	            (2) XGOV
**		(3) Strat3
**		(5) Q0710
**		 
**********************************************************************************************************************
**  STEP 1 : Create new variable " Date of doing last full time job " :
**                  We transfer the thered visit which contain the variables (q0037m,q0037y)
**                   to months , and also the variables (q0710_m,q0710_y), and then minus the new first 
**                   variable from the second
**
***********************************************************************************************************************

COMPUTE Thered_V = (((q0037m ) + (q0037y * 12)))-1900.
COMPUTE New_710 = ((((q0710_m) + (q0710_y * 12))))-1900.
EXECUTE .
COMPUTE Last_DJ = TRUNC( Thered_V -New_710) .
EXECUTE .


***********************************************************************************************************************
**  STEP 2 : Recode the variable "Last_DJ" from (-4,-5,-6,-7), and then make Group
**               
***********************************************************************************************************************

RECODE
  Last_DJ  (-4=SYSMIS)  (-5=SYSMIS)  (-6=SYSMIS)  (-7=SYSMIS)  .
EXECUTE .

RECODE
  Last_DJ
  (Lowest thru 5=1)  (6 thru 11=2)  (12 thru 23=3)  (24 thru 35=4)  (36 thru 47=5)  (48 thru 59=6)  (60 thru 83=7)  (84 thru
  110=8)  (111 thru 170=9)  (171 thru Highest=10)  INTO  LastT_Grp .
EXECUTE .

VALUE LABELS LastT_Grp 
  1'Less than 6 monthes'
  2 '6 monthes-Less than 1 years'
  3'1 year-less than 2 years'
  4'2 years-less than 3 years' 
  5'3 years-less than 4 years'
  6'4 years-less than 5 years'
  7'5 years-less than 7 years'
  8'7 years-less than 10 years'
  9'10 years-less than 15 years'
  10'15 years or more'

EXECUTE . 

VARIABLE LEVEL LastT_Grp  (NOMINAL).

***********************************************************************************************************************
**                    ++++++ We  select age from 10 years old and over ++++++
**
***********************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=LastT_Grp AgeMale AgeFemale AgeTotal xgov Region strat3 DISPLAY=DEFAULT
  /TABLE AgeMale [ROWPCT.COUNT F40.1] + AgeFemale [ROWPCT.COUNT F40.1] + AgeTotal [C][ROWPCT.COUNT F40.1] + xgov
  [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat3 [ROWPCT.COUNT F40.1] BY LastT_Grp
  /CATEGORIES VARIABLES=LastT_Grp AgeMale AgeFemale AgeTotal xgov Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-14 :  Date of doing last full time job (%)'.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

*****************************************************************************************************************
**    Table 5-15 :    Occupation for all jobs during past 12 months
**
**	Variables needed: 
**		(1) Age	
**	            (2) Sex 
**	            (2) XGOV
**		(3) Strat3
**		(5) Q1201
**		 
*****************************************************************************************************************
** STEP 1:  Create variable "Occupation for all jobs" :
**			1. Legislators & senior officials & managers	
**			2. Professionals	
**			3. Technicians & associate professionals	
**			4. Clerks	
**			5. Services and sales workers	
**			6. skilled agriculture & fishery workers	
**			7. Craft & related trade workers	
**			8. Plant& machine operators& assembl.	
**			9. Elementary occupations	
**		          
*****************************************************************************************************************

RECODE
  Occupa_gr
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7)  (8=8)  (9=9)  (11=SYSMIS)  (12=SYSMIS)  (ELSE=10)  INTO  Occupa_grp .
EXECUTE .

VALUE LABELS Occupa_grp 
  1'Lagislatores and senior officials & mangers'
  2 'Professionals'
  3'Technicians & associate profess'
  4'Clerks' 
  5'Services and sales workers'
  6'Skilled agriculture & fishery workers'
  7'Craft & related trade workers'
  8'Plant machine operatores & assemblers'
  9'Elementary Occupation'
10'Unknown Occupations'.
EXECUTE . 

VARIABLE LEVEL Occupa_grp  (NOMINAL).

VARIABLE LEVEL Occupa_grp  (NOMINAL).
FREQUENCIES   VARIABLES=Occupa_grp  /ORDER=  ANALYSIS .

DO IF (q0103 >= 15 & q0103 <= 19) .
RECODE
  Occupa_grp  (1=10)  .
END IF .
EXECUTE .

DO IF (q0103 >= 0 & q0103 <= 19) .
RECODE
  Occupa_grp  (2=10)  .
END IF .
EXECUTE .

DO IF (q0103 >= 10 & q0103 <= 14) .
RECODE
  Occupa_grp  (3=10)  .
END IF .
EXECUTE .

VARIABLE LEVEL Occupa_grp  (NOMINAL).
FREQUENCIES   VARIABLES=Occupa_grp  /ORDER=  ANALYSIS .

********************************************************************************************************************
**               ++++++ We  select age from 10 years old and over +++++++
**
********************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Occupa_grp AgeMale AgeFemale AgeTotal xgov Region strat3
    DISPLAY=DEFAULT
  /TABLE AgeMale [ROWPCT.COUNT F40.1] + AgeFemale [ROWPCT.COUNT F40.1] + AgeTotal [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT
  F40.1] + Region [ROWPCT.COUNT F40.1] + strat3 [ROWPCT.COUNT F40.1] BY Occupa_grp
  /CATEGORIES VARIABLES=Occupa_grp AgeMale AgeFemale AgeTotal xgov Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-15 : Occupation for all jobs during past 12 months (% persons )'.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

*****************************************************************************************************************
**    Table 5-16 :    Number of jobs during past 12 months (% persons )
**
**	Variables needed: 
**		(1) Age	
**	            (2) Sex 
**	            (2) XGOV
**		(3) Strat3
**		(5) Q1200_SN
**		 
*****************************************************************************************************************
** STEP 1:  Create variable "Number of jobs":
**			
*****************************************************************************************************************

IF (q1200_sn = 1) Num_jobs = 1 .
IF (q1200_sn = 2) Num_jobs = 2 .
IF (q1200_sn = 3 | q1200_sn = 4) Num_jobs = 3 .
VARIABLE LABELS Num_jobs 'Number of jobs' .
EXECUTE .

VALUE LABELS Num_jobs  1 ' 1'  2 '2' 3'3 & more' .
EXECUTE .

******************************************************************************************************************
**               ++++++ We  select age from 10 years old and over ++++++
**
******************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Num_jobs  AgeMale AgeFemale AgeTotal XGOV Region strat3 DISPLAY=DEFAULT
  /TABLE AgeMale [C][ROWPCT.COUNT F40.1] + AgeFemale [C][ROWPCT.COUNT F40.1] + AgeTotal [C][ROWPCT.COUNT F40.1] + XGOV
  [C][ROWPCT.COUNT F40.1] + Region [C][ROWPCT.COUNT F40.1] + strat3 [C][ROWPCT.COUNT F40.1] BY Num_jobs 
  /CATEGORIES VARIABLES=Num_jobs  AgeMale AgeFemale AgeTotal XGOV Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-16 : Number of jobs during past 12 months (% persons )'.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

*****************************************************************************************************************
**    Table 5-17 :    Type of job during past 12 months (% persons )
**
**	Variables needed: 
**		(1) Age	
**	            (2) Sex 
**	            (2) XGOV
**		(3) Strat3
**		(5) Type of job
**		 
*****************************************************************************************************************
** STEP 1:  Create variable "None wage job" 
**			1  'Agriculture & Hunting,Fishing' 
 **			2  'Mining' 
 **			3  'Manufacturing industry' 
 **			4 'Electricity, gas ,water'
 **			5  'Building and construction' 
 **			6  'Wholesale & Retail Trade, repair of motor vehicles '
**			 7  'Trade,Resturant &Hotels'
**			 8  'Transportation &Communications'
*			 9'Real estate , renting and business activities,Finance  intermediation'
**			 10'Public administration and defence ; compulsory'
**			 11'Education'
**			 12'Health and Social Work'
**			 13'Other service economic '
**
*****************************************************************************************************************

RECODE
  Act13
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7)  (8=8)  (9=9)  (10=10)  (11=11)  (12=12)  (13=13)  (14=14)  (ELSE=SYSMIS)
  INTO  new_Act13 .
EXECUTE .

VALUE LABELS new_Act13
 1  'Agriculture & Hunting & Fishing' 
 2  'Mining' 
 3  'Manufacturing industry' 
 4  'Electricity, gas ,water'
 5  'Building and construction' 
 6  'Wholesale & Retail Trade, repair of motor vehicles '
 7  'Trade,Resturant &Hotels'
 8  'Transportation &Communications'
 9'Finance  intermediation & Real estate , renting and business activities'
 10'Public administration and defence ; compulsory'
 11'Education'
 12'Health and Social Work'
 13'Other service economic '
 14'Not sepisified '.
EXECUTE .

IF (q1202b1 = 1 | q1202b2 = 1 & new_Act13 > 0) Type = new_Act13 .
EXECUTE .

VALUE LABELS Type
 1  'Agriculture & Hunting & Fishing' 
 2  'Mining' 
 3  'Manufacturing industry' 
 4  'Electricity, gas ,water'
 5  'Building and construction' 
 6  'Wholesale & Retail Trade, repair of motor vehicles '
 7  'Trade,Resturant &Hotels'
 8  'Transportation &Communications'
 9'Finance  intermediation & Real estate , renting and business activities'
 10'Public administration and defence ; compulsory'
 11'Education'
 12'Health and Social Work'
 13'Other service economic '
 14'Not sepisified '.
EXECUTE .

VARIABLE LEVEL Type  (NOMINAL).

COMPUTE Type_job = Type .
EXECUTE .
IF (q1202a = 1) Type_job = 15 .
EXECUTE .

VALUE LABELS Type_job   
 1  'Agriculture & Hunting & Fishing' 
 2  'Mining' 
 3  'Manufacturing industry' 
 4  'Electricity, gas ,water'
 5  'Building and construction' 
 6  'Wholesale & Retail Trade, repair of motor vehicles '
 7  'Trade,Resturant &Hotels'
 8  'Transportation &Communications'
 9'Finance  intermediation & Real estate , renting and business activities'
 10'Public administration and defence ; compulsory'
 11'Education'
 12'Health and Social Work'
 13'Other Econ. activeity '
 14'Unknown activeity '
 15'Wage job '.

EXECUTE .

VARIABLE LEVEL Type Type_job (NOMINAL).

DO IF (Type_job  = 10) .
RECODE
  Type_job (10=15)  .
END IF .
EXECUTE .

*******************************************************************************************************************
**                ++++++ We  select age from 10 years old and over ++++++
**
*******************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Type_job AgeMale AgeFemale AgeTotal xgov Region strat3
    DISPLAY=DEFAULT
  /TABLE AgeMale [ROWPCT.COUNT F40.1] + AgeFemale [ROWPCT.COUNT F40.1] + AgeTotal [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT
  F40.1] + Region [ROWPCT.COUNT F40.1] + strat3 [ROWPCT.COUNT F40.1] BY Type_job
  /CATEGORIES VARIABLES=Type_job AgeMale AgeFemale AgeTotal xgov Region ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /CATEGORIES VARIABLES=strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 5-17 :  Type of job during past 12 months (% persons )'.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

*********************************************************************************************************************************
**    Table 5-18 :   Months during which the persons worked during past 12 months (% persons )
**
**	Variables needed: 
**		(1) Age	
**	            (2) Sex 
**	            (3) XGOV
**		(4) Strat3
**		(5) Q1203
**		 
**********************************************************************************************************************************
** STEP 1:  Create variable "Nu_Month" and then recode the variables (Q1203_1,2,3,4,5,6,7,8,9,10,11,12)
**                from system missing
**			
**********************************************************************************************************************************

COUNT
  Nu_Month= q1203_01 q1203_02 q1203_03 q1203_04 q1203_05 q1203_06 q1203_07 q1203_08 q1203_09 q1203_10 q1203_11 q1203_12  (1
  thru Highest)  .
EXECUTE .
formats Nu_Month (F1).
EXECUTE .

EXECUTE.
DO IF (q1203_01 = 1 | q1203_02 = 1 | q1203_03 = 1 | q1203_04 = 1 | q1203_05 = 1 | q1203_06 = 1 | q1203_07 = 1 | q1203_08 = 1
  | q1203_09 = 1 | q1203_10 = 1 | q1203_11 = 1 | q1203_12 = 1) .
RECODE
  q1203_01 q1203_02 q1203_03 q1203_04 q1203_05 q1203_06 q1203_07 q1203_08 q1203_09 q1203_10 q1203_11 q1203_12  (SYSMIS=0)  .
END IF .
EXECUTE .


*************************************************************************************************************************
**                    ++++++ We  select age from 10 years old and over ++++++
**
*************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103  >= 10 & Working = 1).
VARIABLE LABEL filter_$ 'q0103  >= 10 & Working = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q1203_01 q1203_02 q1203_03 q1203_04 q1203_05 q1203_06 q1203_07 q1203_08 q1203_09 q1203_10 q1203_11
  q1203_12 Nu_Month AgeMale AgeFemale AgeTotal xgov Region strat3
    DISPLAY=DEFAULT
  /TABLE AgeMale + AgeFemale + AgeTotal + xgov + Region + strat3 BY q1203_01 [C][ROWPCT.COUNT F40.1] + q1203_02
  [C][ROWPCT.COUNT F40.1] + q1203_03 [C][ROWPCT.COUNT F40.1] + q1203_04 [C][ROWPCT.COUNT F40.1] + q1203_05 [C][ROWPCT.COUNT
  F40.1] + q1203_06 [C][ROWPCT.COUNT F40.1] + q1203_07 [C][ROWPCT.COUNT F40.1] + q1203_08 [C][ROWPCT.COUNT F40.1] + q1203_09
  [C][ROWPCT.COUNT F40.1] + q1203_10 [C][ROWPCT.COUNT F40.1] + q1203_11 [C][ROWPCT.COUNT F40.1] + q1203_12 [C][ROWPCT.COUNT
  F40.1] + Nu_Month [MEAN F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=q1203_01 q1203_02 q1203_03 q1203_04 q1203_05 q1203_06 q1203_07 q1203_08 q1203_09 q1203_10 q1203_11
  q1203_12 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=AgeMale AgeFemale AgeTotal xgov Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-18 :   Months during which the persons worked during past 12 months (% persons )'.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

******************************************************************************************************************
**    Table 5-19:   Hours worked during past 7 days (hour/persons)
**
**	Variables needed: 
**		(1) Age	
**	            (2) Sex 
**	            (3) XGOV
**		(4) Strat3
**		(5) Q1204
**		 
*******************************************************************************************************************
** STEP 1:  Create variable "Sum_hrs" and then recode the variables (Q1204_1,2,3,4,5,6,7)
**                from system missing
**
*******************************************************************************************************************

compute sum_hrs = sum(Q1204_01, Q1204_02, Q1204_03, Q1204_04, Q1204_05, Q1204_06, Q1204_07).
formats sum_hrs  (F3).
EXECUTE .

RECODE
  sum_hrs   (SYSMIS=0)  .
  EXECUTE .

RECODE
  q1204_01 q1204_02 q1204_03 q1204_04 q1204_05 q1204_06 q1204_07  (SYSMIS=0)  .
EXECUTE .

***********************************************************************************************************************
** STEP 1:  Create variable "Num_Day"
**			
***********************************************************************************************************************

COUNT
  Num_Day = q1204_01 q1204_02 q1204_03 q1204_04 q1204_05 q1204_06 q1204_07  (1 thru Highest)  .
EXECUTE .
formats Num_Day  (F3).
EXECUTE .

VARIABLE LEVEL q1204_01 q1204_02 q1204_03 q1204_04 q1204_05 q1204_06 q1204_07 Num_Day  (NOMINAL).

************************************************************************************************************************
**                        +++++ We  select age from 10 years old and over +++++
**
************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103  >= 10 & Working = 1).
VARIABLE LABEL filter_$ 'q0103  >= 10 & Working = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q1204_01 q1204_02 q1204_03 q1204_04 q1204_05 q1204_06 q1204_07 Num_Day sum_hrs AgeMale AgeFemale AgeTotal xgov
  Region strat3
    DISPLAY=DEFAULT
  /TABLE AgeMale + AgeFemale + AgeTotal + xgov + Region + strat3 BY q1204_01 [S][MEAN F40.2] + q1204_02 [S][MEAN F40.2] +
  q1204_03 [S][MEAN F40.2] + q1204_04 [S][MEAN F40.2] + q1204_05 [S][MEAN F40.2] + q1204_06 [S][MEAN F40.2] + q1204_07
  [S][MEAN F40.2] + sum_hrs [S][MEAN F40.2] + Num_Day [S][MEAN F40.2]
  /CATEGORIES VARIABLES=AgeMale AgeFemale AgeTotal xgov Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-19:   Hours worked during past 7 days (hour/persons)'.


FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

***********************************************************************************************************************
**    Table 5-20 :  Economic activities practiced during past 12 months (% persons)
**
**	Variables needed: 
**		(1) Age	
**	            (2) Sex 
**	            (3) XGOV
**		(4) Strat3
**		(5) Q1302
**		 
************************************************************************************************************************

COMPUTE Act = Act13 .
EXECUTE .

RECODE
  Act  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7)  (8=8)  (9=9)  (10=10)  (12=12)  (13=13)  (14=14)  (ELSE=SYSMIS)  .
EXECUTE .
VALUE LABELS Act
 1  'Agriculture & Hunting & Fishing' 
 2  'Mining' 
 3  'Manufacturing industry' 
 4  'Electricity, gas ,water'
 5  'Building and construction' 
 6  'Wholesale & Retail Trade, repair of motor vehicles '
 7  'Trade,Resturant &Hotels'
 8  'Transportation &Communications'
 9'Finance  intermediation & Real estate , renting and business activities'
 10'Public administration and defence ; compulsory'
 11'Education'
 12'Health and Social Work'
 13'Other service activeity '
 14'Unknown Econ. activeity '.
EXECUTE .

VARIABLE LEVEL Act  (NOMINAL).
************************************************************************************************************************
**                     +++++ We select age from 10 years old and over +++++
**
************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=new_Act13 AgeMale AgeFemale AgeTotal xgov Region strat3
    DISPLAY=DEFAULT
  /TABLE AgeMale [ROWPCT.COUNT F40.1] + AgeFemale [ROWPCT.COUNT F40.1] + AgeTotal [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT
  F40.1] + Region [ROWPCT.COUNT F40.1] + strat3 [ROWPCT.COUNT F40.1] BY new_Act13
  /CATEGORIES VARIABLES=new_Act13 AgeMale AgeFemale AgeTotal xgov Region ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 5-20 :  Economic activities practiced during past 12 months (% persons)'.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

**********************************************************************************************************************
**    Table 5-21 : Sector of economic activities practiced during past 12 months (% persons)
**
**	Variables needed: 
**		(1) Age	
**	            (2) Sex 
**	            (3) XGOV
**		(4) Strat3
**		(5) Q1303
**		 
**********************************************************************************************************************

IF (Q1202A =1) 				newSector  = Q1303 .
IF (Q1202B1=1|Q1202B2=1)       	newSector  = 3.
IF MISSING(Sector)                              newSector  = 11. 
IF ( NotEc_activ = 1 ) 			newSector  = 12.
IF (Unemployed=1) 		      	newSector  = 13.
VARIABLE LABELS Sector  'Work sector' .
EXECUTE .

RECODE
  newSector  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7)  (8=8)  (9=9)  (10=10)  (SYSMIS=11)  (ELSE=SYSMIS)  .
EXECUTE .

VALUE LABELS newSector
 1  'Gov.sector'
 2  'Puplic sector'
 3  'Private sector'
 4  'Cooper. sector'
 5  'Joint sector'
 6  'Local sector'
 7  'Internat.NGo;
 8  'Private HH'
 9'Foriegn sector
 10'Other'
 11'Not sepcified'.
EXECUTE .

VARIABLE LEVEL newSector  (NOMINAL).

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=newSector AgeMale AgeFemale AgeTotal xgov Region strat3
    DISPLAY=DEFAULT
  /TABLE AgeMale [ROWPCT.COUNT F40.1] + AgeFemale [ROWPCT.COUNT F40.1] + AgeTotal [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT
  F40.1] + Region [ROWPCT.COUNT F40.1] + strat3 [ROWPCT.COUNT F40.1] BY newSector [C]
  /CATEGORIES VARIABLES=newSector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=AgeMale AgeFemale AgeTotal xgov Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-21 : Sector of economic activities practiced during past 12 months (% persons)' ''.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

**************************************************************************************************************************
**    Table 5-22 : Pension and social security coverage and number of establishment employees
                          by household characteristics (% persons)
**
**	Variables needed: 
**		(1) XGOV	
**	            (2) Strat3 
**	            (3) Persons capita expenditure
**		(4) Q1304,Q1305
**		 
*************************************************************************************************************************
** STEP 1:  Recode the variable (Q1304)
**			
*************************************************************************************************************************

RECODE
  q1304
  (1=1)  (2=0)  INTO  new_1304 .
EXECUTE .

VARIABLE LEVEL new_1304 (NOMINAL).

WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q1305 new_1304 xgov Region strat3 PCExpGr DISPLAY=DEFAULT
  /TABLE xgov [ROWPCT.COUNT F40.1] + Region [ROWPCT.COUNT F40.1] + strat3 [ROWPCT.COUNT F40.1] + PCExpGr [ROWPCT.COUNT F40.1] BY q1305 + new_1304 [C]
  /CATEGORIES VARIABLES=q1305 xgov Region strat3 PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=new_1304 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-22 : Pension and social security coverage and number of establishment employees by household'+
 ' characteristics (% persons)' ''.

WEIGHT
  OFF.

*************************************************************************************************************************
**    Table 5-23 : Pension and social security coverage and number of establishment employees
                          by persons characteristics (% persons)
**
**	Variables needed: 
**		(1) Age
**		(2) Education
**		(3) Economic Activity (Agriculture and fishing, Mining, Manufacturing, etc.)	
**		(4) Occupation (Legislators & senior officials & managers, Professionals, etc.)
**		(5) Q1304,Q1305
**
**************************************************************************************************************************

**************************************************************************************************************************
**                     +++++ We selct only those aged 15 years and more +++++
**
**************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103  >= 15).
VARIABLE LABEL filter_$ 'q0103  >= 15 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q1305 new_1304 AgeGrps EducGrp9 Act13 Occupa_gr DISPLAY=DEFAULT
  /TABLE AgeGrps [ROWPCT.COUNT F40.1] + EducGrp9 [ROWPCT.COUNT F40.1] + Act13 [ROWPCT.COUNT F40.1] + Occupa_gr [ROWPCT.COUNT
  F40.1] BY q1305 + new_1304
  /CATEGORIES VARIABLES=q1305 AgeGrps EducGrp9 Act13 Occupa_gr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=new_1304 ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
   TITLE= 'Table 5-23 : Pension and social security coverage and number of establishment employees by persons characteristics (% persons)'
  ''.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

****************************************************************************************************
**    Table 5-24 : Type of air conditioning in job place (% persons )
**
**	Variables needed: 
**		(1) Age	
**	            (2) Sex 
**	            (3) XGOV
**		(4) Strat3
**		(5) Q1306
**
****************************************************************************************************
****************************************************************************************************
**           ++++++ We  select age from 10 years old and over +++++++
**
****************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q1306 AgeMale AgeFemale AgeTotal xgov Region strat3
    DISPLAY=DEFAULT
  /TABLE AgeMale [ROWPCT.COUNT F40.1] + AgeFemale [ROWPCT.COUNT F40.1] + AgeTotal [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT
  F40.1] + Region [ROWPCT.COUNT F40.1] + strat3 [ROWPCT.COUNT F40.1] BY q1306
  /CATEGORIES VARIABLES=q1306 AgeMale AgeFemale AgeTotal xgov Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-24 : Type of air conditioning in job place (% persons )' ''.


FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

*****************************************************************************************************************
**    Table 5-25 : Nagatively affecting work conditions during past 12 months (% persons )
**
**	Variables needed: 
**		(1) Age	
**	            (2) Sex 
**	            (3) XGOV
**		(4) Strat3
**		(5) Q1307
**
*****************************************************************************************************************
** STEP 1:  Recode the variable (Q1307)
**			
*****************************************************************************************************************

RECODE
  q1307a q1307b q1307c q1307d q1307e q1307f q1307g q1307h q1307i  (1=1)  (2=0)  .
EXECUTE .

COMPUTE TOT_1307 = SUM(q1307a,q1307b,q1307c,q1307d,q1307e,q1307f,q1307g,q1307h,q1307i) .
EXECUTE .

RECODE
  TOT_1307  (1 thru Highest=1)  (ELSE=0)  .
EXECUTE .

***********************************************************************************************************************
**                ++++++ We  select age from 10 years old and over +++++++
**
***********************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 10 & Working = 1).
VARIABLE LABEL filter_$ 'q0103 >= 10 & Working = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q1307a q1307b q1307c q1307d q1307e q1307f q1307g q1307h q1307i TOT_1307 AgeMale AgeFemale AgeTotal xgov
  Region strat3
    DISPLAY=DEFAULT
  /TABLE AgeMale + AgeFemale + AgeTotal + xgov + Region + strat3 BY q1307a [C][ROWPCT.COUNT F40.1] + q1307b [C][ROWPCT.COUNT
  F40.1] + q1307c [C][ROWPCT.COUNT F40.1] + q1307d [C][ROWPCT.COUNT F40.1] + q1307e [C][ROWPCT.COUNT F40.1] + q1307f
  [C][ROWPCT.COUNT F40.1] + q1307g [C][ROWPCT.COUNT F40.1] + q1307h [C][ROWPCT.COUNT F40.1] + q1307i [C][ROWPCT.COUNT F40.1] +
  TOT_1307 [MEAN]
  /CATEGORIES VARIABLES=q1307a q1307b q1307c q1307d q1307e q1307f q1307g q1307h q1307i ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=AgeMale AgeFemale AgeTotal xgov Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-25 : Nagatively affecting work conditions during past 12 months (% persons )'.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.


*********************************************************************************************************************
**    Table 5-26 : Working time and work hazards for jobs during last 12 months (% persons )
**
**	Variables needed: 
**		(1) Age	
**	            (2) Sex 
**	            (3) XGOV
**		(4) Strat3
**		(5) Q1308,Q1309
**
*********************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q1308 q1309 AgeMale AgeFemale AgeTotal xgov Region strat3
    DISPLAY=DEFAULT
  /TABLE AgeMale [ROWPCT.COUNT F40.1] + AgeFemale [ROWPCT.COUNT F40.1] + AgeTotal [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT
  F40.1] + Region [ROWPCT.COUNT F40.1] + strat3 [ROWPCT.COUNT F40.1] BY q1308 + q1309
  /CATEGORIES VARIABLES=q1308 q1309 AgeMale AgeFemale AgeTotal xgov Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-26 : Working time and work hazards for jobs during last 12 months (% persons )' ''.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

**************************************************************************************************************************
**    Table 5-27 : Job permanence during past 12 months (% persons )
**
**	Variables needed: 
**		(1) Age	
**	            (2) Sex 
**	            (3) XGOV
**		(4) Strat3
**		(5) Q1310
**
*************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q1310 AgeMale AgeFemale AgeTotal xgov Region strat3
    DISPLAY=DEFAULT
  /TABLE AgeMale [ROWPCT.COUNT F40.1] + AgeFemale [ROWPCT.COUNT F40.1] + AgeTotal [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT
  F40.1] + Region [ROWPCT.COUNT F40.1] + strat3 [ROWPCT.COUNT F40.1] BY q1310
  /CATEGORIES VARIABLES=q1310 AgeMale AgeFemale AgeTotal xgov Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-27 : Job permanence during past 12 months (% persons )'.

**************************************************************************************************************************
**    Table 5-28 : Main mean of community & distance to job place during past 12 months (% persons )
**
**	Variables needed: 
**		(1) Age	
**	            (2) Sex 
**	            (3) XGOV
**		(4) Strat3
**		(5) Q1311,Q1312
**
*************************************************************************************************************************

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q1312 q1311 AgeMale AgeFemale AgeTotal xgov Region strat3
    DISPLAY=DEFAULT
  /TABLE AgeMale + AgeFemale + AgeTotal [C] + xgov + Region + strat3 [C] BY q1312 [ROWPCT.COUNT F40.1] + q1311 [MEAN]
  /CATEGORIES VARIABLES=q1312 AgeMale AgeFemale AgeTotal xgov Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-28 : Main mean of community & distance to job place during past 12 months (% persons )' ''.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

**********************************************************************************************************************
**    Table 5-29 : Indicators related to time on jobs past 12 months (% persons )
**
**	Variables needed: 
**		(1) Age	
**	            (2) Sex 
**	            (3) XGOV
**		(4) Strat3
**		(5) Q1313-Q1317
**
**********************************************************************************************************************
**  STEP 1 : Create new variable " Time since starting work " :
**                  We transfer the fifth visit which contain the variables (q0039m,q0039y)
**                   to months , and also the variables (q1317m,q1317y), and then minus the new first 
**                   variable from the second
**
**********************************************************************************************************************

COMPUTE Start_W = (((q1317m ) + (q1317y * 12)))-1900.
COMPUTE Fifth_V = ((((q0039m) + (q0039y * 12))))-1900.
EXECUTE .
COMPUTE Time_S = TRUNC(Fifth_V -Start_W) .
EXECUTE .

RECODE
  Time_S  (Lowest thru -1=SYSMIS)  .
EXECUTE .

formats q1315 (F3).
EXECUTE .
formats q1316 (F3).
EXECUTE .
formats Time_S  (F3).
EXECUTE .

**********************************************************************************************************************
**                   +++++ We  select age from 10 years old and over +++++
**
**********************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q1313 q1314 q1315 q1316 Time_S AgeMale AgeFemale AgeTotal xgov Region strat3
    DISPLAY=DEFAULT
  /TABLE AgeMale + AgeFemale + AgeTotal [C] + xgov + Region + strat3 [C] BY q1313 [MEAN] + q1314 [MEAN] + q1315 [MEAN] + q1316 [MEAN] + Time_S [MEAN]
  /CATEGORIES VARIABLES=AgeMale AgeFemale AgeTotal xgov Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-29 : Indicators related to time on jobs past 12 months (% persons )' ''.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.

*************************************************************************************************************************
**    Table 5-30 : Means of getting jobs during past 12 months (% persons )
**
**	Variables needed: 
**		(1) Age	
**	            (2) Sex 
**	            (3) XGOV
**		(4) Strat3
**		(5) Q1318
**
************************************************************************************************************************


RECODE
  q1318  (0=SYSMIS)  (20 thru Highest=SYSMIS)  .
EXECUTE .

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q1318 AgeMale AgeFemale AgeTotal xgov Region strat3
    DISPLAY=DEFAULT
  /TABLE AgeMale [ROWPCT.COUNT F40.1] + AgeFemale [ROWPCT.COUNT F40.1] + AgeTotal [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT
  F40.1] + Region [ROWPCT.COUNT F40.1] + strat3 [ROWPCT.COUNT F40.1] BY q1318
  /CATEGORIES VARIABLES=q1318 AgeMale AgeFemale AgeTotal xgov Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 5-30 : Means of getting jobs during past 12 months (% persons )'.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.


*****************************************************************************************************************
**    Table 5-31 : Unit for payment and benefits for jobs during past 12 months (% persons )
**
**	Variables needed: 
**		(1) Age	
**	            (2) Sex 
**	            (3) XGOV
**		(4) Strat3
**		(5) Q1319,Q1320
**
*****************************************************************************************************************
** STEP 1:  Recode the variable (Q1307)
**			
*****************************************************************************************************************

RECODE
  q1320_1 q1320_2 q1320_3  (3 thru Highest=SYSMIS)  .
EXECUTE .

RECODE
  q1320_1 q1320_2 q1320_3  (2=0)  .
EXECUTE .

VARIABLE LEVEL q1320_1 (NOMINAL).
VARIABLE LEVEL q1320_2 (NOMINAL).
VARIABLE LEVEL q1320_3 (NOMINAL).

**********************************************************************************************************************
**                +++++ We  select age from 10 years old and over +++++
**
**********************************************************************************************************************

USE ALL.
COMPUTE filter_$=(q0103 >= 10).
VARIABLE LABEL filter_$ 'q0103 >= 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


WEIGHT
  BY weight .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q1319 q1320_1 q1320_2 q1320_3 AgeMale AgeFemale AgeTotal xgov Region strat3
    DISPLAY=DEFAULT
  /TABLE AgeMale [ROWPCT.COUNT F40.1] + AgeFemale [ROWPCT.COUNT F40.1] + AgeTotal [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT
  F40.1] + Region [ROWPCT.COUNT F40.1] + strat3 [ROWPCT.COUNT F40.1] BY q1319 + q1320_1 + q1320_2 + q1320_3
  /CATEGORIES VARIABLES=q1319 AgeMale AgeFemale AgeTotal xgov Region strat3 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /CATEGORIES VARIABLES=q1320_1 q1320_2 q1320_3 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 5-31 : Unit for payment and benefits for jobs during past 12 months (% persons )'.

FILTER OFF.
USE ALL.
EXECUTE .

WEIGHT
  OFF.


SAVE OUTFILE='C:\IHSES_TABLES\T5\Individuals_jobs.sav' /COMPRESSED.


=======================================================================================================================================================================
=======================================================================================================================================================================
=======================================================================================================================================================================




