****************************************************************************************************************
**    Income Monthly for Section 10
**    Prepared by: 	Dahlia Al Any
**    Date:		September 2007
**    Status:		Incomplete
****************************************************************************************************************
****        Employment Income Section 13 _ 2, 3,4,5,6,7,8     ****

GET  FILE='C:\IHSES_TABLES\Originals\IHSES10-Jobs.sav'.

SAVE OUTFILE='C:\IHSES_TABLES\T9\Job.sav'.

CROSSTABS
  /TABLES=Q1322U  BY Q1322N
  /FORMAT= AVALUE TABLES
  /CELLS= ROW
  /COUNT ROUND CELL . 


* i changed from -1 to 0

RECODE
  Q1321C Q1321K Q1322N Q1322U Q1324C Q1324K    (Lowest thru 0=SYSMIS)  .
EXECUTE .

* # To deal with missing values of wages, period and allowances:

*RECODE
* Q1321C Q1321K Q1324C Q1324K (MISSING = 0)  .

 RECODE
  Q1322N (MISSING  = 1)  (0 = 1).
 EXECUTE .


* find number of hours day per week

COUNT
  DAYWK = Q1204_01 Q1204_02 Q1204_03 Q1204_04 Q1204_05 Q1204_06 Q1204_07  (1 thru 24) .
 VARIABLE LABELS DayWk 'Number of days worked last week' .
 EXECUTE .


* find number of month per yaer

COUNT
 MONYR= Q1203_01 Q1203_02 Q1203_03 Q1203_04 Q1203_05 Q1203_06 Q1203_07 Q1203_08 Q1203_09
                Q1203_10 Q1203_11 Q1203_12 (1 thru Highest)  .
VARIABLE LABELS MONYR 'Number of months worked last last 12 months' .
EXECUTE .

* Wages : Cash _ 2

COMPUTE   wCASH_2  = 0 .
IF (Q1322U = 1 & DAYWK > 0) wCASH_2 = (Q1321C / Q1322N) * DAYWK * (52/12) * (MONYR/12) .
IF (Q1322U = 1 & DAYWK = 0) wCASH_2  = (Q1321C / Q1322N) * 15 * (MONYR/12) .
IF (Q1322U = 2) wCASH_2  = (Q1321C / Q1322N) * (52/12) * (MONYR/12) .
IF (Q1322U = 3) wCASH_2  = (Q1321C / Q1322N) * 2 * (MONYR/12) .
IF (Q1322U = 4) wCASH_2  = (Q1321C / Q1322N) * (MONYR/12) .
VARIABLE LABELS wCASH_2  'Wages cash' .
EXECUTE .

* Wages : In kind _ 3

COMPUTE   winkind_3  = 0 .
IF (Q1322U = 1 & DAYWK > 0) winkind_3  = (Q1321K / Q1322N) *DAYWK * (52/12) * (MONYR/12)  .
IF (Q1322U = 1 & DAYWK = 0) winkind_3  = (Q1321K / Q1322N) * 15 * (MONYR/12)  .
IF (Q1322U = 2)             winkind_3  = (Q1321K / Q1322N) * 4 * (MONYR/12).
IF (Q1322U = 3)             winkind_3  = (Q1321K / Q1322N) * 2 * (MONYR/12).
IF (Q1322U = 4)             winkind_3  = (Q1321K / Q1322N) * (MONYR/12).
VARIABLE LABELS winkind_3  'Wages in kind' .


* Wages : Total wages_ 4

COMPUTE   totwage_4 = sum(wCASH_2,winkind_3) .
VARIABLE LABELS totwage_4 'Total wages' .
 
* Allowances : Cash_5

COMPUTE   Allcash_5 = 0 .
COMPUTE   Allcash_5 = Q1324C / 12 .
VARIABLE LABELS Allcash_5  'Allowances: Cash' .
EXECUTE .

* Allowances : In kind _6

COMPUTE   Alinkand_6 = 0 .
COMPUTE   Alinkand_6 = Q1324K / 12 .
VARIABLE LABELS Alinkand_6   'Allowances:in kind' .
EXECUTE .

* Allowances : Total Allowances _7

COMPUTE   totALL_7 =Sum(Allcash_5,Alinkand_6) .
VARIABLE LABELS totALL_7 'Total Allowances' .
EXECUTE .

* Total incom from employment _8

COMPUTE   Ticome_8 = Sum(totwage_4,totALL_7) .
VARIABLE LABELS Ticome_8 'Total incom from employment'.
EXECUTE .

DESCRIPTIVES
  VARIABLES=DayWk MONYR wCASH_2 winkind_3 totwage_4  Allcash_5  Alinkand_6 totALL_7 Ticome_8
  /STATISTICS=MEAN STDDEV MIN MAX .

SAVE OUTFILE='C:\IHSES_TABLES\T9\Job.sav'.

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T9\aggr_job.sav'
  /BREAK=XHHKEY
  /XWAVE 'Wave No' = MEAN(XWAVE) /XGOV 'Gov No' = MEAN(XGOV) /XSTRAT 'Stratum' = MEAN(XSTRAT) /XHHSIZE 'HHSIZE' =
  MEAN(XHHSIZE) /wCASH_2 'Wage Cash' = SUM(wCASH_2) /winkind_3 'Wage In Kind' = SUM(winkind_3) /totwage_4 'Total Wages' =
  SUM(totwage_4) /Allcash_5 'Allowance Cash' = SUM(Allcash_5) /Alinkand_6 'Allowance In Kind' = SUM(Alinkand_6) /totALL_7
  'Total Allowance' = SUM(totALL_7) /Ticome_8 'Total Income From Employment' = SUM(Ticome_8).

GET
   file='C:\IHSES_TABLES\T9\aggr_job.sav'.
 
SORT CASES BY XHHKEY (A).

COMPUTE HHtest1 = XHHKEY .
EXECUTE .

SAVE OUTFILE='C:\IHSES_TABLES\T9\aggr_job.sav'.



**** Employment and Self employed Income Section 14_ #10,11,12,13,14,15,16,17,18,19  ***
**********************************************************************************************************

GET
  FILE='C:\IHSES_TABLES\Originals\IHSES06-Crop production.sav'.
  
  SAVE OUTFILE='C:\IHSES_TABLES\T9\Crop production.sav'.

FILTER OFF.
USE ALL.
SELECT IF(Q1405_N ~= 7).
EXECUTE .

RECODE
  Q1406Q Q1406A Q1407G Q1408 (-3 thru -1=SYSMIS)  .
EXECUTE .

* HH crop value share (Q1406A_G)
 
IF (Q1406Q = 0) Q1406A_G  = 0 .
IF (Q1406Q > 0) Q1406A_G  = Q1406A - (Q1406A/Q1406Q)*Q1407G .
VARIABLE LABELS Q1406A_G 'HH Crop value' .
EXECUTE .

* To check calculated HH Crop value 

DESCRIPTIVES
  VARIABLES=Q1406A_G
  /STATISTICS=MEAN STDDEV MIN MAX .



AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T9\agg_crop production.sav'
  /BREAK=XHHKEY
  /Q1406A_G 'Owner Share' = SUM(Q1406A_G).

GET
   file='C:\IHSES_TABLES\T9\agg_crop production.sav'.

SORT CASES BY XHHKEY (A).

COMPUTE HHtest2 = XHHKEY .
EXECUTE .

SAVE OUTFILE='C:\IHSES_TABLES\T9\agg_crop production.sav'.

GET
  FILE='C:\IHSES_TABLES\Originals\IHSES01-Household.sav'. 
SAVE OUTFILE='C:\IHSES_TABLES\T9\Household & Income.sav'.

FILTER OFF.
USE ALL.
SELECT IF(XHHSIZE  ~= 0).
EXECUTE .

  SORT CASES BY XHHKEY (A).

*****

GET
 FILE='C:\IHSES_TABLES\T9\Household & Income.sav'.
 SORT CASES BY XHHKEY (A) .

MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T9\aggr_job.sav'
 /BY XHHKEY.
EXECUTE.

COMPUTE CHCK1 = XHHKEY - HHtest1.
EXECUTE .

FREQUENCIES
  VARIABLES=CHCK1
  /ORDER=  ANALYSIS.

*******

MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T9\agg_crop production.sav'
 /BY XHHKEY.
EXECUTE.


COMPUTE HHcheck2= XHHKEY - HHtest2.
EXECUTE .

FREQUENCIES
  VARIABLES=HHcheck2
  /ORDER=  ANALYSIS .

RECODE
  wCASH_2  winkind_3 totwage_4  Allcash_5  Alinkand_6  totALL_7  Ticome_8  Q1406A_G  (MISSING=0). 
EXECUTE .


RECODE
    Q1414_01 to Q1414_24 (-3 thru -1=SYSMIS).
EXECUTE .

* # Assuming that all missing cost values are zero:

RECODE
    Q1414_01 to Q1414_24 (MISSING=0).
EXECUTE .

* To find Crop production_10

IF (Q1406A_G = 0  |  MISSING(Q1406A_G) ) cropp_10 = 0 .
IF (Q1406A_G > 0) cropp_10=(Q1406A_G - (sum(Q1414_01, Q1414_02, Q1414_03, Q1414_04, Q1414_05, Q1414_06, Q1414_07, Q1414_08, Q1414_09, 
Q1414_17) + (Q1406A_G/sum (Q1406A_G, Q1411, Q1412, Q1413 ,Q1413A) * sum(Q1414_14, Q1414_15,Q1414_16,Q1414_19))))/12.

var lables cropp_10 'Crop production'. 
EXECUTE .

* To find Animal production_11

IF (sum (Q1411 , Q1412 , Q1413) = 0  |  MISSING(sum (Q1411 , Q1412 , Q1413) ) ) Animp_11 = 0.
IF (sum (Q1411 , Q1412 , Q1413) > 0) Animp_11 = (sum (Q1411 , Q1412 , Q1413) - (sum(Q1414_10, Q1414_11, Q1414_12, Q1414_13, Q1414_18) + 
(sum (Q1411, Q1412, Q1413, Q1413A) /sum (Q1406A_G, Q1411, Q1412, Q1413 ,Q1413A)) * sum(Q1414_14, Q1414_15, Q1414_16,Q1414_19)))/12.
var lables Animp_11 'Animal production income'.
EXECUTE .


* To find Fishing activity_12 

RECODE
  Q1416AA Q1416BB Q1416CC (-3 thru -1=SYSMIS)  .
EXECUTE .

IF (SUM(Q1416AA,Q1416BB,Q1416CC)  = 0  |  MISSING(SUM(Q1416AA,Q1416BB,Q1416CC) ) ) Fishac_12 = 0 .
IF (SUM(Q1416AA,Q1416BB,Q1416CC)  > 0 )  Fishac_12 = (SUM(Q1416AA,Q1416BB,Q1416CC) - SUM(Q1417A,Q1417B)) / 12 .
VARIABLE LABELS Fishac_12 'Fishing income' .

 
 *To find Forest activity_13 

RECODE
  Q1417_B Q1417_C Q1417_D  (-3 thru -1=SYSMIS)  .
EXECUTE .

IF (SUM(Q1417_B,Q1417_C)  = 0  |  MISSING(SUM(Q1417_B,Q1417_C) ) ) Fores_13 = 0 .
IF (SUM(Q1417_B,Q1417_C)  > 0 )  Fores_13 =(SUM(Q1417_B,Q1417_C) - Q1417_D) /12.
VARIABLE LABELS Fores_13 'Forest income' .


COMPUTE AgrInc = SUM(cropp_10 , Animp_11 , Fishac_12 ,Fores_13) .
VARIABLE LABELS AgrInc 'Agricultural activity income' .
EXECUTE .


SAVE OUTFILE='C:\IHSES_TABLES\T9\Household & Income.sav'.


DESCRIPTIVES
  VARIABLES=cropp_10 Animp_11 Fishac_12 Fores_13 AgrInc
  /STATISTICS=MEAN STDDEV MIN MAX .


** Non agricultural income


GET
  FILE='C:\IHSES_TABLES\Originals\IHSES11-Self-employment activities.sav'.
 SAVE OUTFILE='C:\IHSES_TABLES\T9\Self-employment activities.sav'.

GET
  FILE='C:\IHSES_TABLES\T9\Self-employment activities.sav'.

RECODE
  Q1436 Q1437 Q1438 Q1439 Q1440 Q1441 (-3 thru -1=SYSMIS)  .
EXECUTE .

* To find Industrial activity_14 

IF (MISSING(SUM(Q1436 ,Q1437)))  INDS14 = 0.

IF (SUM(Q1436 ,Q1437) >=  0) INDS14 = SUM(Q1436 ,Q1437) / 12 .
VARIABLE LABELS INDS14 'Industrial activity income' .
EXECUTE .

* To find Trade activity_15 

IF (MISSING(Q1438)) TRDACT15= 0.
IF (Q1438>= 0) TRDACT15 = Q1438 / 12 .
VARIABLE LABELS TRDACT15 'Trade activity income' .
EXECUTE .


* To find Construction activity_16

IF (MISSING(Q1439)) CONSACT16 = 0.
IF (Q1439>= 0) CONSACT16 = Q1439 / 12 .
VARIABLE LABELS CONSACT16 'Construction activity income' .
EXECUTE .


* To find Transportation and Communication activity_17

IF (MISSING(Q1440)) TRSNP17= 0.
IF (Q1440>= 0) TRSNP17 = Q1440 / 12 .
VARIABLE LABELS TRSNP17 'Transportation and communication activity income' .
EXECUTE .

* To find Services activity_18

IF (MISSING(Q1441)) SRVSACT18= 0.
IF (Q1441>= 0) SRVSACT18 = Q1441 / 12 .
VARIABLE LABELS SRVSACT18 'Service activity income' .
EXECUTE .

DESCRIPTIVES
  VARIABLES= INDS14 TRDACT15 CONSACT16 TRSNP17 SRVSACT18 
  /STATISTICS=MEAN STDDEV MIN MAX .

SAVE OUTFILE='C:\IHSES_TABLES\T9\Self-employment activities.sav'.

SORT CASES BY XHHKEY (A).

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T9\aggr_14_18_self-employement.sav'
  /BREAK=XHHKEY
  /INDS14 'Industtrial activity' = SUM(INDS14) /TRDACT15 'Trade activity' = SUM(TRDACT15) /CONSACT16 'Construction'+
 ' activity' =SUM(CONSACT16) /TRSNP17 'Transportation activity' = SUM(TRSNP17) /SRVSACT18 'Services activity' =
  SUM(SRVSACT18).


GET
  FILE='C:\IHSES_TABLES\T9\aggr_14_18_self-employement.sav'.
SORT CASES BY XHHKEY (A) .

COMPUTE HHtest3 = XHHKEY .
EXECUTE .

SAVE OUTFILE='C:\IHSES_TABLES\T9\aggr_14_18_self-employement.sav'.


* To find Total Employer and self employed income _19

GET
  FILE='C:\IHSES_TABLES\T9\Household & Income.sav'.
  SORT CASES BY XHHKEY (A) .

MATCH FILES /FILE=*
 /FILHECE='C:\IHSES_TABLES\T9\aggr_14_18_self-employement.sav'
 /BY XHHKEY.
EXECUTE.

COMPUTE CHECK3 = XHHKEY - HHtest3.
EXECUTE .

FREQUENCIES
  VARIABLES=CHECK3
  /ORDER=  ANALYSIS .

RECODE AgrInc INDS14 TRDACT15  CONSACT16 TRSNP17  SRVSACT18 (MISSING = 0). 

COMPUTE TOTEMP19 = SUM(AgrInc,INDS14,TRDACT15, CONSACT16,TRSNP17, SRVSACT18 ) .
EXECUTE .

VARIABLE LABELS TOTEMP19 'Income from activities'.
EXECUTE .


SAVE OUTFILE='C:\IHSES_TABLES\T9\Household & Income.sav'.

DESCRIPTIVES
  VARIABLES=AgrInc INDS14 TRDACT15 CONSACT16 TRSNP17 SRVSACT18 TOTEMP19
  /STATISTICS=MEAN STDDEV MIN MAX .



**** Property Income Section 15_ #21,23,24,25,27,28,29    ********
***************************************************************************

GET
  FILE='C:\IHSES_TABLES\Originals\IHSES07-Household transfers.sav'.

  SAVE OUTFILE='C:\IHSES_TABLES\T9\Household transfers.sav'.

***### lowest was -3

RECODE
  Q1502A_Q  Q1502B_Q Q1502C_Q  (Lowest thru -1=SYSMIS)  .
EXECUTE .

COMPUTE TotPersInc = sum(Q1502A_Q , Q1502B_Q , Q1502C_Q) / 12 .
EXECUTE .

IF (Q1501_C = 1501) AgLndRntInc = TotPersInc .
VARIABLE LABELS AgLndRntInc 'Renting agricutural land income' . 

IF (Q1501_C = 1502) AgLndInc = TotPersInc .
VARIABLE LABELS AgLndInc 'Agricutural land income (sharing)' .

IF (Q1501_C = 1503) OpSpLndInc= TotPersInc .
VARIABLE LABELS OpSpLndInc 'Renting open space income' .

IF (Q1501_C = 1504) RsdBldInc = TotPersInc .
VARIABLE LABELS RsdBldInc 'Renting residual building income' .

IF (Q1501_C = 1505) NRsdBldInc = TotPersInc .
VARIABLE LABELS NRsdBldInc 'Renting non residual building income' .

IF (Q1501_C = 1506) EqpRntInc = TotPersInc .
VARIABLE LABELS EqpRntInc 'Renting equipments income' .

IF (Q1501_C = 1507) TrnsRntInc= TotPersInc .
VARIABLE LABELS TrnsRntInc 'Renting transport means income' .

IF (Q1501_C = 1508) OthrRntInc= TotPersInc .
VARIABLE LABELS OthrRntInc 'Other rent income' .

IF (Q1501_C = 1509) SharesInc= TotPersInc .
VARIABLE LABELS SharesInc 'Shares income' .

IF (Q1501_C = 1510) PrtPrftnc= TotPersInc .
VARIABLE LABELS PrtPrftnc 'Partnership profit income' .

IF (Q1501_C = 1511) IntrstInc= TotPersInc .
VARIABLE LABELS IntrstInc 'Interest on bonds and deposits income' .

IF (Q1501_C = 1512) IntPrpInc= TotPersInc .
VARIABLE LABELS IntPrpInc 'Intelectual property and authorship rights income' .

IF (Q1501_C =  1522) CvlPnsInc =TotPersInc .
VARIABLE LABELS CvlPnsInc 'Civil pension income' .

IF (Q1501_C =  1523) MltPnsInc =TotPersInc .
VARIABLE LABELS MltPnsInc 'Military pension income' .

IF (Q1501_C =  1524) InhPnsInc =TotPersInc .
VARIABLE LABELS InhPnsInc 'Inheritants pension income' .

IF (Q1501_C =  1525) SSPnsInc =TotPersInc .
VARIABLE LABELS SSPnsInc 'Social security pension income' .

IF (Q1501_C =  1526) DsbPenInc =TotPersInc .
VARIABLE LABELS DsbPenInc 'Disablity pension income' .

IF (Q1501_C =  1527) SpFPnsInc =TotPersInc .
VARIABLE LABELS SpFPnsInc 'Special funds pension income' .

IF (Q1501_C =  1528) FmlCrFInc =TotPersInc .
VARIABLE LABELS FmlCrFInc 'Family care fund salary income' .

IF (Q1501_C =  1529) DsbSalInc =TotPersInc .
VARIABLE LABELS DsbSalInc 'Disabled salary income' .

IF (Q1501_C =  1530) MthSalInc =TotPersInc .
VARIABLE LABELS MthSalInc  'Motherhood salary income' .

IF (Q1501_C = 1531) SocNtwInc = TotPersInc .
VARIABLE LABELS SocNtwInc 'Social network assistance income' .

IF (Q1501_C = 1532) UnEmInc = TotPersInc .
VARIABLE LABELS UnEmInc 'Unemployment compensation income' .

IF (Q1501_C =  1533) EmrPymInc =TotPersInc .
VARIABLE LABELS EmrPymInc 'Emergency payment income' .

IF (Q1501_C =  1534) OcpTralInc =TotPersInc .
VARIABLE LABELS OcpTralInc 'Ocupational training allowances income' .

IF (Q1501_C =  1535) SclrshpInc =TotPersInc .
VARIABLE LABELS SclrshpInc 'Shcolarships income' .

IF (Q1501_C = 1536) HHIrqCshInc = TotPersInc .
VARIABLE LABELS HHIrqCshInc 'HH in Iraq cash assistance income' .

IF (Q1501_C = 1537) HHAbrCshInc = TotPersInc .
VARIABLE LABELS HHAbrCshInc 'HH outside Iraq cash assistance income' .

IF (Q1501_C = 1538) GovCshInc = TotPersInc .
VARIABLE LABELS GovCshInc 'Government cash assistance income' .

IF (Q1501_C = 1539) OthIrqCshInc = TotPersInc .
VARIABLE LABELS OthIrqCshInc 'Other Iraq sources cash assistance income' .

IF (Q1501_C = 1540) OthAbrAssInc = TotPersInc .
VARIABLE LABELS OthAbrAssInc 'Other outside Iraq assistance sources income' .

IF (Q1501_C = 1541) HHIrqKndInc = TotPersInc .
VARIABLE LABELS HHIrqKndInc 'HH in Iraq in kind assistance income' .

IF (Q1501_C = 1542) HHAbrKndInc = TotPersInc .
VARIABLE LABELS HHAbrKndInc 'HH outside Iraq in kind assistance income' .

IF (Q1501_C = 1543) GovKndInc = TotPersInc .
VARIABLE LABELS GovKndInc 'Government in kind assistance income' .

IF (Q1501_C = 1544) OthIrqKndInc = TotPersInc .
VARIABLE LABELS OthIrqKndInc 'Other Iraq sources in kind assistance income' .

IF (Q1501_C = 1545) OthAbrKndInc = TotPersInc .
VARIABLE LABELS OthAbrKndInc 'Other outside Iraq sources in kind assistance income' .

IF (Q1501_C =  1546) InsrInc =TotPersInc .
VARIABLE LABELS InsrInc 'Insurance compensations income' .

IF (Q1501_C =  1547) AlmnInc =TotPersInc .
VARIABLE LABELS AlmnInc 'Alimony income' .

IF (Q1501_C =  1548) ZakatInc =TotPersInc .
VARIABLE LABELS ZakatInc 'Zakat income' .

IF (Q1501_C =  1549) InhErnInc =TotPersInc .
VARIABLE LABELS InhErnInc 'Inheretance earning income' .

IF (Q1501_C =  1551) LtrPrzInc =TotPersInc .
VARIABLE LABELS LtrPrzInc 'Lotery prize income' .

IF (Q1501_C =  1553) OthtrnsInc =TotPersInc .
VARIABLE LABELS OthtrnsInc 'Other transfer income' .

EXECUTE .


* To find 'Property income_21

IF (Q1501_C >= 1501 & Q1501_C <= 1512) 
    Princome_21 = sum(Q1502A_Q, Q1502B_Q, Q1502C_Q) / 12 .
VARIABLE LABELS Princome_21 'Property income' .

* To find Income from buy property 
 
IF (Q1501_C >= 1513 & Q1501_C <= 1521) 
    Buy_Princome = sum(Q1502A_Q, Q1502B_Q, Q1502C_Q) / 12 .
VARIABLE LABELS Buy_Princome 'Income from buy property ' .



* To find Social salaries_23  

IF (Q1501_C >=  1522 & Q1501_C <= 1535) 
     TRincome_23 =sum (Q1502A_Q , Q1502B_Q , Q1502C_Q) / 12 .
VARIABLE LABELS TRincome_23 'Social salaries' .
EXECUTE .


* To find Other transfer_24

IF (Q1501_C >=  1536 & Q1501_C <= 1549 | Q1501_C = 1551 | Q1501_C = 1553) 
     othertra_24 =sum (Q1502A_Q, Q1502B_Q , Q1502C_Q) / 12 .
VARIABLE LABELS othertra_24 'Other transfer' .
EXECUTE .


* To find Total transfer income_25

COMPUTE Ttincom_25 = sum(TRincome_23 , othertra_24) .
VARIABLE LABELS Ttincom_25 'Total transfer income' .
EXECUTE .

* To find Capital revenues_29

IF (Q1501_C >=  1513 & Q1501_C <= 1521)  
    CapR_29  =sum (Q1502A_Q , Q1502B_Q , Q1502C_Q) / 12 .
VARIABLE LABELS CapR_29  'Capital revenues' .


SAVE OUTFILE='C:\IHSES_TABLES\T9\Household transfers.sav'.

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T9\aggr_Household transfers.sav'
  /BREAK=XHHKEY
  /TotPersInc = SUM(TotPersInc) /AgLndRntInc = SUM(AgLndRntInc) /AgLndInc = SUM(AgLndInc) /OpSpLndInc = SUM(OpSpLndInc)
 /RsdBldInc = SUM(RsdBldInc) /NRsdBldInc = SUM(NRsdBldInc) /EqpRntInc = SUM(EqpRntInc) /TrnsRntInc = SUM(TrnsRntInc)
 /OthrRntInc = SUM(OthrRntInc) /SharesInc = SUM(SharesInc) /PrtPrftnc = SUM(PrtPrftnc) /IntrstInc = SUM(IntrstInc) /IntPrpInc
  = SUM(IntPrpInc) /CvlPnsInc = SUM(CvlPnsInc) /MltPnsInc = SUM(MltPnsInc) /InhPnsInc = SUM(InhPnsInc) /SSPnsInc =
  SUM(SSPnsInc) /DsbPenInc = SUM(DsbPenInc) /SpFPnsInc = SUM(SpFPnsInc) /FmlCrFInc = SUM(FmlCrFInc) /DsbSalInc =
  SUM(DsbSalInc) /MthSalInc = SUM(MthSalInc) /SocNtwInc = SUM(SocNtwInc) /UnEmInc = SUM(UnEmInc) /EmrPymInc = SUM(EmrPymInc)
 /OcpTralInc = SUM(OcpTralInc) /SclrshpInc = SUM(SclrshpInc) /HHIrqCshInc = SUM(HHIrqCshInc) /HHAbrCshInc = SUM(HHAbrCshInc)
 /GovCshInc = SUM(GovCshInc) /OthIrqCshInc = SUM(OthIrqCshInc) /OthAbrAssInc = SUM(OthAbrAssInc) /HHIrqKndInc =
  SUM(HHIrqKndInc) /HHAbrKndInc = SUM(HHAbrKndInc) /GovKndInc = SUM(GovKndInc) /OthIrqKndInc = SUM(OthIrqKndInc) /OthAbrKndInc
  = SUM(OthAbrKndInc) /InsrInc = SUM(InsrInc) /AlmnInc = SUM(AlmnInc) /ZakatInc = SUM(ZakatInc) /InhErnInc = SUM(InhErnInc)
 /LtrPrzInc = SUM(LtrPrzInc) /OthtrnsInc = SUM(OthtrnsInc) /Princome_21 = SUM(Princome_21) /Buy_Princome = SUM(Buy_Princome) /TRincome_23 = SUM(TRincome_23)
 /othertra_24 = SUM(othertra_24) /Ttincom_25 = SUM(Ttincom_25) /CapR_29 = SUM(CapR_29).


GET
  FILE='C:\IHSES_TABLES\T9\aggr_Household transfers.sav'.

**************
VARIABLE LABELS Princome_21 'Property income' .
VARIABLE LABELS AgLndRntInc 'Renting agricutural land income' .
VARIABLE LABELS AgLndInc 'Agricutural land income (sharing)' .
VARIABLE LABELS OpSpLndInc 'Renting open space income' .
VARIABLE LABELS RsdBldInc 'Renting residual building income' .
VARIABLE LABELS NRsdBldInc 'Renting non residual building income' .
VARIABLE LABELS EqpRntInc 'Renting equipments income' .
VARIABLE LABELS TrnsRntInc 'Renting transport means income' .
VARIABLE LABELS OthrRntInc 'Other rent income' .
VARIABLE LABELS SharesInc 'Shares income' .
VARIABLE LABELS PrtPrftnc 'Partnership profit income' .
VARIABLE LABELS IntrstInc 'Interest on bonds and deposits income' .
VARIABLE LABELS IntPrpInc 'Intelectual property and authorship rights income' .
VARIABLE LABELS Princome_21 'Property income' .
VARIABLE LABELS Buy_Princome 'Income from buy property ' .
VARIABLE LABELS  TRincome_23 'Social salaries' .
VARIABLE LABELS othertra_24 'Other transfer' .
VARIABLE LABELS Ttincom_25 'Total transfer income' .
VARIABLE LABELS CvlPnsInc 'Civil pension income' .
VARIABLE LABELS MltPnsInc 'Military pension income' .
VARIABLE LABELS InhPnsInc 'Inheritants pension income' .
VARIABLE LABELS SSPnsInc 'Social security pension income' .
VARIABLE LABELS DsbPenInc 'Disablity pension income' .
VARIABLE LABELS SpFPnsInc 'Special funds pension income' .
VARIABLE LABELS FmlCrFInc 'Family care fund salary income' .
VARIABLE LABELS DsbSalInc 'Disabled salary income' .
VARIABLE LABELS MthSalInc  'Motherhood salary income' .
VARIABLE LABELS SocNtwInc 'Social network assistance income' .
VARIABLE LABELS UnEmInc 'Unemployment compensation income' .
VARIABLE LABELS EmrPymInc 'Emergency payment income' .
VARIABLE LABELS OcpTralInc 'Ocupational training allowances income' .
VARIABLE LABELS SclrshpInc 'Shcolarships income' .
VARIABLE LABELS HHIrqCshInc 'HH in Iraq cash assistance income' .
VARIABLE LABELS HHAbrCshInc 'HH outside Iraq cash assistance income' .
VARIABLE LABELS GovCshInc 'Government cash assistance income' .
VARIABLE LABELS OthIrqCshInc 'Other Iraq sources cash assistance income' .
VARIABLE LABELS OthAbrAssInc 'Other outside Iraq assistance sources income' .
VARIABLE LABELS HHIrqKndInc 'HH in Iraq in kind assistance income' .
VARIABLE LABELS HHAbrKndInc 'HH outside Iraq in kind assistance income' .
VARIABLE LABELS GovKndInc 'Government in kind assistance income' .
VARIABLE LABELS OthIrqKndInc 'Other Iraq sources in kind assistance income' .
VARIABLE LABELS OthAbrKndInc 'Other outside Iraq sources in kind assistance income' .
VARIABLE LABELS InsrInc 'Insurance compensations income' .
VARIABLE LABELS AlmnInc 'Alimony income' .
VARIABLE LABELS ZakatInc 'Zakat income' .
VARIABLE LABELS InhErnInc 'Inheretance earning income' .
VARIABLE LABELS LtrPrzInc 'Lotery prize income' .
VARIABLE LABELS OthtrnsInc 'Other transfer income' .
VARIABLE LABELS CapR_29  'Capital revenues' .

**************

SORT CASES BY XHHKEY (A) .
COMPUTE HHtest4 = XHHKEY .
EXECUTE .

SAVE OUTFILE='C:\IHSES_TABLES\T9\aggr_Household transfers.sav'.
SORT CASES BY XHHKEY (A) .


GET
 FILE='C:\IHSES_TABLES\T9\Household & Income.sav'.
SORT CASES BY XHHKEY (A) .


MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T9\aggr_Household transfers.sav'
 /BY XHHKEY.
EXECUTE.


SAVE OUTFILE='C:\IHSES_TABLES\T9\Household & Income.sav'.

COMPUTE CHECK4 = XHHKEY - HHtest4.
EXECUTE .

FREQUENCIES
  VARIABLES=CHECK4
  /ORDER=  ANALYSIS.


* To find Total incom received_27

COMPUTE TINREC_27 = SUM(Ticome_8,TOTEMP19,Princome_21,Ttincom_25) .
VARIABLE LABELS TINREC_27 'Total incom received' .
EXECUTE .


SAVE OUTFILE='C:\IHSES_TABLES\T9\Household & Income.sav'.
EXECUTE .


* To find Total incom plus price subsidies_28

GET
 FILE='C:\IHSES_TABLES\T8\All expenditure by subgroup.sav'.
 SORT CASES BY XHHKEY (A) .
COMPUTE HHH = XHHKEY .

 SORT CASES BY XHHKEY (A) .

WEIGHT
  OFF.

SAVE OUTFILE='C:\IHSES_TABLES\T8\All expenditure by subgroup.sav'.
EXECUTE .

GET
 FILE='C:\IHSES_TABLES\T9\Household & Income.sav'.
 SORT CASES BY XHHKEY (A) .

MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T8\All expenditure by subgroup.sav'
 /BY xhhkey.
EXECUTE.

COMPUTE HHHTEST = XHHKEY - HHH .
EXECUTE .

FREQUENCIES
  VARIABLES=HHHTEST
  /ORDER=  ANALYSIS .



RECODE
  Princome_21 Buy_Princome TRincome_23 othertra_24 Ttincom_25 CapR_29 TINREC_27    (Lowest thru 0=0)  .
EXECUTE .

RECODE
  Princome_21 Buy_Princome TRincome_23 othertra_24 Ttincom_25 CapR_29 TINREC_27    (SYSMIS=0)  .
EXECUTE .


COMPUTE Def = expendm- expendp .
VARIABLE LABELS Def 'Difference betwen market amd paid prices' .
EXECUTE .


COMPUTE TIPRec_28 = SUM (TINREC_27 , Def ) .
VARIABLE LABELS TIPRec_28 'Total incom plus price subsidies' .
EXECUTE .


SAVE OUTFILE='C:\IHSES_TABLES\T9\Household & Income.sav'.

DESCRIPTIVES
  VARIABLES=All 
  /STATISTICS=MEAN STDDEV MIN MAX .


* to find Per.Cap. income (000ID/month)

COMPUTE Perincmsiz = TIPRec_28/ XHHSIZE .
VARIABLE LABELS Perincmsiz 'Per capita income' .
EXECUTE .

** to find Person income (000ID/month)

IF (Perincmsiz < 60) PerincmGRP = 1 .
IF (Perincmsiz  >=  60 & Perincmsiz < 80) PerincmGRP = 2 .
IF (Perincmsiz  >=  80 & Perincmsiz < 100) PerincmGRP = 3 .
IF (Perincmsiz >=  100 & Perincmsiz < 120) PerincmGRP = 4 .
IF (Perincmsiz  >=  120 & Perincmsiz < 140) PerincmGRP = 5 .
IF (Perincmsiz  >=  140 & Perincmsiz < 160) PerincmGRP = 6 .
IF (Perincmsiz  >=  160 & Perincmsiz < 180) PerincmGRP = 7 .
IF (Perincmsiz  >=  180 & Perincmsiz < 200) PerincmGRP = 8 .
IF (Perincmsiz  >=  200 & Perincmsiz < 300) PerincmGRP = 9 .
IF (Perincmsiz  >=  300 & Perincmsiz < 400) PerincmGRP = 10 .
IF (Perincmsiz  >=  400) PerincmGRP = 11 .
EXECUTE .

value lables  PerincmGRP
1   'less than 60 '
2   '60-less than 80'  
3   '80-less than 100 ' 
4   '100-less than 120 '
5   '120-less than 140 '
6   '140-less than 160 '
7   '160-less than 180 '
8   '180 -less than 200 '
9   '200 -less than 300 '
10 '300 -less than 400 '
11 '400 or more '.

*Define Variable Properties.
*PerincmGRP.
VARIABLE LEVEL PerincmGRP  (NOMINAL).
EXECUTE.

FREQUENCIES
  VARIABLES=PerincmGRP
  /ORDER=  ANALYSIS .


** to find HH income (000ID/month)

IF (TIPRec_28 < 400) HHincmGRP = 1 .
IF (TIPRec_28 >=  400 & TIPRec_28  < 500) HHincmGRP = 2 .
IF (TIPRec_28  >=  500 & TIPRec_28  < 600) HHincmGRP = 3 .
IF (TIPRec_28  >=  600 & TIPRec_28  < 700) HHincmGRP = 4 .
IF (TIPRec_28  >=  700 & TIPRec_28  < 800) HHincmGRP = 5 .
IF (TIPRec_28  >=  800 & TIPRec_28  < 900) HHincmGRP = 6 .
IF (TIPRec_28  >=  900 & TIPRec_28  < 1000) HHincmGRP = 7 .
IF (TIPRec_28  >=  1000 & TIPRec_28  < 1200) HHincmGRP = 8 .
IF (TIPRec_28  >=  1200 & TIPRec_28  < 1500) HHincmGRP = 9 .
IF (TIPRec_28  >=  1500 & TIPRec_28  < 2000) HHincmGRP = 10 .
IF (TIPRec_28  >=  2000) HHincmGRP = 11 .
EXECUTE .

 value lables HHincmGRP
1' less than 400 '
2 ' 400-less than 500'  
3 ' 500-less than 600 ' 
4 '600-less than 700 '
5 '700-less than 800 '
6 '800-less than 900 '
7 '900-less than 1000 '
8 '1000-less than 1200 '
9 '1200-less than 1500 '
10 '1500-less than 2000 '
11 '2000 or more '.

*Define Variable Properties.
*HHincmGRP.
VARIABLE LEVEL HHincmGRP  (NOMINAL).
EXECUTE.

FREQUENCIES
  VARIABLES=HHincmGRP
  /ORDER=  ANALYSIS .


********************

* to find HH Size GRP

RECODE
  XHHSIZE
  (0=0)  (1 thru 2=1)  (3=2)  (4=3)  (5=4)  (6=5)  (7=6)  (8=7) (9=8) (10=9) (11 thru 12 =10) (13 thru Highest=11)   INTO HHsizeGRP .
VARIABLE LABELS HHsizeGRP 'Household size group' .

EXECUTE .

value lables HHsizeGRP 
1 '1-2'
2 '3'
3 '4'
4 '5'
5 '6'
6 '7'
7 '8'
8 '9'
9 '10'
10'11-12'
11 '13 and more'.

* to find HH Environment GRP

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  xstratGRP.
 VARIABLE LABELS xstratGRP  'Gov. center, other urban and rural groups'.

EXECUTE .

value lables xstratGRP
1 'Governorate center'
2 'Other urban'
3 'Rural'.

RECODE
  XSTRAT
(1=2)  (2 thru 5=1)  INTO  xstratPGRP.
 VARIABLE LABELS xstratPGRP 'Urban and rural groups' .
EXECUTE .

value lables xstratPGRP
1 'Urban'
2 'Rural'.


RECODE
Ticome_8 TOTEMP19 Princome_21 Buy_Princome TRincome_23 othertra_24 Ttincom_25 TINREC_27 CapR_29 (MISSING = 0).
EXECUTE .

FREQUENCIES
  VARIABLES=HHincmGRP PerincmGRP HHsizeGRP xstratGRP xstratPGRP
  /ORDER=  ANALYSIS .



SAVE OUTFILE='C:\IHSES_TABLES\T9\Household & Income.sav'.

WEIGHT
  BY weight .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=TINREC_27 XGOV DISPLAY=DEFAULT
  /TABLE XGOV [C] BY TINREC_27 [MEAN]
  /CATEGORIES VARIABLES=XGOV ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=xhhkey Ticome_8 TOTEMP19 Princome_21 TRincome_23 othertra_24 Ttincom_25 TINREC_27  TIPRec_28 Perincmsiz xgov
    DISPLAY=DEFAULT
  /TABLE xgov BY xhhkey [COUNT F40.0] + Ticome_8 [MEAN] + TOTEMP19 [MEAN] + Princome_21 [MEAN] + TRincome_23 [MEAN] +
  othertra_24 [MEAN] + Ttincom_25 [MEAN] + TINREC_27 [MEAN] +TIPRec_28 [MEAN]+ Perincmsiz [MEAN]
  /CATEGORIES VARIABLES=xgov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.




