*********************************************************************************
**  Table 10-1 : Households  and their members by income groups 
*********************************************************************************

GET
  FILE='C:\IHSES_TABLES\T9\Household & Income.sav'.

WEIGHT
  OFF.

**=======================================
**to find the small difference between incomes
**using random uniform function between 0 and 0.01
**======================================= 

delete variables mainsource.

COMPUTE  R_Ticome=Ticome_8 +RV.UNIFORM(0,0.01).
COMPUTE  R_TOTEMP19=TOTEMP19+RV.UNIFORM(0,0.01).
COMPUTE  R_Princome_21 =Princome_21 +RV.UNIFORM(0,0.01).
COMPUTE  R_Ttincom_25 =Ttincom_25 +RV.UNIFORM(0,0.01).
COMPUTE  R_Def =Def + RV.UNIFORM(0,0.01).
EXECUTE .

IF (R_Ticome> R_TOTEMP19 & R_Ticome>R_Princome_21& R_Ticome>R_Ttincom_25 & R_Ticome>R_Def) mainsource = 1 .
IF (R_TOTEMP19 > R_Ticome & R_TOTEMP19 > R_Princome_21& R_TOTEMP19 >R_Ttincom_25 & R_TOTEMP19> R_Def) mainsource = 2 .
IF (R_Princome_21> R_TOTEMP19 & R_Princome_21> R_Ticome & R_Princome_21>R_Ttincom_25 & R_Princome_21> R_Def) mainsource = 3 .
IF (R_Ttincom_25> R_Princome_21 & R_Ttincom_25> R_TOTEMP19   & R_Ttincom_25> R_Ticome & R_Ttincom_25> R_Def) mainsource = 4 .
IF (R_Def >R_Ticome & R_Def > R_TOTEMP19 & R_Def > R_Princome_21 & R_Def > R_Ttincom_25) mainsource = 5 .
EXECUTE .

value lables mainsource
1 'Wages,salaries and alike'
2 'Income of own account workers & entrepreneurs'
3 'Income from property'
4 'Transfers income'
5 'Subsidies'.

FREQUENCIES VARIABLES=mainsource
  /ORDER=  ANALYSIS .

*++++++


RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  xstratGRP.
 VARIABLE LABELS xstratGRP  'Gov. center, other urban and rural groups'.

EXECUTE .

value lables xstratGRP
1 'Governorate center'
2 'Other urban'
3 'Rural'.

RECODE
  XSTRAT
(1=2)  (2 thru 5=1)  INTO  xstratPGRP.
 VARIABLE LABELS xstratPGRP 'Urban and rural groups' .
EXECUTE .

value lables xstratPGRP
1 'Urban'
2 'Rural'.


WEIGHT
BY weight .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=xstratGRP HHincmGRP PerincmGRP mainsource DISPLAY=DEFAULT
  /TABLE HHincmGRP [C][COLPCT.COUNT PCT40.1] + PerincmGRP [C][COLPCT.COUNT PCT40.1] + mainsource [C][COLPCT.COUNT
  PCT40.1] BY xstratGRP [C]
  /CATEGORIES VARIABLES=xstratGRP HHincmGRP PerincmGRP mainsource ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER.


WEIGHT
  OFF.

COMPUTE  weight_PER=weight*XHHSIZE.
EXECUTE .

WEIGHT
BY weight_PER .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=xstratGRP HHincmGRP PerincmGRP mainsource DISPLAY=DEFAULT
  /TABLE HHincmGRP [C][COLPCT.COUNT PCT40.1] + PerincmGRP [C][COLPCT.COUNT PCT40.1] + mainsource [C][COLPCT.COUNT
  PCT40.1] BY xstratGRP [C]
  /CATEGORIES VARIABLES=xstratGRP HHincmGRP PerincmGRP mainsource ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER.

WEIGHT
  OFF.



