*******************table 10-10 & table 10-11****************

GET
  FILE='C:\IHSES_TABLES\T8\All expenditure by subgroup.sav'.

WEIGHT
  OFF.

SAVE OUTFILE='C:\IHSES_TABLES\T9\Monthly Expendituer OF household for all items.sav'
 /COMPRESSED.

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T9\aggr_expend_M_P.sav'
  /BREAK=XHHKEY
  /expendm = SUM(expendm).

GET
  FILE='C:\IHSES_TABLES\T9\aggr_expend_M_P.sav'.

SORT CASES BY
  XHHKEY (A) .

COMPUTE HHtest11 = XHHKEY .
EXECUTE .

SAVE OUTFILE='C:\IHSES_TABLES\T9\aggr_expend_M_P.sav'
 /COMPRESSED.

GET
  FILE='C:\IHSES_TABLES\T9\Household & Income.sav'.

SORT CASES BY
  XHHKEY (A) .

MATCH FILES /FILE=*
 /TABLE='C:\IHSES_TABLES\T9\aggr_expend_M_P.sav'
 /BY XHHKEY.
EXECUTE.

COMPUTE test11= XHHKEY- HHtest11.
EXECUTE.

FREQUENCIES
  VARIABLES= test11
  /ORDER=  ANALYSIS.

IF (expendm < 400) HHExpGr = 1 .
IF (expendm  >=  400 & expendm < 500) HHExpGr = 2 .
IF (expendm  >=  500 & expendm < 600) HHExpGr = 3 .
IF (expendm  >=  600 & expendm < 700) HHExpGr = 4 .
IF (expendm  >=  700 & expendm < 800) HHExpGr = 5 .
IF (expendm  >=  800 & expendm < 900) HHExpGr = 6 .
IF (expendm  >=  900 & expendm < 1000) HHExpGr = 7 .
IF (expendm  >=  1000 & expendm < 1200) HHExpGr = 8 .
IF (expendm  >=  1200 & expendm < 1500) HHExpGr = 9 .
IF (expendm  >=  1500 & expendm < 2000) HHExpGr = 10 .
IF (expendm  >=  2000) HHExpGr = 11 .
EXECUTE .

VARIABLE LABELS HHExpGr ' Household expenditure group at market prices'.


VALUE  LABLES HHExpGr 
1' less than 400 '
2 ' 400-less than 500'  
3 ' 500-less than 600 ' 
4 '600-less than 700 '
5 '700-less than 800 '
6 '800-less than 900 '
7 '900-less than 1000 '
8 '1000-less than 1200 '
9 '1200-less than 1500 '
10 '1500-less than 2000 '
11 '2000 or more '.

WEIGHT
 BY weight .


****************ROW% 10-10**************

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=HHincmGRP HHExpGr DISPLAY=DEFAULT
  /TABLE HHExpGr [C][ROWPCT.COUNT PCT40.1] BY HHincmGRP [C]
  /CATEGORIES VARIABLES=HHincmGRP HHExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

****************COULMN% 10-11**************


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=HHincmGRP HHExpGr DISPLAY=DEFAULT
  /TABLE HHExpGr [C] BY HHincmGRP [C][COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=HHincmGRP HHExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

