
**  Table 10-2 : Average households size and proportion of adults by income groups   **
*****************************************************************************************************

GET
  FILE='C:\IHSES_TABLES\T9\Household & Income.sav'.


SORT CASES BY
  xhhkey (A) .

WEIGHT
  OFF.

SAVE OUTFILE='C:\IHSES_TABLES\T9\Household & Income.sav'
 /COMPRESSED.

GET
  FILE='C:\IHSES_TABLES\Originals\IHSES02-Individuals.sav'.

SORT CASES BY
  xhhkey (A) .


RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  xstratGRP.
 VARIABLE LABELS xstratGRP  'Gov. center, other urban and rural groups'.

EXECUTE .

value lables xstratGRP
1 'Governorate center'
2 'Other urban'
3 'Rural'.


 IF (Q0103 >= 15) Adlt_tot =  1 .
 IF (Q0103 < 15  ) Adlt_tot =  0 .

 IF (Q0103 >= 15 & xstratGRP=1) Adlt_GC =  1 .
 IF (Q0103 < 15 & xstratGRP=1 ) Adlt_GC =  0 .

 IF (Q0103 >= 15 & xstratGRP=2) Adlt_OU=  1 .
 IF (Q0103 < 15 & xstratGRP=2) Adlt_OU =  0 .

 IF (Q0103 >= 15 & xstratGRP=3) Adlt_R=  1 .
 IF (Q0103 < 15 & xstratGRP=3) Adlt_R =  0 .

EXECUTE .

WEIGHT
  OFF.


AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T9\agr-adltchck.sav'
  /BREAK=XHHKEY
  /Adlt_tot = SUM(Adlt_tot) /Adlt_GC = SUM(Adlt_GC) /Adlt_OU = SUM(Adlt_OU) /Adlt_R = SUM(Adlt_R).

GET
  FILE='C:\IHSES_TABLES\T9\agr-adltchck.sav'.
  SORT CASES BY XHHKEY (A) .

COMPUTE HHtest5 = XHHKEY .
EXECUTE .

SAVE OUTFILE='C:\IHSES_TABLES\T9\agr-adltchck.sav'.

GET
  FILE='C:\IHSES_TABLES\T9\Household & Income.sav'.
  SORT CASES BY XHHKEY (A) .


**=======================================
**to find the small difference between incomes
**using random uniform function between 0 and 0.01
**======================================= 

delete variables mainsource.

COMPUTE  R_Ticome=Ticome_8 +RV.UNIFORM(0,0.01).
COMPUTE  R_TOTEMP19=TOTEMP19+RV.UNIFORM(0,0.01).
COMPUTE  R_Princome_21 =Princome_21 +RV.UNIFORM(0,0.01).
COMPUTE  R_Ttincom_25 =Ttincom_25 +RV.UNIFORM(0,0.01).
COMPUTE  R_Def =Def + RV.UNIFORM(0,0.01).
EXECUTE .

IF (R_Ticome> R_TOTEMP19 & R_Ticome>R_Princome_21& R_Ticome>R_Ttincom_25 & R_Ticome>R_Def) mainsource = 1 .
IF (R_TOTEMP19 > R_Ticome & R_TOTEMP19 > R_Princome_21& R_TOTEMP19 >R_Ttincom_25 & R_TOTEMP19> R_Def) mainsource = 2 .
IF (R_Princome_21> R_TOTEMP19 & R_Princome_21> R_Ticome & R_Princome_21>R_Ttincom_25 & R_Princome_21> R_Def) mainsource = 3 .
IF (R_Ttincom_25> R_Princome_21 & R_Ttincom_25> R_TOTEMP19   & R_Ttincom_25> R_Ticome & R_Ttincom_25> R_Def) mainsource = 4 .
IF (R_Def >R_Ticome & R_Def > R_TOTEMP19 & R_Def > R_Princome_21 & R_Def > R_Ttincom_25) mainsource = 5 .
EXECUTE .

value lables mainsource
1 'Wages,salaries and alike'
2 'Income of own account workers & entrepreneurs'
3 'Income from property'
4 'Transfers income'
5 'Subsidies'.

FREQUENCIES VARIABLES=mainsource
  /ORDER=  ANALYSIS .


MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T9\agr-adltchck.sav'
 /BY XHHKEY.
EXECUTE.

COMPUTE cnick4 = XHHKEY - HHtest5.
EXECUTE .

FREQUENCIES
  VARIABLES=cnick4
  /ORDER=  ANALYSIS.

 
COMPUTE Adlt_tot_DIV = (Adlt_tot/XHHSIZE )*100  .
COMPUTE Adlt_GC_DIV = (Adlt_GC/XHHSIZE) *100  .
COMPUTE Adlt_OU_DIV  = (Adlt_OU/XHHSIZE )*100 .
COMPUTE Adlt_R_DIV  = (Adlt_R/XHHSIZE) *100 .
EXECUTE .

VARIABLE LABELS Adlt_tot_DIV 'Total' .
VARIABLE LABELS Adlt_GC_DIV 'GovCenter' .
VARIABLE LABELS Adlt_OU_DIV 'Other Urban' .
VARIABLE LABELS Adlt_R_DIV 'Rural' .
EXECUTE .


*RECODE
*Adlt_tot_DIV Adlt_GC_DIV Adlt_OU_DIV Adlt_R_DIV  (SYSMIS=0)  .
*EXECUTE .


WEIGHT
  BY weight .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Adlt_tot_DIV Adlt_GC_DIV Adlt_OU_DIV Adlt_R_DIV xhhsize xstratGRP HHincmGRP PerincmGRP mainsource
    DISPLAY=DEFAULT
  /TABLE HHincmGRP [C] + PerincmGRP [C] + mainsource [C] BY Adlt_GC_DIV [MEAN] + Adlt_OU_DIV
  [MEAN] + Adlt_R_DIV [MEAN] +Adlt_tot_DIV [MEAN]+ xhhsize [MEAN] > xstratGRP [C]
  /CATEGORIES VARIABLES=xstratGRP HHincmGRP PerincmGRP mainsource ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER.

WEIGHT
  OFF.



