************Table 8-10************
**    Table 10-8:  	Wage earner age 15+and thier average wages  (% of HHs)
**    Prepared by: 	Dahlia Al Any
**    Date:		September 2007
**    Status:		Incomplete
**
**	Variables needed:
**
**		(1) age group
**		(2) Education
**		(3) economic activity	
**		(4) Occupation (Legislators& senior officials & managers, Professionals, etc.)
*****************************************************************************************************************
** STEP 1:  We open the file with jobs, rename the Individual ID and save it with another name 
*****************************************************************************************************************

GET FILE='C:\IHSES_TABLES\Originals\IHSES10-Jobs.sav'.
rename variable Q1200_PE = XPERS.
SORT CASES BY XHHKEY (A)  XPERS (A) .
SAVE OUTFILE='C:\IHSES_TABLES\T9\Job_10-8.sav'  /COMPRESSED.

*****************************************************************************************************************
** STEP 2:  We select the "Main Occupation", following the criteria below:
**				
**		score = sum(months worked) /12 + sum(hours_worked)/40
**		Select job with Max score
**		
*****************************************************************************************************************

IF (Q1203_01<0) Q1203_01 = 0 . 
IF (Q1203_02<0) Q1203_02 = 0 . 
IF (Q1203_03<0) Q1203_03 = 0 . 
IF (Q1203_04<0) Q1203_04 = 0 . 
IF (Q1203_05<0) Q1203_05 = 0 . 
IF (Q1203_06<0) Q1203_06 = 0 . 
IF (Q1203_07<0) Q1203_07 = 0 . 
IF (Q1203_08<0) Q1203_08 = 0 . 
IF (Q1203_09<0) Q1203_09 = 0 . 
IF (Q1203_10<0) Q1203_10 = 0 . 
IF (Q1203_11<0) Q1203_11 = 0 . 
IF (Q1203_12<0) Q1203_12 = 0 . 
IF (Q1204_01<0) Q1204_01 = 0 . 
IF (Q1204_02<0) Q1204_02 = 0 . 
IF (Q1204_03<0) Q1204_03 = 0 . 
IF (Q1204_04<0) Q1204_04 = 0 . 
IF (Q1204_05<0) Q1204_05 = 0 . 
IF (Q1204_06<0) Q1204_06 = 0 . 
IF (Q1204_07<0) Q1204_07 = 0 . 
EXECUTE .

compute sum_mths 	= sum(Q1203_01, Q1203_02, Q1203_03, Q1203_04, Q1203_05, Q1203_06, Q1203_07, Q1203_08, Q1203_09, Q1203_10, Q1203_11, Q1203_12).
formats sum_mths (F3).
compute sum_hrs 	= sum(Q1204_01, Q1204_02, Q1204_03, Q1204_04, Q1204_05, Q1204_06, Q1204_07).
formats sum_hrs (F3).
compute score 	= sum( sum_mths/12,  sum_hrs/40, (4-Q1200_SN) / 4 ) .
formats score (F2.1).

SAVE OUTFILE='C:\IHSES_TABLES\T9\Job_10-8.sav'  /COMPRESSED.
GET FILE='C:\IHSES_TABLES\T9\Job_10-8.sav'.

*************************************************************************************************************************************
***	We aggregate the number of hours for ALL possible activities of the individual:
*************************************************************************************************************************************

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T9\temp_hrs12.sav'
  /BREAK=XHHKEY XPERS
  /sum_hrs12 = SUM(sum_hrs).

GET FILE='C:\IHSES_TABLES\T9\temp_hrs12.sav'.
SORT CASES BY   XHHKEY (A) XPERS.
SAVE OUTFILE='C:\IHSES_TABLES\T9\temp_hrs12.sav'.

GET FILE='C:\IHSES_TABLES\T9\Job_10-8.sav'.

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T9\aggr.sav'
  /BREAK=XHHKEY XPERS
  /score = MAX(score).

GET FILE='C:\IHSES_TABLES\T9\Aggr.sav'.
SORT CASES BY   XHHKEY (A) XPERS (A) score (A) .
compute flag=1.
formats flag (N1).
SAVE OUTFILE='C:\IHSES_TABLES\T9\aggr.sav'  
/COMPRESSED.

GET FILE='C:\IHSES_TABLES\T9\Job_10-8.sav' .
SORT CASES BY   XHHKEY (A) XPERS (A) score (A) .
SAVE OUTFILE='C:\IHSES_TABLES\T9\Job_10-8.sav'  /COMPRESSED.

MATCH FILES /FILE=*
 /TABLE='C:\IHSES_TABLES\T9\aggr.sav'  /BY XHHKEY XPERS score.
EXECUTE.

** We keep only the jobs that have max score, which means flag=1

FILTER OFF.
USE ALL.
SELECT IF(flag=1).
EXECUTE .

delete variables  flag, sum_mths, sum_hrs, score.

************************************************************************************
** Now in the file Job_10-8.sav we have the MAIN job:
************************************************************************************

SAVE OUTFILE='C:\IHSES_TABLES\T9\Job_10-8.sav'  /COMPRESSED.

*****************************************************************************************************************
** STEP 3:  We open the file with individuals, and match the jobs from the new job's file and match the main
**	      occupation of each individual
*****************************************************************************************************************

GET  FILE='C:\IHSES_TABLES\Originals\IHSES02-Individuals.sav'.
SORT CASES BY   XHHKEY (A) XPERS.

MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T9\temp_hrs12.sav'
 /BY XHHKEY XPERS.
EXECUTE.

WEIGHT
  OFF.


****************************************************************************************************************
** Drop variables that we don't need and save it with another name 
****************************************************************************************************************

DELETE variables Q0401_A1 Q0401_A2 Q0401_A3 Q0401_A4 Q0401_B1 Q0401_B2 Q0401_B3 Q0401_B4 Q0401_C1 Q0401_C2 Q0401_C3 Q0401_C4
  Q0403 Q0405 Q0407_A Q0407_B Q0408 Q0409 Q0411 Q0412 Q0413 Q0414 Q0415 Q0416 Q0417 Q0418_1 Q0418_2
  Q0418_3 Q0418_4 Q0418_5 Q0418_6 Q0418_7 Q0418_8 Q0418_9 Q0501 Q0502_1 Q0502_2 Q0502_3 Q0502A_1 Q0502A_2 Q0502A_3 Q0503_A
  Q0504 Q0504A_1 Q0504A_2 Q0504A_3 Q0505_B Q0506 Q0507 Q0508_A Q0508_B Q0509 Q0510 Q0511 Q0512 Q0513 Q0514 Q0515 Q0516_1
  Q0516_2 Q0516_3 Q0516_4 Q0516_5 Q0516_6 Q0517 Q0518 Q0519 Q0520 Q0521_M Q0521_Y Q0522 Q0523 Q0524 Q0525 Q0526 Q0527 Q0528
  Q0529 Q0530 Q0531 Q0532 Q0533 Q0534 Q0601A Q0601B Q0601C Q0601D Q0601E Q0601F Q0602 Q0603_1 Q0603_2 Q0603_3 Q0603_4 Q0604_1
  Q0604_2 Q0604_3 Q0605_1 Q0605_2 Q0605_3 Q0606 .

SORT CASES BY  XHHKEY (A) XPERS (A) .


MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T9\Job_10-8.sav'
 /RENAME (XCLUSTER XGOV XHHSIZE XSTRAT XWAVE = d0 d1 d3 d4 d5)
 /BY XHHKEY XPERS
 /DROP= d0 d1 d3 d4 d5.
EXECUTE.

FILTER OFF.
USE ALL.
SELECT IF(not missing(XCLUSTER)).
EXECUTE .


SAVE OUTFILE='C:\IHSES_TABLES\T9\Individuals_jobs.sav'.

*****************************************************************************************************************
**Step 4:Finding Employed and Un economicaly Active

**Unemplyed Q0701 = 0 & ( sum_hrs12 = 0 | missing(sum_hrs12) ) &  Q0703 = 1 & Q0702 ~= 9 & Q0705 ~= 4 & Q0707 = 1
**Working if Q0701 >0 | sum_hrs12 >0 | Q0702 = 9
**The Person is economicaly active means  he is not working and not searching for work 

*****************************************************************************************************************

IF ( Q0701 >0 | sum_hrs12 >0 | Q0702 = 9) Working = 1 .
EXECUTE .

IF ( Q0701 = 0 & ( sum_hrs12 = 0 | missing(sum_hrs12) ) &  Q0703 = 1 & Q0702 ~= 9 & Q0705 ~= 4 & Q0707 = 1) Unemployed = 1 .
EXECUTE .

COMPUTE Econ_active = SUM(Unemployed ,Working) .   
EXECUTE .

RECODE
  Econ_active  (SYSMIS=0)  .
EXECUTE .

IF (Econ_active = 0) NotEc_activ= 1 .
IF (Econ_active = 1) NotEc_activ= 0 .


*****************************************************************************************************************
** STEP 5:  Create variable Occupation:
**			1. Legislators& senior officials & managers	
**			2. Professionals	
**			3. Technicians & associate professionals	
**			4. Clerks	
**			5. Services and sales workers	
**			6. skilled agriculture & fishery workers	
**			7. Craft & related trade workers	
**			8. Plant& machine operators& assembl.	
**			9. Elementary occupations	
**			10. Other occupations	
**			11. Not economically active	
*****************************************************************************************************************

COMPUTE Occupation  = TRUNC(Q1201/1000) .

**if some cases equal 0 add them to to Elementary Occupation
**if some cases are missing add to unknown

IF (Occupation  = 0) Occupa_gr= 9  .                 
IF (Occupation  > 0) Occupa_gr= Occupation  .
IF MISSING(Occupation) Occupa_gr= 10.
IF (NotEc_activ  =1) Occupa_gr= 11 .
IF (Unemployed=1)  Occupa_gr = 12 .

VARIABLE LABELS Occupation  'Occupation' .
VARIABLE LABELS Occupa_gr  'Occupation group' .
EXECUTE .


VALUE LABELS Occupa_gr 
  0 'Other Occupations'
  1'Lagislatores and senior officials & mangers'
  2 'Professionals'
  3'Technicians & associate profess'
  4'Clerks'
  5'Services and sales workers'
  6'Skilled agriculture & fishery workers'
  7'Craft & related trade workers'
  8'Plant machine operatores & assemblers'
  9'Elementary Occupation'
 10'Unknown'
11'Not Economically active'
12'Unemplyed'.
EXECUTE . 

FREQUENCIES   VARIABLES=Occupa_gr  /ORDER=  ANALYSIS .

SAVE OUTFILE='C:\IHSES_TABLES\T9\Individuals_jobs.sav'.


*****************************************************************************************************************
 ** STEP 6:  Create variable Econ. activity:
 **			1  'Agriculture & Hunting' 
 **			2  'Fishing'
 **			3  'Mining' 
 **			4  'Manufacturing industry' 
 **			5  'Electricity, gas ,water'
 **			6  'Building and construction' 
 **			7  'Wholesale & Retail Trade, repair of motor vehicles '
 **			 8  'Trade,Resturant &Hotels'
 **			 9  'Transportation &Communications'
 **			 10'Finance  intermediation'
 **			 11'Real estate , renting and business activities'
 **			 12'Public administration and defence ; compulsory'
 **			 13'Education'
 **			 14'Health and Social Work'
 **			 15'Other community , social and personal services activities '
 **			 16'Housing services'
 **			 17'Extra-territorial Organizations and bodies'
 **			 18' Not Economically active'
 **			 19'Unemplyed' .
*****************************************************************************************************************

GET
  FILE='C:\IHSES_TABLES\Originals\IHSES11-Self-employment activities.sav'.

STRING 	 Act_cod (A1).
COMPUTE Act_cod = q1205cod .
EXECUTE .

SORT CASES BY XHHKEY (A) Act_cod (A) .

SAVE OUTFILE='C:\IHSES_TABLES\T9\Self-employment activities_code.sav'.

GET FILE='C:\IHSES_TABLES\T9\Individuals_jobs.sav'.

delete variables   Act_cod .

STRING      Act_cod (A1).
COMPUTE Act_cod = Q1202E .
EXECUTE .

SORT CASES BY XHHKEY (A) Act_cod (A) .

MATCH FILES /FILE=*
 /TABLE='C:\IHSES_TABLES\T9\Self-employment activities_code.sav'
 /RENAME (XCLUSTER XGOV  XHHSIZE XSTRAT XWAVE = d0 d1 d3 d4 d5)
 /BY XHHKEY Act_cod 
 /DROP= d0 d1 d3 d4 d5.
EXECUTE.

SAVE OUTFILE='C:\IHSES_TABLES\T9\Individuals_jobs.sav'.

IF (MISSING(Q1302) | MISSING(q1205act)) Per_Activ = SUM(Q1302,q1205act) .
VARIABLE LABELS Per_Activ 'Persons Activity' .
EXECUTE .

COMPUTE Activity_gr = TRUNC(Per_Activ/10) .

VARIABLE LABELS Activity_gr 'Main Economic Activity' .
EXECUTE .

IF  ((Activity_gr=01|Activity_gr=02|Activity_gr=05) | Q1202B1=1) 		Activity_gr=1.
IF  (Activity_gr >= 10 & Activity_gr <= 14) 			Activity_gr=3.
IF  (Activity_gr >= 15 & Activity_gr <= 37) 			Activity_gr=4.
IF  (Activity_gr = 40 | Activity_gr = 41) 				Activity_gr=5.
IF  (Activity_gr = 45)   							Activity_gr =6.
IF  (Activity_gr >= 50 & Activity_gr <= 52) 			Activity_gr=7.
IF  (Activity_gr = 55) 							Activity_gr=8.
IF  (Activity_gr >= 60 & Activity_gr <= 64) 			Activity_gr=9.
IF  (Activity_gr >= 65 & Activity_gr <= 67) 			Activity_gr=10.
IF  (Activity_gr >= 70 & Activity_gr <= 74) 			Activity_gr=11.
IF  (Activity_gr =75) 							Activity_gr =12.
IF  (Activity_gr =80) 							Activity_gr =13.
IF  (Activity_gr =85) 							Activity_gr =14.
IF  ((Activity_gr >= 90 & Activity_gr <= 93)| (Activity_gr >= 95 & Activity_gr <= 97)|(Activity_gr =99))			Activity_gr=15.
IF  MISSING(Activity_gr)                                                       Activity_gr= 18.
IF (NotEc_activ >0) 							Activity_gr =19.
IF (Unemployed=1) 							Activity_gr =20 .

VALUE LABELS Activity_gr 
 1  'Agriculture & Hunting' 
 3  'Mining' 
 4  'Manufacturing industry' 
 5  'Electricity, gas ,water'
 6  'Building and construction' 
 7  'Wholesale & Retail Trade, repair of motor vehicles '
 8  'Trade,Resturant &Hotels'
 9  'Transportation &Communications'
 10'Finance  intermediation'
 11'Real estate , renting and business activities'
 12'Public administration and defence ; compulsory'
 13'Education'
 14'Health and Social Work'
 15'Other community , social and personal services activities&Extra-territorial Organizations and bodies '
 18'Unknown'
 19' Not Economically active'
 20'Unemplyed' .
EXECUTE .

FREQUENCIES   VARIABLES=Activity_gr  /ORDER=  ANALYSIS .

SAVE OUTFILE='C:\IHSES_TABLES\T9\Individuals_jobs.sav'.

*****************************************************************************************************************
** STEP 7:  Defien Age Group
**	(1) '15-19'
**	(2) '20-24'
**	(3) '25-29'
**	(4) '30-34'
**	(50 '35-39'
**	(6) '40-44'
**	(7) '45-49'
**	(8) '50-59'
**	(9) '60-69'
**	(10) '70 and more'.
*****************************************************************************************************************

RECODE
  Q0103
  (0 thru 14=0) (15 thru 19=1)  (20 thru 24=2)  (25 thru 29=3)  (30 thru 34=4)  (35 thru 39=5)  (40 thru 44=6)  (45 thru 49=7)  (50 thru
  59=8)  (60 thru 69=9)  (70 thru Highest=10)  INTO  AgeGrp .
VARIABLE LABELS AgeGrp 'Age Group'.
EXECUTE .

value lables AgeGrp 
0 '0-14'
1 '15-19'
2 '20-24'
3 '25-29'
4 '30-34'
5 '35-39'
6 '40-44'
7 '45-49'
8 '50-59'
9 '60-69'
10 '70 and more'.
EXECUTE .

FREQUENCIES   VARIABLES=AgeGrp  /ORDER=  ANALYSIS .

SAVE OUTFILE='C:\IHSES_TABLES\T9\Individuals_jobs.sav'.

*****************************************************************************************************************
** STEP 8:  To Defind education Group
**1 'Illiterate'
**2 'Read or read and write'
**3 'Elementary'
**4 'Intermediate'
**5 'Secondary ot int.Diploma'
**6 'Bachelor'
**7 'High Degrees'
**8 'Other'.
*****************************************************************************************************************

RECODE
  q0406
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (8=7) (9=8) (6 thru 7=6) (10 thru 12=9) (13=10)   INTO  new_406 .
EXECUTE .

VALUE LABELS new_406 
 1'illetrate' 
 2'Read only'
 3'Read and Write' 
 4'Primary' 
 5'Intermediate' 
 6'Secondary or equivalent' 
 7'Technical diploma' 
 8'Bachelors degree' 
 9'Higher than bachelors degree'
 10'Other' .
EXECUTE .

  FREQUENCIES VARIABLES=new_406  / ORDER= ANALYSIS.

******************************************************************************************************************************************
**   STEP 2 : Create variable "Education Status" if:
**                  a) Q0402=1 ,We calculate the education from the variable (new_406) , and if
**                  b) Q0402=2 ,We calculate the education from the variable (Q0410) , and if
**                  c) Q0402=3 ,We calculate the education from the variable (Q0404)

********************************************************************************************************************************************

IF  (Q0402=1 )EducGrp= new_406 .

IF  (Q0402=2 & Q0410L=1&Q0410C=1) EducGrp=1.
IF  (Q0402=2 & Q0410L=1&Q0410C=2 | Q0410C=3 ) EducGrp=2.
IF  (Q0402=2 & Q0410L=1&Q0410C=4 | Q0410C=5 | Q0410C=6) EducGrp=3.

IF  (Q0402=2 & Q0410L=2) EducGrp=4.
IF  (Q0402=2 & Q0410L=3) EducGrp=5.
IF  (Q0402=2 & Q0410L=4) EducGrp=6.
IF  (Q0402=2 & Q0410L=5) EducGrp=6.
IF  (Q0402=2 & Q0410L=6) EducGrp=8.
IF  (Q0402=2 & Q0410L=7) EducGrp=10.

IF (Q0402=3 & Q0404=1) EducGrp=1.
IF (Q0402=3 & Q0404=2) EducGrp=2.
IF (Q0402=3 & Q0404=3) EducGrp=3.
IF(Q0103 < 15) EducGrp = 11.
IF MISSING(EducGrp) EducGrp=12.
EXECUTE .

RECODE
  EducGrp
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7) (8=8) (9 =9) (10=10) (11=11) (12=12) INTO  EducGrp .
VARIABLE LABLES EducGrp 'Education status'.
VALUE LABELS EducGrp
 1'illetrate' 
 2'Read only'
 3'Read and Write' 
 4'Primary' 
 5'Intermediate' 
 6'Secondary or equivalent' 
 7'Technical diploma' 
 8'Bachelors degree' 
 9'Higher than bachelors degree'
 10'Other'  
11'Less than 15 Yrs old'
12'Unknown'.
EXECUTE .

VARIABLE LEVEL EducGrp (NOMINAL).
  FREQUENCIES VARIABLES=EducGrp  / ORDER= ANALYSIS.

******************************************************************************************************************************************
**   STEP 3 : We recode variable "EducGrp" to merge " read / read & write" in one catogarie
**                 
******************************************************************************************************************************************

RECODE
  EducGrp
  (1=1)  (4=3)  (5=4) (6 =5) (7 =6) (8=7)  (9=8)  (10=9) (11 =10) (2 thru 3=2) (12=11)  INTO  EducGrp9 .
VARIABLE LABELS EducGrp9.
EXECUTE .
VALUE LABELS EducGrp9
 1'illitrate' 
 2 'read or read & write' 
 3'Primary' 
 4'Intermediate' 
 5'Secondary or equivalent '
 6'Technical Diploma' 
 7'Bachelors degree' 
 8'Higher than bachelors degree'
 9'Other' 
10'Less than 15 Yrs old' 
11'Unknown'.
EXECUTE .
VARIABLE LEVEL EducGrp9 (NOMINAL).

  FREQUENCIES VARIABLES=EducGrp9  / ORDER= ANALYSIS.

*========================================================================
*========================================================================

**************************
**Stratum category
**************************

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  xstratGRP.
 VARIABLE LABELS xstratGRP  'Gov. center, other urban and rural groups'.

EXECUTE .

value lables xstratGRP
1 'Governorate center'
2 'Other urban'
3 'Rural'.
EXECUTE .

  FREQUENCIES VARIABLES= xstratGRP  / ORDER= ANALYSIS.

SAVE OUTFILE='C:\IHSES_TABLES\T9\Individuals_jobs.sav'.

*********************************************
**Step9:Compute  wage and salaries
*********************************************

RECODE
  Q1321C Q1321K Q1322N Q1322U Q1324C Q1324K    (Lowest thru 0=SYSMIS)  .
EXECUTE .


 RECODE
  Q1322N (MISSING  = 1)  (0 = 1).
 EXECUTE .


* find number of hours day per week

COUNT
  DAYWK = Q1204_01 Q1204_02 Q1204_03 Q1204_04 Q1204_05 Q1204_06 Q1204_07  (1 thru 24) .
 VARIABLE LABELS DayWk 'Number of days worked last week' .
 EXECUTE .


* find number of month per year

COUNT
 MONYR= Q1203_01 Q1203_02 Q1203_03 Q1203_04 Q1203_05 Q1203_06 Q1203_07 Q1203_08 Q1203_09
                Q1203_10 Q1203_11 Q1203_12 (1 thru Highest)  .
VARIABLE LABELS MONYR 'Number of months worked last last 12 months' .
EXECUTE .

* Wages : Cash _ 2

COMPUTE   wCASH_2  = 0 .
IF (Q1322U = 1 & DAYWK > 0) wCASH_2 = (Q1321C / Q1322N) * DAYWK * (52/12) * (MONYR/12) .
IF (Q1322U = 1 & DAYWK = 0) wCASH_2  = (Q1321C / Q1322N) * 15 * (MONYR/12) .
IF (Q1322U = 2) wCASH_2  = (Q1321C / Q1322N) * (52/12) * (MONYR/12) .
IF (Q1322U = 3) wCASH_2  = (Q1321C / Q1322N) * 2 * (MONYR/12) .
IF (Q1322U = 4) wCASH_2  = (Q1321C / Q1322N) * (MONYR/12) .
VARIABLE LABELS wCASH_2  'Wages cash' .
EXECUTE .

* Wages : In kind _ 3

COMPUTE   winkind_3  = 0 .
IF (Q1322U = 1 & DAYWK > 0) winkind_3  = (Q1321K / Q1322N) *DAYWK * (52/12) * (MONYR/12)  .
IF (Q1322U = 1 & DAYWK = 0) winkind_3  = (Q1321K / Q1322N) * 15 * (MONYR/12)  .
IF (Q1322U = 2)             winkind_3  = (Q1321K / Q1322N) * 4 * (MONYR/12).
IF (Q1322U = 3)             winkind_3  = (Q1321K / Q1322N) * 2 * (MONYR/12).
IF (Q1322U = 4)             winkind_3  = (Q1321K / Q1322N) * (MONYR/12).
VARIABLE LABELS winkind_3  'Wages in kind' .


* Wages : Total wages_ 4

COMPUTE   totwage_4 = sum(wCASH_2,winkind_3) .
VARIABLE LABELS totwage_4 'Total wages' .
 
* Allowances : Cash_5

COMPUTE   Allcash_5 = 0 .
COMPUTE   Allcash_5 = Q1324C / 12 .
VARIABLE LABELS Allcash_5  'Allowances: Cash' .
EXECUTE .

* Allowances : In kind _6

COMPUTE   Alinkand_6 = 0 .
COMPUTE   Alinkand_6 = Q1324K / 12 .
VARIABLE LABELS Alinkand_6   'Allowances:in kind' .
EXECUTE .

* Allowances : Total Allowances _7

COMPUTE   totALL_7 =Sum(Allcash_5,Alinkand_6) .
VARIABLE LABELS totALL_7 'Total Allowances' .
EXECUTE .

* Total incom for wages

COMPUTE   WageIncome = Sum(totwage_4,totALL_7) .
VARIABLE LABELS WageIncome 'Total incom from employment'.
EXECUTE .


************Now using the variables *************
**age Group
**Education
**Activity 
**Occupation
**Wage
*******************************************************

DEL VAR DAYWK MONYR wCASH_2 winkind_3 totwage_4 Allcash_5 Alinkand_6  totALL_7.

*******************************************************
** Filter only person under 15 and Wage earning
*******************************************************

FILTER OFF.
USE ALL.
SELECT IF(Q0103 >= 15 & Q1202A=1).
EXECUTE .


RECODE
  xgov
  (11=1)  (13 =1)  (15=1)  (23=2)  (12=3)  (14=3)  (21=3)  (22=3) (24=3) (25=3) (26 =3) (27=3) (28=3) (31=3) (32=3)(33=3)(34=3)(35=3)   INTO Region .
VARIABLE LABELS Region 'Region' .

EXECUTE .

value lables Region 
1 'Kurdistan'
2 'Baghdad'
3 'Other Governorates'.



WEIGHT BY weight .

FREQUENCIES   VARIABLES= xgov xstratGRP Region  /ORDER=  ANALYSIS .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=XHHKEY Q0102 WageIncome xgov  Region xstratGRP
    DISPLAY=DEFAULT
  /TABLE xgov [C] + Region [C] + xstratGRP [C] BY XHHKEY [ROWPCT.COUNT PCT40.1] > Q0102 [C] + WageIncome
  [MEAN] > Q0102 [C]
  /CATEGORIES VARIABLES=Q0102 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=xgov  Region xstratGRP
 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


WEIGHT
  OFF.


