
**************** Table 10-9 ***********************************
**Household resieving assistance by HH caracterestic
**Governoreate,stratum,IHSES_TABLES\T9e pre capita and HHsize
**Prepared by Dahlia Al aany ,Fadil N.
**Date 22-8-2007
******************************************************************

GET
  FILE='C:\IHSES_TABLES\Originals\IHSES07-Household transfers.sav'.

SAVE OUTFILE='C:\IHSES_TABLES\T9\Household transfers.sav'
 /COMPRESSED.


COUNT
  No_ID_15 = Q1502A_I Q1502B_I Q1502C_I  (1 thru Highest)  .
VARIABLE LABELS No_ID_15 'No of ID recieve Asistence' .
EXECUTE .


SORT CASES BY
  XHHKEY (A) .

************************************************
**Obtain the kind of assistance:
**	(1)Social Protection  
**	(2)UnEmployement  
**	(3)Governorate Sources  
**	(4)Zakat 
**	(5)Other HH In Iraq 
**	(6)Other HH out Iraq
**	(7)Other Source In Iraq 
**	(8)OtherSource Out Iraq 


************************************************

IF (Q1501_C = 1538 |Q1501_C = 1543 ) GovSo = 1  .
IF (Q1501_C = 1548) Zakat = 1 .
IF (Q1501_C = 1536 |Q1501_C = 1541 ) OthrHHInIrq =1  .
IF (Q1501_C = 1537 |Q1501_C = 1542 ) OthrHHoutIrq= 1  .
IF (Q1501_C = 1539 |Q1501_C = 1544)  OtherSoInIrq=1  .
IF (Q1501_C = 1540 |Q1501_C = 1545 ) OtherSoOutIrq= 1 .
IF (Q1501_C = 1531|Q1501_C = 1532) Other =1 .
EXECUTE .

RECODE
   GovSo Zakat OthrHHInIrq OthrHHoutIrq OtherSoInIrq OtherSoOutIrq Other (SYSMIS=0)  .
EXECUTE .


SAVE OUTFILE='C:\IHSES_TABLES\T9\Household transfers.sav'
 /COMPRESSED.

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T9\aggr_trans_assis.sav'
  /BREAK=XHHKEY
  /XGOV= MEAN(XGOV)/ xhhsize= MEAN(xhhsize)/No_ID_15 = SUM(No_ID_15)/GovSo = SUM(GovSo) /Zakat = SUM(Zakat) /OthrHHInIrq = SUM(OthrHHInIrq)
 /OthrHHoutIrq = SUM(OthrHHoutIrq) /OtherSoInIrq = SUM(OtherSoInIrq) /OtherSoOutIrq = SUM(OtherSoOutIrq)/Other = SUM(Other).

GET
  FILE='C:\IHSES_TABLES\T9\aggr_trans_assis.sav'.

COMPUTE HHt = XHHKEY .
EXECUTE .

SORT CASES BY
  XHHKEY (A) .

SAVE OUTFILE='C:\IHSES_TABLES\T9\aggr_trans_assis.sav'
 /COMPRESSED.

GET
  FILE='C:\IHSES_TABLES\T9\Household & Income.sav'.
    
SORT CASES BY
  XHHKEY (A) .

WEIGHT OFF.

MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T9\aggr_trans_assis.sav'
 /BY XHHKEY.
EXECUTE.

COMPUTE ttestt=HHt-XHHKEY.
EXECUTE.

FREQUENCIES
  VARIABLES=ttestt
  /ORDER=  ANALYSIS .


IF (GovSo  >=  1 | Zakat >= 1 | OthrHHInIrq >= 1 | OthrHHoutIrq >= 1 |OtherSoInIrq >= 1 | OtherSoOutIrq >= 1 | Other >=  1) HHassis = 1 .
EXECUTE .


RECODE
  GovSo Zakat OthrHHInIrq OthrHHoutIrq OtherSoInIrq OtherSoOutIrq Other HHassis  (SYSMIS=0)  (1 thru Highest=1)  .
EXECUTE .


* to find HH Size GRP

RECODE
  XHHSIZE
  (0=0)  (1 thru 2=1)  (3=2)  (4=3)  (5=4)  (6=5)  (7=6)  (8=7) (9=8) (10=9) (11 thru 12 =10) (13 thru Highest=11)   INTO HHsizeGRP .
VARIABLE LABELS HHsizeGRP 'Household size group' .

EXECUTE .

value lables HHsizeGRP 
1 '1-2'
2 '3'
3 '4'
4 '5'
5 '6'
6 '7'
7 '8'
8 '9'
9 '10'
10'11-12'
11 '13 and more'.


**To find stratum group

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  xstratGRP.
 VARIABLE LABELS xstratGRP  'Gov. center, other urban and rural groups'.
EXECUTE .

value lables xstratGRP
1 'Governorate center'
2 'Other urban'
3 'Rural'.


******************************************************

RECODE
  xgov
  (11=1)  (13 =1)  (15=1)  (23=2)  (12=3)  (14=3)  (21=3)  (22=3) (24=3) (25=3) (26 =3) (27=3) (28=3) (31=3) (32=3)(33=3)(34=3)(35=3)   INTO Region .
VARIABLE LABELS Region 'Region' .
EXECUTE .

value lables Region 
1 'Kurdistan'
2 'Baghdad'
3 'Other Governorates'.

******************************************************

WEIGHT
BY weight .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=GovSo Zakat OthrHHInIrq OthrHHoutIrq OtherSoInIrq OtherSoOutIrq Other HHassis XGOV Region xstratGRP
  PerincmGRP HHsizeGRP
    DISPLAY=DEFAULT
  /TABLE XGOV [C] + Region [C] + xstratGRP [C] + PerincmGRP [C] + HHsizeGRP [C] BY GovSo [C][ROWPCT.COUNT PCT40.1] + Zakat [C][ROWPCT.COUNT PCT40.1] + OthrHHInIrq [C][ROWPCT.COUNT
  PCT40.1] + OthrHHoutIrq [C][ROWPCT.COUNT PCT40.1] + OtherSoInIrq [C][ROWPCT.COUNT PCT40.1] + OtherSoOutIrq [C][ROWPCT.COUNT
  PCT40.1] + Other [C][ROWPCT.COUNT PCT40.1]+HHassis [C][ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=GovSo Zakat OthrHHInIrq OthrHHoutIrq OtherSoInIrq OtherSoOutIrq Other HHassis ORDER=A
  KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=XGOV Region  xstratGRP PerincmGRP HHsizeGRP ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.
