
**********************************************************************************************************************************
***         Syntax of variables Unification- Preparation Data Unit Statistical Analysis and compilation by Ayad  (April_2008)
***********************************************************************************************************************************

**           Create Individual variables 
***********************************************************************************************************************************
**
**		(1) Employment status (Working, Unemployed, Housekeeper, With means, Other)
**		(2) Work sector (Private, Public, Other sectors, Not economically active)
**		(3) Economic Activity (Agriculture and fishing, Mining, Manufacturing, etc.)	
**		(4) Occupation (Legislators& senior officials & managers, Professionals, etc.)
**		(5) Working Status (Employee, Employer, Own Account, Not economically active)
***********************************************************************************************************************************


GET FILE='C:\IHSES_TABLES\Originals\IHSES10-Jobs.sav'.
rename variable Q1200_PE = XPERS.

SORT CASES BY XHHKEY (A)  XPERS (A) .

SAVE OUTFILE='C:\IHSES_TABLES\Originals\Job_5-1.sav'  /COMPRESSED.

*****************************************************************************************************************
**   We select the "Main Occupation", following the criteria below:
**				
**		score = sum(months worked) /12 + sum(hours_worked)/40
**		Select job with Max score
**		
*****************************************************************************************************************

IF (Q1203_01<0) Q1203_01 = 0 . 
IF (Q1203_02<0) Q1203_02 = 0 . 
IF (Q1203_03<0) Q1203_03 = 0 . 
IF (Q1203_04<0) Q1203_04 = 0 . 
IF (Q1203_05<0) Q1203_05 = 0 . 
IF (Q1203_06<0) Q1203_06 = 0 . 
IF (Q1203_07<0) Q1203_07 = 0 . 
IF (Q1203_08<0) Q1203_08 = 0 . 
IF (Q1203_09<0) Q1203_09 = 0 . 
IF (Q1203_10<0) Q1203_10 = 0 . 
IF (Q1203_11<0) Q1203_11 = 0 . 
IF (Q1203_12<0) Q1203_12 = 0 . 
IF (Q1204_01<0) Q1204_01 = 0 . 
IF (Q1204_02<0) Q1204_02 = 0 . 
IF (Q1204_03<0) Q1204_03 = 0 . 
IF (Q1204_04<0) Q1204_04 = 0 . 
IF (Q1204_05<0) Q1204_05 = 0 . 
IF (Q1204_06<0) Q1204_06 = 0 . 
IF (Q1204_07<0) Q1204_07 = 0 . 
EXECUTE .

compute sum_mths 	= sum(Q1203_01, Q1203_02, Q1203_03, Q1203_04, Q1203_05, Q1203_06, Q1203_07, Q1203_08, Q1203_09, Q1203_10, Q1203_11, Q1203_12).
formats sum_mths (F3).
compute sum_hrs 	= sum(Q1204_01, Q1204_02, Q1204_03, Q1204_04, Q1204_05, Q1204_06, Q1204_07).
formats sum_hrs (F3).
compute score 	= sum( sum_mths/12,  sum_hrs/40, (4-Q1200_SN) / 4 , 0.001 * RND(2) ) .
formats score (F2.1).

EXECUTE .


SAVE OUTFILE='C:\IHSES_TABLES\Originals\Job_5-1.sav'  /COMPRESSED.

GET FILE='C:\IHSES_TABLES\Originals\Job_5-1.sav'.

*************************************************************************************************************************************
***	We aggregate the number of hours for ALL possible activities of the individual:
*************************************************************************************************************************************

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\Originals\temp_hrs12.sav'
  /BREAK=XHHKEY XPERS
  /sum_hrs12 = SUM(sum_hrs).

GET FILE='C:\IHSES_TABLES\Originals\temp_hrs12.sav'.

SORT CASES BY   XHHKEY (A) XPERS.

SAVE OUTFILE='C:\IHSES_TABLES\Originals\temp_hrs12.sav'.

GET FILE='C:\IHSES_TABLES\Originals\Job_5-1.sav'.

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\Originals\aggr.sav'
  /BREAK=XHHKEY XPERS
  /score = MAX(score).

GET FILE='C:\IHSES_TABLES\Originals\Aggr.sav'.
SORT CASES BY   XHHKEY (A) XPERS (A) score (A) .
compute flag=1.
formats flag (N1).

SAVE OUTFILE='C:\IHSES_TABLES\Originals\aggr.sav'  /COMPRESSED.

GET FILE='C:\IHSES_TABLES\Originals\Job_5-1.sav' .

SORT CASES BY   XHHKEY (A) XPERS (A) score (A) .

SAVE OUTFILE='C:\IHSES_TABLES\Originals\Job_5-1.sav'  /COMPRESSED.

MATCH FILES /FILE=*
 /TABLE='C:\IHSES_TABLES\Originals\aggr.sav'  /BY XHHKEY XPERS score.
EXECUTE.

********************************************************************************************
**      We keep only the jobs that have max score, which means flag=1
********************************************************************************************

FILTER OFF.
USE ALL.
SELECT IF(flag=1).
EXECUTE .


delete variables  flag, sum_mths, sum_hrs, score.


SAVE OUTFILE='C:\IHSES_TABLES\Originals\Job_5-1.sav'  /COMPRESSED.

******************************************************************************************************************************************
**  We open the file with individuals, and match the jobs from the new job's file and match the main
**	      occupation of each individual
******************************************************************************************************************************************

GET  FILE='C:\IHSES_TABLES\Originals\IHSES02-Individuals.sav'.

SORT CASES BY   XHHKEY (A) XPERS.

MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\Originals\temp_hrs12.sav'
 /BY XHHKEY XPERS.
EXECUTE.


*******************************************************************************************************************************************
** Drop variables that we don't need and save it with another name
*******************************************************************************************************************************************

DELETE variables Q0501 Q0502_1 Q0502_2 Q0502_3 Q0502A_1 Q0502A_2 Q0502A_3 Q0503_A
  Q0504 Q0504A_1 Q0504A_2 Q0504A_3 Q0505_B Q0506 Q0507 Q0508_A Q0508_B Q0509 Q0510 Q0511 Q0512 Q0513 Q0514 Q0515 Q0516_1
  Q0516_2 Q0516_3 Q0516_4 Q0516_5 Q0516_6 Q0517 Q0518 Q0519 Q0520 Q0521_M Q0521_Y Q0522 Q0523 Q0524 Q0525 Q0526 Q0527 Q0528
  Q0529 Q0530 Q0531 Q0532 Q0533 Q0534 Q0601A Q0601B Q0601C Q0601D Q0601E Q0601F Q0602 Q0603_1 Q0603_2 Q0603_3 Q0603_4 Q0604_1
  Q0604_2 Q0604_3 Q0605_1 Q0605_2 Q0605_3 Q0606 .

SORT CASES BY  XHHKEY (A) XPERS (A) .


MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\Originals\Job_5-1.sav'
 /RENAME (XCLUSTer XGOV  XHHSIZE XSTRAT XWAVE = d0 d1  d3 d4 d5)
 /BY XHHKEY XPERS
 /DROP= d0 d1 d3 d4 d5.
EXECUTE.

FILTER OFF.
USE ALL.
SELECT IF(not missing(XCLUSTer)).
EXECUTE .

SAVE OUTFILE='C:\IHSES_TABLES\Originals\Individuals_jobs.sav'.


******************************************************************************************************************
**   Create variable Employ_status:
**		(1) Employment status
**			1. Working	
**			2. Unemployed	
**			3. Housekeeper		
**			4. With means	
**			5. Other	
**			6. No information on jobs
*****************************************************************************************************************
** We  create auxiliary variables:
**                        Working = 1 or 0
**                        Unemployed = 1 or 0
**                        Econ_active = sum(Working, Unemployed)
**           	   NotEc_activ = ~Econ_active
**                        
*************************************************************************************************************************
**	(1)  The person is classified as "Working" if has worked during the past 7 days (Q0701) or
**	      Q1204 >0 or was in temporarily away from work due to illness or vacation 
*************************************************************************************************************************

IF ( Q0701 >0 | sum_hrs12 >0 | Q0702 = 9) Working = 1 .
EXECUTE .

**************************************************************************************************************************
**	(2)  The person is classified as "Unemployed" if 
**		a) has NOT worked during the past 7 days (Q0702), and
**	      	b) wants to work (Q0703), and
**		c) the reason for working zero hours during the past 7 days if not alternative 9, and
**		d) has searched for a job in the past (Q0705), and
**		e) is available to start working (Q0707)	
****************************************************************************************************************************

IF ( Q0701 = 0 & ( sum_hrs12 = 0 | missing(sum_hrs12) ) &  Q0703 = 1 & Q0702 ~= 9 & Q0705 ~= 4 & Q0707 = 1) Unemployed = 1 .
EXECUTE .

COMPUTE Econ_active = SUM(Unemployed ,Working) .   
VARIABLE LABEL Econ_active  'Unemployed+Working'.
EXECUTE .

RECODE
  Econ_active  (SYSMIS=0)  .
EXECUTE .

IF (Econ_active  = 0) NotEc_activ= 1 .
IF (Econ_active  = 1) NotEc_activ= 0 .
VARIABLE LABEL NotEc_activ  'Not Economic Activity'.
EXECUTE .

*****************************************************************************************************************
**	(3)  The person is classified as "Houskeeper" if is housekeeper in Q0702 and if the reason in 
**	      Q0704 is not that has other source of income or that cannot find a job.
*****************************************************************************************************************

IF (Q0701 = 0 & ( sum_hrs12 = 0 | missing(sum_hrs12) ) & ( Q0703 <> 1 or missing(Q0703) )  & Q0702 = 7  &  Q0704  =  4 ) Housekeeper  = 1 .
EXECUTE .

*****************************************************************************************************************
**	(4)  The person is classified as "With means" if Q0702 between codes 5-6 or 8, and Reason 
**	      in Q0704 = 10.
*****************************************************************************************************************

IF (Q0701 = 0 & ( sum_hrs12 = 0 | missing(sum_hrs12) ) &  ( Q0702 = 5 | Q0702 = 6 | Q0702 = 8)  & Q0704 = 10 & NotEc_activ = 1) Withmeans = 1 .
EXECUTE .

*****************************************************************************************************************

IF (Working=1) 		            Employ_status=1.
IF (Unemployed=1) 			Employ_status=2.
IF (Housekeeper=1) 			Employ_status=3.
IF (Withmeans=1) 			Employ_status=4.
IF (missing(Employ_status)) 	            Employ_status=5.

VARIABLE LABEL Employ_status  'Employment status'.
VALUE LABELS Employ_status  1'Working' 2 'Unemployed' 3'Housekeeper' 4'Withmeans' 5' Other' .
EXECUTE .

VARIABLE LEVEL Employ_Status   (NOMINAL).

FREQUENCIES   VARIABLES=Employ_status   /ORDER=  ANALYSIS .


*****************************************************************************************************************
**   Create variable Sector:
**		(2) Work sector
**			1. Private	
**			2. Public	
**			3. Other sectors	
**			4. Unknown	
**			5. Not economically active	
**
*****************************************************************************************************************

IF (Q1202A =1) 				Sector  = Q1303 .
IF (Q1202B1=1|Q1202B2=1)       	Sector  = 3.
IF MISSING(Sector)                              Sector  = 11. 
IF ( NotEc_activ = 1 ) 			Sector  = 12.
IF (Unemployed=1) 		      	Sector  = 13.
VARIABLE LABELS Sector  'Work sector' .
EXECUTE .

RECODE
  Sector   (3=1)  (2=2)  (1=3) (4 thru 10=4)  (11=5) (12=6) (13=7) .
VALUE LABELS Sector  1'Private' 2'public' 3'Govermental' 4'other sectors'  5'Unknown'  6'Not economically active' 7'Unemployed' .

VARIABLE LEVEL Sector  (NOMINAL).

SAVE OUTFILE='C:\IHSES_TABLES\T7\Individuals_jobs.sav'.
FREQUENCIES   VARIABLES=Sector   /ORDER=  ANALYSIS .

*****************************************************************************************************************
**   Create variable Occupation:
**			1. Legislators & senior officials & managers	
**			2. Professionals	
**			3. Technicians & associate professionals	
**			4. Clerks	
**			5. Services and sales workers	
**			6. skilled agriculture & fishery workers	
**			7. Craft & related trade workers	
**			8. Plant& machine operators& assembl.	
**			9. Elementary occupations	
**			10. Unknown	
**			11. Not economically active
**			12. Unemployed	
	
****************************************************************************************************************

COMPUTE Occupation  = TRUNC(Q1201/1000) .
EXECUTE .

IF (Occupation  > 0) Occupa_gr= Occupation.
IF (Occupation  = 0) Occupa_gr= 9.
IF MISSING(Occupa_gr)  Occupa_gr= 10.
IF (NotEc_activ  =1) Occupa_gr= 11.
IF (Unemployed=1)  Occupa_gr = 12.
EXECUTE .

VARIABLE LABELS Occupation  'Occupation' .
VARIABLE LABELS Occupa_gr  'Occupation group' .
EXECUTE .

VALUE LABELS Occupa_gr 
  1'Lagislatores and senior officials & mangers'
  2 'Professionals'
  3'Technicians & associate profess'
  4'Clerks'
  5'Services and sales workers'
  6'Skilled agriculture & fishery workers'
  7'Craft & related trade workers'
  8'Plant machine operatores & assemblers'
  9'Elementary Occupation'
10'Unknown'
11'Not Economically active'
12'Unemplyed'.
EXECUTE . 

VARIABLE LEVEL Occupa_gr  (NOMINAL).

FREQUENCIES   VARIABLES=Occupa_gr  /ORDER=  ANALYSIS .
SAVE OUTFILE='C:\IHSES_TABLES\Originals\Individuals_jobs.sav'.

*****************************************************************************************************************
** :  Create variable Econ. activity:
**			1  'Agriculture & Hunting' 
 **			2  'Fishing'
 **			3  'Mining' 
 **			4  'Manufacturing industry' 
 **			5  'Electricity, gas ,water'
 **			6  'Building and construction' 
 **			7  'Wholesale & Retail Trade, repair of motor vehicles '
**			 8  'Trade,Resturant &Hotels'
**			 9  'Transportation &Communications'
**			 10'Finance  intermediation'
**			 11'Real estate , renting and business activities'
**			 12'Public administration and defence ; compulsory'
**			 13'Education'
**			 14'Health and Social Work'
**			 15'Other community , social and personal services activities '
**			 16'Housing services'
**			 17'Extra-territorial Organizations and bodies'
**			 18' Unknown'
**			 19' Not Economically active'
**			 20'Unemplyed' .
*****************************************************************************************************************

GET
  FILE='C:\IHSES_TABLES\Originals\IHSES11-Self-employment activities.sav'.

STRING 	 Act_cod (A1).


COMPUTE Act_cod = Q1205cod.
EXECUTE .

SORT CASES BY XHHKEY (A) Act_cod (A) .

SAVE OUTFILE='C:\IHSES_TABLES\Originals\Self-employment activities_code.sav'.

GET FILE='C:\IHSES_TABLES\Originals\Individuals_jobs.sav'.

STRING 	 Act_cod (A1).

COMPUTE Act_cod = Q1202E .
EXECUTE .

SORT CASES BY XHHKEY (A) Act_cod (A) .

MATCH FILES /FILE=*
 /TABLE='C:\IHSES_TABLES\Originals\Self-employment activities_code.sav'
 /BY XHHKEY Act_cod. 
EXECUTE.

SAVE OUTFILE='C:\IHSES_TABLES\Originals\Individuals_jobs.sav'.

IF (MISSING(Q1302) | MISSING(Q1205ACT)) Per_Act = SUM(Q1302,Q1205ACT) .
VARIABLE LABELS Per_Act 'Persons Activity' .
EXECUTE .

COMPUTE Act_Gr  = TRUNC(Per_Act/10) .
VARIABLE LABELS Act_Gr 'Main Economic Activity' .
EXECUTE .

IF  ((Act_Gr=01|Act_Gr=02) | Q1202B1=1) 		Act_Gr=1.
IF  (Act_Gr=05) 					Act_Gr=2.
IF  (Act_Gr >= 10 & Act_Gr <= 14) 			Act_Gr=3.
IF  (Act_Gr >= 15 & Act_Gr <= 37) 			Act_Gr=4.
IF  (Act_Gr = 40 | Act_Gr = 41) 				Act_Gr=5.
IF  (Act_Gr = 45)   					Act_Gr=6.
IF  (Act_Gr >= 50 & Act_Gr <= 52) 			Act_Gr=7.
IF  (Act_Gr = 55) 					Act_Gr=8.
IF  (Act_Gr >= 60 & Act_Gr <= 64) 			Act_Gr=9.
IF  (Act_Gr >= 65 & Act_Gr <= 67) 			Act_Gr=10.
IF  (Act_Gr >= 70 & Act_Gr <= 74) 			Act_Gr=11.
IF  (Act_Gr =75) 					Act_Gr=12.
IF  (Act_Gr =80) 					Act_Gr=13.
IF  (Act_Gr =85) 					Act_Gr=14.
IF  (Act_Gr >= 90 & Act_Gr <= 93) 			Act_Gr=15.
IF  (Act_Gr >= 95 & Act_Gr <= 97) 			Act_Gr=16.
IF  (Act_Gr =99) 					Act_Gr=17.
IF MISSING (Act_Gr) 	             	     		Act_Gr=18.
IF (NotEc_activ >0) 					Act_Gr=19.
IF (Unemployed=1) 					Act_Gr=20 .
EXECUTE .

VALUE LABELS Act_Gr 
 1  'Agriculture & Hunting' 
 2  'Fishing'
 3  'Mining' 
 4  'Manufacturing industry' 
 5  'Electricity, gas ,water'
 6  'Building and construction' 
 7  'Wholesale & Retail Trade, repair of motor vehicles '
 8  'Trade,Resturant &Hotels'
 9  'Transportation &Communications'
 10'Finance  intermediation'
 11'Real estate , renting and business activities'
 12'Public administration and defence ; compulsory'
 13'Education'
 14'Health and Social Work'
 15'Other community , social and personal services activities '
 16'Housing services'
 17'Extra-territorial Organizations and bodies'
 18'Unknown'
 19' Not Economically active'
 20'Unemplyed' .
EXECUTE .

VARIABLE LEVEL Act_Gr (NOMINAL).

FREQUENCIES   VARIABLES=Act_Gr /ORDER=  ANALYSIS .

SAVE OUTFILE='C:\IHSES_TABLES\Originals\Individuals_jobs.sav'.

*****************************************************************************************************************
** :  Create variable Work status:  Work_status
**			1. Employee	
**			2. Employer	
**			3. Own Account	
**			4. Not economically active	
*****************************************************************************************************************
**	We need to create two variables to be able to determine whether the person is 
**	employer or not.  The criteria is:
**
**	If (a) the household in agriculture or (b) the enterprise pays wages to employees, 
**	that means is employer
**
**	(1) Employer in Self-employment/enterprise, Ind_employer_in_self
**			if line 1431 or 1432 are > 0 ==> EMPLOYER
**	(2) Employer in Self-employment/enterprise, Ind_employer_in_agric
**			if Q1407H  > 0 or  Q1414_14 > 0 or Q1416CC > 0 or Q1417A > 0
**								==> EMPLOYER	
*****************************************************************************************************************

**	(1) Employer in Self-employment/enterprise, Ind_employer_in_self

GET FILE='C:\IHSES_TABLES\Originals\IHSES11-Self-employment activities.sav'.

COMPUTE Ind_employer_in_self = 0 .
IF (SUM(Q1431,Q1432) > 0) Ind_employer_in_self = 1 .
EXECUTE .
value lables Ind_employer_in_self  0 'No' 1 'Yes'.
SORT CASES BY XHHKEY (A) Q1205COD (A) .
SAVE OUTFILE='C:\IHSES_TABLES\Originals\temp_self_emplyer.sav'  /COMPRESSED.

**	(2) Employer in agriculture, Ind_employer_in_agric

GET FILE='c:\IHSES_TABLES\Originals\IHSES06-Crop production.sav'.

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\Originals\agr_crop_wage.sav'
  /BREAK=XHHKEY
  /Q1407H = SUM(Q1407H).

GET FILE='C:\IHSES_TABLES\Originals\agr_crop_wage.sav'.
SORT CASES BY XHHKEY (A) .

SAVE OUTFILE='C:\IHSES_TABLES\Originals\agr_crop_wage.sav'  /COMPRESSED.
 
GET FILE='c:\IHSES_TABLES\Originals\IHSES01-Household.sav'.
SORT CASES BY XHHKEY (A) .

MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\Originals\agr_crop_wage.sav'
 /BY XHHKEY.
EXECUTE.

SAVE OUTFILE='C:\IHSES_TABLES\Originals\temp_HH_employer.sav'
  /DROP=XCLUSTer XHHSIZE Q0002 Q0003 Q0007 Q0008 Q0012 Q0014 Q0017 Q0018 Q0029 Q0032 Q0034 Q0035D Q0035M Q0035Y Q0036D Q0036M
  Q0036Y Q0037D Q0037M Q0037Y Q0038D Q0038M Q0038Y Q0039D Q0039M Q0039Y Q0040 QTUSE1 QLANG1 
 Q0301 Q0302 Q0303 Q0304 Q0305 Q0306 Q0307 Q0308A Q0308B Q0309_01 Q0310_01 Q0309_02
  Q0310_02 Q0309_03 Q0310_03 Q0309_04 Q0310_04 Q0309_05 Q0310_05 Q0309_06 Q0310_06 Q0309_07 Q0310_07 Q0309_08 Q0310_08
  Q0309_09 Q0310_09 Q0309_10 Q0310_10 Q0309_11 Q0310_11 Q0311A Q0311B Q0311C Q0312 Q0313 Q0314 Q0315 Q0316 Q0317 Q0318A Q0318B
  Q0318C Q0318D Q0319 Q0320 Q0321 Q0322 Q0323_1 Q0323_2 Q0323_3 Q0324_1 Q0325_1 Q0324_2 Q0325_2 Q0324_3 Q0325_3 Q0326_11
  Q0326_12 Q0326_13 Q0326_14 Q0326_15 Q0326_16 Q0326_21 Q0326_22 Q0326_23 Q0326_24 Q0326_25 Q0326_26 Q0326_31 Q0326_32
  Q0326_33 Q0326_34 Q0326_35 Q0326_36 Q0326_41 Q0326_42 Q0326_43 Q0326_44 Q0326_45 Q0326_46 Q0327 Q0328 Q0329 Q0330 Q0331_01
  Q0331_02 Q0331_03 Q0331_04 Q0331_05 Q0331_06 Q0331_07 Q0331_08 Q0331_09 Q0331_10 Q0331_11 Q0331_12 Q0331_13 Q0332 Q0334
   Q0335_01 Q0335_02 Q0335_03 Q0335_04 Q0335_05 Q0335_06 Q0335_07
  Q0335_08 Q0335_09 Q0335_10 Q0335_11 Q0335_12 Q0335_13 Q0335_14 Q0335_15 Q0335_16 Q0336_1 Q0336_2 Q0336_3 Q0336_4 Q0336_5
  Q0339_01 Q0339_02 Q0339_03 Q0339_04 Q0339_05 Q0339_06 Q0339_07 
Q1401 Q1402 Q1403_1 Q1403_2 Q1403_3 Q1403_4 Q1404  old_q010 old_q011 old_q012
  Q1409 Q1410_01 Q1410_02 Q1410_03 Q1410_04 Q1410_05 Q1410_06 Q1410_07 Q1410_08 Q1411 Q1412 Q1413 Q1413A Q1414_01 Q1414_02
  Q1414_03 Q1414_04 Q1414_05 Q1414_06 Q1414_07 Q1414_08 Q1414_09 Q1414_10 Q1414_11 Q1414_12 Q1414_13 Q1414_15 Q1414_16
  Q1414_17 Q1414_18 Q1414_19 Q1414_20 Q1414_21 Q1414_22 Q1414_23 Q1414_24 Q1414_25 Q1415 Q1416A Q1416AA Q1416B Q1416BB Q1416C
  Q1417B Q1417C Q1417_A Q1417_B Q1417_C Q1417_D Q1602_01 Q1602_02 Q1602_03 Q1602_04 Q1602_05 Q1602_06 Q1602_07 Q1602_08
  Q1602_09 Q1602_10 Q1602_11 Q1602_12 Q1602_13 Q1602_14 Q1602_15 Q1602_16 Q1602_17 Q1602_18 Q1602_19 Q1602_20 Q1602_21
  Q1602_22 Q1602_23 Q1602_24 Q1602_25 Q1602_26 Q1602_27 Q1602_28 Q1602_29 Q1602_30 Q1602_31 Q1602_32 Q1602_33 Q1602_34
  Q1602_35 Q1602_36 Q1701 Q1702_1 Q1702_2 Q1702_3 Q1703_1 Q1703_2 Q1703_3 Q1704 Q1705_1 Q1705_2 Q1705_3 Q1801_01 Q1801_02
  Q1801_03 Q1801_04 Q1801_05 Q1801_06 Q1801_07 Q1801_08 Q1801_09 Q1801_10 Q1801_11 Q1802_01 Q1802_02 Q1802_03 Q1802_04
  Q1802_05 Q1802_06 Q1802_07 Q1802_08 Q1802_09 Q1802_10 Q1802_11 Q1802_12 Q1802_13 Q1802_14 Q1802_15 Q1802_16 Q1802_17
  Q1802_18 Q1802_19 Q1802_20 Q1802_21 Q1802_22 Q1802_23 Q1802_24 weight /COMPRESSED.



GET FILE='C:\IHSES_TABLES\Originals\temp_HH_employer.sav'.

COMPUTE Ind_employer_in_agric = 0 .
IF (SUM(Q1414_14,Q1416CC,Q1417A,Q1407H) > 0) Ind_employer_in_agric= 1 .
EXECUTE .

value lables Ind_employer_in_agric
0 'No'
1 'Yes'.

SAVE OUTFILE='C:\IHSES_TABLES\Originals\temp_HH_employer.sav'.
 
*************************************************************************************************************************************
**  We add both indicators into the file with individuals and their main job:  Individuals_jobs.sav

**************************************************************************************************************************************

GET FILE='C:\IHSES_TABLES\Originals\Individuals_jobs.sav'.
SORT CASES BY XHHKEY (A) .


MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\Originals\temp_HH_employer.sav'
 /RENAME (Q1407H Q1414_14 Q1416CC Q1417A XGOV XHHNO XSTRAT XWAVE = d0 d1 d2 d3 d4 d5 d6 d7)
 /BY XHHKEY
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7.
EXECUTE.




SAVE OUTFILE='C:\IHSES_TABLES\Originals\Individuals_jobs.sav'.

GET FILE='C:\IHSES_TABLES\Originals\Individuals_jobs.sav'.
SORT CASES BY XHHKEY (A) Q1205COD (A) .


MATCH FILES /FILE=*
 /TABLE='C:\IHSES_TABLES\Originals\temp_self_emplyer.sav'
 /RENAME (q1205act q1206_m1 q1206_m2 q1206_m3 q1206_m4 q1206_m5 q1418 q1419 q1420 q1421 q1422 q1423 q1424 q1425 q1426 q1427
  q1428 q1429 q1430 q1431 q1432 q1433 q1434 q1436 q1437 q1438 q1439 q1440 q1441 q1443 q1444a q1444b q1444c q1444d q1444e
  q1444f q1444g q1444h q1444i q1445 q1446 q1447 q1448 q1449 q1450 q1451 q1452 weight XCLUSTer xgov  xhhsize xstrat xwave =
  d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32
  d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49  d51 d52 d53)
 /BY xhhkey q1205cod
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31
  d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49  d51 d52 d53.
EXECUTE.

SAVE OUTFILE='C:\IHSES_TABLES\Originals\Individuals_jobs.sav'.

*************************************************************************************************************************************
**       We create now the variable Work_status:
**			1. Employee	
**			2. Employer	
**			3. Own Account	
**			4. Unknown	
**			5. Not economically active	
**			6. Unemployment	
*************************************************************************************************************************************

IF (Q1202A =1) 						            Work_status=1. 
IF (Q1202B1 =1) or  (Q1202B2 =1)			            Work_status=3.
IF (Ind_employer_in_agric=1) or  (Ind_employer_in_self=1)	Work_status=2.
IF MISSING (Work_status)                                               	Work_status=4.
IF (NotEc_activ=1) 					            Work_status=5. 
IF (Unemployed=1) 					            Work_status=6. 

var lab Work_Status "Work status".
value lab Work_Status
1 Employee	
2 Employer	
3 'Own Account'
4 'Unknown'
5 'Not Economically active'
6 'Unemployment'.
EXECUTE.



VARIABLE LEVEL Work_status  (NOMINAL).

FREQUENCIES   VARIABLES=Work_Status  /ORDER=  ANALYSIS .
 SAVE OUTFILE='C:\IHSES_TABLES\Originals\Individuals_jobs.sav'.




*************************************************************************************************************************************


RECODE
      Q0103
      (0 thru 4 = 1)(5 thru 9 = 2)(10 thru 14 = 3)(15 thru 19 = 4)(20 thru 24 = 5)(25 thru 29 = 6)
      (30 thru 34 = 7)(35 thru 39 = 8)(40 thru 44 = 9)(45 thru 49 = 10)(50 thru 54 = 11) (55 thru 59 = 12) (60 thru 64 = 13) 
      (65 thru Highest = 14) INTO AgeGrps .
VARIABLE LABELS AgeGrps 'Age groups' .
VALUE LABELS AgeGrps
 1 '0- 4' 
 2 '5- 9' 
 3'10-14'
 4'15-19'
 5'20- 24' 
 6'25- 29' 
 7'30- 34'
 8'35- 39'
 9'40- 44' 
 10'45- 49'
 11'50- 54'
 12'55- 59'
 13'60- 64'
 14'65 and more'.
EXECUTE .

VARIABLE LEVEL AgeGrps  (NOMINAL).

******************************************************************************************************************************************
**   : Recode variable (Q0406)
**                 
******************************************************************************************************************************************

RECODE
  q0406
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (8=7) (6 thru 7=6) (9 thru 12=8) (13=9)   INTO  new_406 .
EXECUTE .

VALUE LABELS new_406 1'illetrate' 2'Read only'3'Read and Write'  4'Primary' 5'Intermediate'  6'Secondary or equivalent'  7'Technical diploma' 
 8'Higher than bachelors degree' 9'Other'  .

EXECUTE .



******************************************************************************************************************************************
**   Create variable "Education Status" if:
**                  a) Q0402=1 ,We calculate the education from the variable (new_406) , and if
**                  b) Q0402=2 ,We calculate the education from the variable (Q0410) , and if
**                  c) Q0402=3 ,We calculate the education from the variable (Q0404)

********************************************************************************************************************************************

IF  (Q0402=1 )EducGrp= new_406 .

IF  (Q0402=2 & Q0410L=1&Q0410C=1) EducGrp=1.
IF  (Q0402=2 & Q0410L=1&Q0410C=2 | Q0410C=3 ) EducGrp=2.
IF  (Q0402=2 & Q0410L=1&Q0410C=4 | Q0410C=5 | Q0410C=6) EducGrp=3.

IF  (Q0402=2 & Q0410L=2) EducGrp=4.
IF  (Q0402=2 & Q0410L=3) EducGrp=5.
IF  (Q0402=2 & Q0410L=4) EducGrp=6.
IF  (Q0402=2 & Q0410L=5) EducGrp=6.
IF  (Q0402=2 & Q0410L=6) EducGrp=8.
IF  (Q0402=2 & Q0410L=7) EducGrp=9.

IF (Q0402=3 & Q0404=1) EducGrp=1.
IF (Q0402=3 & Q0404=2) EducGrp=2.
IF (Q0402=3 & Q0404=3) EducGrp=3.
IF ( (  MISSING (Q0402  ) & q0103 < 15 ) ) EducGrp = 11 .
IF MISSING (EducGrp)  EducGrp =10.

EXECUTE .


RECODE
  EducGrp
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7) (8=8) (9=9) (10=10) INTO  EducGrp .
VARIABLE LABLES EducGrp 'Education status'.
VALUE LABELS EducGrp
 1'illetrate' 
 2'Read only'
 3'Read and Write' 
 4'Primary' 
 5'Intermediate' 
 6'Secondary or equivalent' 
 7'Technical diploma' 
 8'Higher than bachelors degree'
 9'Other'  
11'Less than 15 Yrs old'
10'Unknown'.
EXECUTE .

DO IF (q0103 <= 15).
RECODE
  EducGrp ( 6 thru 8=10).
END IF .
EXECUTE .

VARIABLE LEVEL EducGrp (NOMINAL).
  FREQUENCIES VARIABLES=EducGrp  / ORDER= ANALYSIS.
EXECUTE .



SAVE OUTFILE='C:\IHSES_TABLES\Originals\temp_HH_edu_state.sav'.

*****************************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\T8\All expenditure by subgroup.sav'.

SORT CASES BY
  xhhkey (A) .

COMPUTE Check = xhhkey .
EXECUTE .

SAVE OUTFILE='C:\IHSES_TABLES\Originals\All expenditure by subgroup.sav'  /COMPRESSED.

GET
  FILE='C:\IHSES_TABLES\Originals\Individuals_jobs.sav'.

SORT CASES BY
  xhhkey (A) .

MATCH FILES /FILE=*
 /TABLE='C:\IHSES_TABLES\Originals\All expenditure by subgroup.sav'
 /RENAME (XGOV XHHSIZE XSTRAT XWAVE = d0 d1 d2 d3)
 /BY xhhkey
 /DROP= d0 d1 d2 d3.
EXECUTE.


COMPUTE CheckHH = xhhkey - check .
EXECUTE .

FREQUENCIES   VARIABLES=CheckHH   /ORDER=  ANALYSIS .
SAVE OUTFILE='C:\IHSES_TABLES\Originals\Individuals_jobs.sav'  /COMPRESSED.

***********************************************************************************************************************************************		
**  : We Create new variables "Regien"
**
**********************************************************************************************************************************************

RECODE
  xgov
  (11=1)  (13=1)  (15=1)  (23=2)  (ELSE=3)  INTO  Region .
EXECUTE .

VALUE LABELS Region
  1'Kurdistan'
  2 'Baghdad'
  3'Other Governorates'.
 EXECUTE . 

FREQUENCIES
  VARIABLES=Region
  /ORDER=  ANALYSIS .


***************************************************************************************************************************************
**
*************************************************************************************************************************************



**           Create Household variables 
***********************************************************************************************************************************

**         (1) Strat3
**        (2) Strat2
**        (3) Household size Categories


***********************************************************************************************************************************


COMPUTE xstrat = xstrat - xgov * 10 .
EXECUTE .


RECODE
  xstrat
  (1=2)  ( 2 thru 5=1 )  INTO  Strat2 .
EXECUTE .

VARIABLE LABELS strat2 ' urban, and Rural'.
VALUE LABELS Strat2 1 'Urban' 2 'Rural'.

VARIABLE LEVEL Strat2  (NOMINAL).


RECODE
  xstrat
  (2=2)  (1=3)  (3 thru 5=1)  INTO Strat3.
VARIABLE LABELS Strat3 'Gov. centers, Other urban, and Rural'.

VALUE LABELS  strat3  1'Gov.Centers' 2 'Other Uraban' 3'Rural' .

EXECUTE .

VARIABLE LEVEL Strat3  (NOMINAL).








SAVE OUTFILE='C:\IHSES_TABLES\Originals\File variables unification of the Household and individuals.sav'.

GET  FILE='C:\IHSES_TABLES\Originals\File variables unification of the Household and individuals.sav'.


MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\Originals\temp_HH_edu_state.sav'
 /RENAME (1317 Act_cod Act_Gr Econ_active Employ_status Housekeeper Ind_employer_in_agric Ind_employer_in_self New1701
  NotEc_activ Nq0302 Occupa_gr Occupation old_q003 old_q010 old_q011 old_q012 old_q013 old_q014 old_q015 old_q016 old_q017
  old_q020 old_q030 old_q031 old_q032 old_q033 old_q034 old_q035 old_q036 old_q037 old_q038 old_q039 old_q041 old_q051
  old_q052 old_q070 old_q071 old_q072 old_q073 old_q074 old_q110 old_q111 old_q130 old_q131 old_q132 old_q133 old_q134
  old_q135 old_q136 old_q137 old_q138 old_q139 old_q141 old_q142 old_q143 old_q144 old_q145 old_q146 old_q147 old_q148
  old_q149 old_z_d1 old_z_d2 old_z_d3 old_z_d4 old_z_d5 old_z_d6 old_z_da OldQ0502_1 oldQ1701 Per_Act q0102 q0103 q0104d
  q0104m q0104y q0105 q0106 q0107a q0107b q0108 q0109 q0110 q0111 q0112 q0113 q0114 q0201 q0202 q0203_a q0203_b q0203_c
  q0204_a q0204_b q0204_c q0204_d q0333_x1 q0333_x2 q0333_x3 q0333_x4 q0333_x5 q0333_x6
 q0337_1 q0337_2 q0337_3 q0337_4 q0337_5 q0337_6 q0337_7 q0338_1 q0338_2 q0338_3 q0338_4 q0338_5 q0338_6 q0338_7 q0401_a1
  q0401_a2 q0401_a3 q0401_a4 q0401_b1 q0401_b2 q0401_b3 q0401_b4 q0401_c1 q0401_c2 q0401_c3 q0401_c4 q0402 q0403 q0404 q0405
  q0406 q0407_a q0407_b q0408 q0409 q0410c q0410l q0411 q0412 q0413 q0414 q0415 q0416 q0417 q0418_1 q0418_2 q0418_3 q0418_4
  q0418_5 q0418_6 q0418_7 q0418_8 q0418_9 q0701 q0702 q0703 q0704 q0705 q0706f q0706s q0706t q0707 q0708 q0709 q0710_m q0710_y
  Q0904 q1200_sn q1201 q1201tx q1202a q1202b1 q1202b2 q1202e q1203_01 q1203_02 q1203_03 q1203_04 q1203_05 q1203_06 q1203_07
  q1203_08 q1203_09 q1203_10 q1203_11 q1203_12 q1204_01 q1204_02 q1204_03 q1204_04 q1204_05 q1204_06 q1204_07 q1205act
  q1205cod q1206_m1 q1206_m2 q1206_m3 q1206_m4 q1206_m5 q1301_id q1301_sn q1302 q1303 q1304 q1305 q1306 q1307a q1307b q1307c
  q1307d q1307e q1307f q1307g q1307h q1307i q1308 q1309 q1310 q1311 q1312 q1313 q1314 q1315 q1316 q1317m q1317y q1318 q1319
  q1320_1 q1320_2 q1320_3
q1321c q1321k q1322n q1322u q1323c q1323k q1324c q1324k q1418 q1419 q1420 q1421 q1422 q1423 q1424 q1425 q1426 q1427 q1428
  q1429 q1430 q1431 q1432 q1433 q1434 q1436 q1437 q1438 q1439 q1440 q1441 q1443 q1444a q1444b q1444c q1444d q1444e q1444f
  q1444g q1444h q1444i q1445 q1446 q1447 q1448 q1449 q1450 q1451 q1452 Sector sum_hrs12 test1701 TestQ0502_1 Unemployed V149
  V157 V377 V378 V379 V380 V381 V382 V383 V384 V385 V386 V387 V388 V389 V390 V391 V392 V59 V69 V70 V71 V72 V73 V74 V75 V76 V77
  V78 V79 V87 V88 V89 weight Withmeans Work_status Working xbeea xcluster xgov xhhsize xpers xq1302 xstrat xwave z_days1
  z_days2 z_days3 z_days4 z_days5 z_days6 z_days7 z_gap1 z_gap2 z_gap3 z_gap4 z_gap5 z_gap6 z_gap7 = d0 d1 d2 d3 d4 d5 d6 d7
  d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38
  d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69
  d70 d71 d72 d73 d74
 d75 d76 d77 d78 d79 d80 d81 d82 d83 d84 d85 d86 d87 d88 d89 d90 d91 d92 d93 d94 d95 d96 d97 d98 d99 d100 d101 d102 d103 d104
  d105 d106 d107 d108 d109 d110 d111 d112 d113 d114 d115 d116 d117 d118 d119 d120 d121 d122 d123 d124 d125 d126 d127 d128 d129
  d130 d131 d132 d133 d134 d135 d136 d137 d138 d139 d140 d141 d142 d143 d144 d145 d146 d147 d148 d149 d150 d151 d152 d153 d154
  d155 d156 d157 d158 d159 d160 d161 d162 d163 d164 d165 d166 d167 d168 d169 d170 d171 d172 d173 d174 d175 d176 d177 d178 d179
  d180 d181 d182 d183 d184 d185 d186 d187 d188 d189 d190 d191 d192 d193 d194 d195 d196 d197 d198 d199 d200 d201 d202 d203 d204
  d205 d206 d207 d208 d209 d210 d211 d212 d213 d214 d215 d216 d217 d218 d219 d220 d221 d222 d223 d224 d225 d226 d227 d228 d229
  d230 d231 d232 d233 d234 d235 d236 d237 d238 d239 d240 d241 d242 d243 d244 d245 d246 d247 d248 d249 d250 d251 d252 d253 d254
  d255 d256 d257 d258 d259 d260 d261 d262 d263 d264 d265 d266 d267 d268 d269 d270 d271 d272 d273 d274 d275 d276 d277 d278
 d279 d280 d281 d282 d283 d284 d285 d286 d287 d288 d289 d290 d291 d292 d293 d294 d295 d296 d297 d298 d299 d300 d301 d302 d303
  d304 d305 d306 d307 d308 d309 d310 d311 d312 d313 d314 d315 d316 d317 d318 d319 d320 d321 d322 d323 d324 d325 d326 d327 d328
  d329 d330 d331 d332 d333 d334 d335 d336 d337 d338 d339 d340 d341 d342 d343 d344 d345 d346 d347)
 /BY xhhkey
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31
  d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62
  d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 d75 d76 d77 d78 d79 d80 d81 d82 d83 d84 d85 d86 d87 d88 d89 d90 d91 d92 d93
  d94 d95 d96 d97 d98 d99 d100 d101 d102 d103 d104 d105 d106 d107 d108 d109 d110 d111 d112 d113 d114 d115 d116 d117 d118 d119
  d120 d121 d122 d123 d124 d125 d126 d127 d128 d129 d130 d131 d132 d133 d134 d135 d136 d137 d138 d139 d140 d141 d142 d143 d144
  d145 d146 d147
 d148 d149 d150 d151 d152 d153 d154 d155 d156 d157 d158 d159 d160 d161 d162 d163 d164 d165 d166 d167 d168 d169 d170 d171 d172
  d173 d174 d175 d176 d177 d178 d179 d180 d181 d182 d183 d184 d185 d186 d187 d188 d189 d190 d191 d192 d193 d194 d195 d196 d197
  d198 d199 d200 d201 d202 d203 d204 d205 d206 d207 d208 d209 d210 d211 d212 d213 d214 d215 d216 d217 d218 d219 d220 d221 d222
  d223 d224 d225 d226 d227 d228 d229 d230 d231 d232 d233 d234 d235 d236 d237 d238 d239 d240 d241 d242 d243 d244 d245 d246 d247
  d248 d249 d250 d251 d252 d253 d254 d255 d256 d257 d258 d259 d260 d261 d262 d263 d264 d265 d266 d267 d268 d269 d270 d271 d272
  d273 d274 d275 d276 d277 d278 d279 d280 d281 d282 d283 d284 d285 d286 d287 d288 d289 d290 d291 d292 d293 d294 d295 d296 d297
  d298 d299 d300 d301 d302 d303 d304 d305 d306 d307 d308 d309 d310 d311 d312 d313 d314 d315 d316 d317 d318 d319 d320 d321 d322
  d323 d324 d325 d326 d327 d328 d329 d330 d331 d332 d333 d334 d335 d336 d337 d338 d339 d340 d341 d342 d343 d344 d345 d346
 d347.
EXECUTE.

SAVE OUTFILE='C:\IHSES_TABLES\Originals\File variables unification of the Household and individuals final.sav'
  /DROP=  xcluster xstrat xgov xbeea xwave Working Unemployed Econ_active NotEc_activ Housekeeper Withmeans Act_cod q1205cod q1205act q1206_m1
  q1206_m2 q1206_m3 q1206_m4 q1206_m5 q1418 q1419 q1420 q1421 q1422 q1423 q1424 q1425 q1426 q1427 q1428 q1429 q1430 q1431
  q1432 q1433 q1434 q1436 q1437 q1438 q1439 q1440 q1441 q1443 q1444a q1444b q1444c q1444d q1444e q1444f q1444g q1444h q1444i
  q1445 q1446 q1447 q1448 q1449 q1450 q1451 q1452 Ind_employer_in_agric Ind_employer_in_self new_406 /COMPRESSED.

**           Create  Expenditure Categories 
***********************************************************************************************************************************

**         (1) Categories  for person Expenditure'
**        (2) Categories for Household Expenditure'.


***********************************************************************************************************************************


GET
  FILE='C:\IHSES_TABLES\Originals\File variables unification of the Household and individuals final.sav'.

RECODE
  XHHSIZE
  (1 thru 2=1) (3=3) (4=4) (5=5) (6=6) (7=7) (8=8) (9=9) (10=10) (11 thru 12=12)  (13 thru Highest=13)  INTO  SIZEGRG .
VARIABLE LABELS SIZEGRG ' Household size Categories'.

VALUE LABLES SIZEGRG 1" 1-2 "  12 " 11-12"  13  "13 or more".
FORMATS SIZEGRG (F1.0).
EXECUTE .

VARIABLE LEVEL SIZEGRG  (NOMINAL).
IF (expmCapita < 60) PCExpGr = 1 .
IF (expmCapita  >=  60 & expmCapita < 80) PCExpGr = 2 .
IF (expmCapita  >=  80 & expmCapita < 100) PCExpGr = 3 .
IF (expmCapita  >=  100 & expmCapita < 120) PCExpGr = 4 .
IF (expmCapita  >=  120 & expmCapita < 140) PCExpGr = 5 .
IF (expmCapita  >=  140 & expmCapita < 160) PCExpGr = 6 .
IF (expmCapita  >=  160 & expmCapita < 180) PCExpGr = 7 .
IF (expmCapita  >=  180 & expmCapita < 200) PCExpGr = 8 .
IF (expmCapita  >=  200 & expmCapita < 300) PCExpGr = 9 .
IF (expmCapita  >=  300 & expmCapita < 400) PCExpGr = 10 .
IF (expmCapita  >=  400) PCExpGr = 11 .
EXECUTE .

VARIABLE LABELS PCExpGr ' Per capita expenditure group at market prices'.

VALUE  LABLES  PCExpGr 
1' less than 60 '
2 ' 60-less than 80'  
3 ' 80-less than 100 ' 
4 '100-less than 120 '
5 '120-less than 140 '
6 '140-less than 160 '
7 '160-less than 180 '
8 '180 -less than 200 '
9 '200 -less than 300 '
10 '300 -less than 400 '
11 '400 or more '.



IF (expendm < 400) HHExpGr = 1 .
IF (expendm  >=  400 & expendm < 500) HHExpGr = 2 .
IF (expendm  >=  500 & expendm < 600) HHExpGr = 3 .
IF (expendm  >=  600 & expendm < 700) HHExpGr = 4 .
IF (expendm  >=  700 & expendm < 800) HHExpGr = 5 .
IF (expendm  >=  800 & expendm < 900) HHExpGr = 6 .
IF (expendm  >=  900 & expendm < 1000) HHExpGr = 7 .
IF (expendm  >=  1000 & expendm < 1200) HHExpGr = 8 .
IF (expendm  >=  1200 & expendm < 1500) HHExpGr = 9 .
IF (expendm  >=  1500 & expendm < 2000) HHExpGr = 10 .
IF (expendm  >=  2000) HHExpGr = 11 .
EXECUTE .

VARIABLE LABELS HHExpGr ' Household expenditure group at market prices'.


VALUE  LABLES HHExpGr 
1' less than 400 '
2 ' 400-less than 500'  
3 ' 500-less than 600 ' 
4 '600-less than 700 '
5 '700-less than 800 '
6 '800-less than 900 '
7 '900-less than 1000 '
8 '1000-less than 1200 '
9 '1200-less than 1500 '
10 '1500-less than 2000 '
11 '2000 or more '.





FREQUENCIES
  VARIABLES=Employ_status Sector Occupa_gr Act_Gr strat3  Region Strat2 SIZEGRG Work_status AgeGrps EducGrp PCExpGr
HHExpGr
  /ORDER=  ANALYSIS .
